Sun Jun 13 18:44:42 EDT 2004	JK Lowden <jklowden@schemamania.org>
	* README document 0.62.4 changes
	* ChangeLog add 2-digit-year fix (applied by Frediano).  
	* configure.in Release 0.62.4
	
Sat Jun 05 18:49:34 CET 2004    Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/prepare_query.c: backported memory corruption fix

Tue Jun 01 10:57:59 CET 2004    Frediano Ziglio <freddy77@angelfire.com>
	* src/dblib/dblib.c: backported memory leak fix

Thu May 13 05:21:54 2004 UTC	JK Lowden <jklowden@schemamania.org>
	* src/tds/convert.c 2-digit year "00" now means 2000, not 1900.  

Tue May 04 09:06:35 CET 2004    Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/mem.c: backported memory leak fix

Tue Apr 13 19:30:04 CET 2004    Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/unittests/Makefile.am:
	* src/odbc/unittests/raiserror.c(renamed):
	- backported test

Fri Apr  9 18:44:16 EDT 2004	JK Lowden <jklowden@schemamania.org>
	* src/apps/Makefile.am src/apps/bsqldb.c added 
	* README document 0.62.3 changes
	* configure.in Release 0.62.3

Tue Apr 06 10:45:54 CET 2004    Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/token.c: backported fix for RAISERROR

Sun Apr 04 11:18:58 CET 2004    Frediano Ziglio <freddy77@angelfire.com>
	* src/dblib/dblib.c:
	- backported Bill Thompson patch on DONE handling

Thu Apr 01 16:35:56 CET 2004    Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c src/odbc/unittests/preperror.c:
	* src/tds/token.c:
	- backported patch for SQLExecute not returning error

Mon Mar 29 13:09:35 CET 2004    Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c: backported small patch for DBD::ODBC

Sun Mar 28 16:29:56 CET 2004    Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c: backported small patch for DBD::ODBC
	* src/odbc/unittests/Makefile.am: clean odbc.ini

Mon Mar 22 17:02:07 EST 2004	JK Lowden <jklowden@schemamania.org>
	* README document 0.62.2 changes
	* Release 0.62.2

Fri Mar 19 17:00:49 EST 2004	JK Lowden <jklowden@schemamania.org>
	* src/odbc/unittests/common.c src/odbc/unittests/common.h
	* src/odbc/unittests/transaction.c
	- synchronize with HEAD: better messages, fuller test

Fri Mar 19 08:52:40 CET 2004    Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c: remove invalid error

Thu Mar 18 11:38:47 CET 2004    Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/login.c src/tds/read.c src/tds/write.c:
	- remove some warnings under VMS

Mon Mar 15 10:25:18 CET 2004    Frediano Ziglio <freddy77@angelfire.com>
	* src/replacements/vasprintf.c:
	- fix bus error on machine where malloc(0) is a problem and
	  vsnprintf return -1 on insufficient buffer

Sat Mar 06 14:59:09 CET 2004    Frediano Ziglio <freddy77@angelfire.com>
	* include/tdsodbc.h src/odbc/odbc.c:
	- fix invalid cursor state on SQLRowCount

Sat Mar 06 12:05:35 CET 2004    Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c:
	- fixed link problem on some platform

Wed Feb 25 08:20:12 CET 2004    Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/query.c:
	- fixed buffer reading overflow (thanks to Matthew Davis)

Mon Feb 09 16:35:59 CET 2004    Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/numeric.c:
	- fix a Bus Error on some architecture (like SPARC)

Fri Jan 30 17:02:58 EST 2004	JK Lowden <jklowden@schemamania.org>
	* src/tds/iconv.c log reason for iconv init failure

Mon Jan 26 10:40:29 EST 2004	JK Lowden <jklowden@schemamania.org>
	* src/tds/write.c handle large UTF-8 inputs to tds_put_string()

Mon Jan 19 10:33:32 CET 2004	Frediano Ziglio <freddy77@angelfire.com>
	* vms/configure.com:
	- patch from Craig A. Berry for iconv detect problem
	* configure.in:
	- bumped version to avoid collision
	- fix for Cygwin compile

Wed Jan 14 23:59:48 EST 2004	JK Lowden <jklowden@schemamania.org>
	* README

Wed Jan 14 23:25:37 EST 2004	JK Lowden <jklowden@schemamania.org>
	* README explain release 0.62.1

Tue Jan 13 20:51:51 CET 2004	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/token.c: discard EED info only
	* configure.in release 0.62.1

Mon Jan 12 18:05:54 CET 2004	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/token.c: fix problem of last patch

Sun Jan 11 16:26:39 EST 2004	JK Lowden <jklowden@schemamania.org>
	* README updated for the release

Sun Jan 11 16:15:30 EST 2004	JK Lowden <jklowden@schemamania.org>
	* configure.in release 0.62
	* INSTALL NEWS updated for the release

Sat Jan 10 14:02:39 EST 2004	JK Lowden <jklowden@schemamania.org>
	* src/tds/token.c Alex Kiesel patch: segfault on foreign key violation
	
Sat Jan 10 13:58:03 EST 2004	JK Lowden <jklowden@schemamania.org>
	* AUTHORS Added contibutors to 0.62, at Frediano's suggestion

Fri Jan  9 18:31:41 EST 2004	JK Lowden <jklowden@schemamania.org>
	* configure.in new candidate 0.62rc6

Sat Jan 10 00:17:18 CET 2004	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/sql2tds.c src/odbc/unittests/funccall.c:
	- fix complex problem in sql2tds

Fri Jan 09 21:27:17 CET 2004	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/unittests/funccall.c:
	- force cursor close after drop proc

Fri Jan  9 00:22:32 EST 2004	JK Lowden <jklowden@schemamania.org>
	* vms/descrip_mms.template remove flags test from 'make check'

Thu Jan  8 23:51:01 EST 2004	JK Lowden <jklowden@schemamania.org>
	* configure.in new candidate 0.62rc5
	* src/tds/iconv.c ignore 'unknown' charset from server
	* TODO reflect status for release.

Fri Jan 09 00:08:44 CET 2004	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/unittests/transaction.c:
	- add a fix for old unixODBC

Thu Jan 08 11:25:40 CET 2004	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c src/odbc/odbc_util.c src/odbc/odbc_util.h:
	- fix SQL_DESC_TYPE_NAME results for timestamp type

Wed Jan 07 22:51:08 CET 2004	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/unittests/Makefile.am:
	- disable flags test

Wed Jan  7 13:03:38 EST 2004	nsc <Nicholas_Castellano@acml.com>
	* src/ctlib/unittests/common.c:
	- Force default date format so we can meaningfully compare
	  produced dates to expected values in unit tests.

Wed Jan  7 11:58:40 EST 2004	nsc <Nicholas_Castellano@acml.com>
	* src/tds/unittests/convert.c:
	- Avoid assignments involving potentially bogus floating point
	  values, which might trigger SIGFPE.  Remove yesterday's
	  hack to ignore SIGFPE.
	* src/tds/convert.c:
	- Fix conversions from TDS_INT8 to TDS_NUMERIC and TDS_DECIMAL on
	  Tru64.

Wed Jan  7 09:57:30 EST 2004	JK Lowden <jklowden@schemamania.org>
	* configure.in new candidate 0.62rc4

Wed Jan 07 11:35:40 CET 2004	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc_util.c: fix results of SQL_DESC_TYPE_NAME

Tue Jan  6 20:28:21 EST 2004	nsc <Nicholas_Castellano@acml.com>
	* src/tds/unittests/convert.c:
	- Ensure that SIGFPE is ignored so that the convert unit test
	  isn't killed by an attempt to convert a bogus FP number.

Tue Jan  6 20:13:21 EST 2004	nsc <Nicholas_Castellano@acml.com>
	* src/tds/unittests/convert.c:
	- Don't divide by zero if test takes less than a millisecond.
	
Tue Jan 06 10:29:25 CET 2004	Frediano Ziglio <freddy77@angelfire.com>
	* TODO: updated
	* include/cspublic.h: fix for C++ compile

Mon Jan  5 21:35:58 EST 2004	JK Lowden <jklowden@schemamania.org>
	* configure.in new candidate 0.62rc3
	* src/dblib/bcp.c
	- Applied ML patch from Christos.  Added/fixed other comments.

Mon Jan  5 17:19:54 EST 2004	JK Lowden <jklowden@schemamania.org>
	* doc/api_status.txt SQLFetchScroll is not OK.  

Mon Jan  5 10:09:30 EST 2004	JK Lowden <jklowden@schemamania.org>
	* doc/htdoc/index.html doc/htdoc/news.html
	- small repairs

Mon Jan  5 00:45:00 EST 2004	JK Lowden <jklowden@schemamania.org>
	* configure.in set to 0.62rc2
	* doc/htdoc/index.html doc/htdoc/news.html
	- announce 0.62 release candidate availability
	* src/dblib/bcp.c src/tds/write.c
	- completed patch from Christos for native bcp null handling

Sat Jan 03 20:31:52 CET 2004	Frediano Ziglio <freddy77@angelfire.com>
	* vms/config_h.vms vms/configure.com vms/descrip_mms.template:
	- applied Craig A. Berry patch for VMS

Fri Jan 02 11:16:59 CET 2004	Frediano Ziglio <freddy77@angelfire.com>
	* win32/config.h:
	- removed developing define
	- updates some define

Fri Jan 02 10:49:35 CET 2004	Frediano Ziglio <freddy77@angelfire.com>
	* src/pool/Makefile.am:
	- fixed double inclusion of symbols (Mac OS X should now compile
	  without patch, tested 10.2 version)

Fri Jan 02 09:21:49 CET 2004	Frediano Ziglio <freddy77@angelfire.com>
	* configure.in: optimize a bit
	* doc/Makefile.am: use $(MAKE) to call make
	* src/tds/unittests/Makefile.am src/tds/unittests/convert.c:
	- patch from Craig A. Berry for VMS

Wed Dec 31 14:38:41 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* doc/Makefile.am: some shell do not like '^' in arguments
	* doc/txt2man: fix gawk problems if utf8 is enabled

Wed Dec 31 12:32:46 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h include/tdsstring.h src/tds/tdsstring.c:
	- make DSTR more compiler-alike

Wed Dec 31 09:04:46 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* doc/Makefile.am: fix problem with sh and old Solaris

Wed Dec 31 08:54:06 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/threadsafe.c: remove warning on FreeBSD

Tue Dec 30 15:44:46 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/convert.c src/tds/token.c:
	- comments
	- fix return error converting from char to bit

Tue Dec 30 13:43:21 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c  src/tds/convert.c src/tds/util.c:	
	- removed Amd64 warnings

Tue Dec 30 11:26:58 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* configure.in include/tds.h include/tds_sysdep_public.h.in:
	* src/odbc/odbc.c win32/tds_sysdep_public.h:
	- added TDS_INTPTR type (to remove warnings with 64bit platform)

Mon Dec 29 23:37:21 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* acinclude.m4 configure.in src/pool/user.c src/server/login.c:
	- fix problem with Linux Amd64 problem
	* misc/test-dist.sh: fix error if freetds-* is not present

Mon Dec 29 22:44:33 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/ctlib/unittests/cs_config.c src/odbc/unittests/transaction.c:
	- remove warnings compiling unittests

Mon Dec 29 18:04:58 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* freetds.spec.in doc/README.releasing:
	- updates for rpm

Mon Dec 29 17:07:45 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds_sysdep_private.h src/tds/login.c:
	* src/tds/read.c src/tds/write.c:
	- fix problem with win32
	* src/odbc/odbc.c: fix problem with big-endian machines
	* src/odbc/odbc_util.c src/odbc/odbc_util.h:
	- fix possible lose of precision and string shorting
	* src/tds/iconv.c: warning
	* win32/config.h: remove warning
	* win32/dev-cpp/FreeTDS.dev win32/dev-cpp/Makefile.win:
	* win32/msvc6/FreeTDS.dsp:
	- updated

Mon Dec 29 10:45:25 EST 2003	JK Lowden <jklowden@schemamania.org>
	* tds.dox use short names, so HP/UX can unpack the tarball. 
	* doc/Makefile.am fail if man pages don't build, better doc install
	* doc/README.releasing release engineering notes
	* doc/userguide.sgml OS X ODBC note
	* src/dblib/bcp.c patch from Christos for native bcp null handling
	* src/tds/token.c remove bogus log entry

Mon Dec 29 15:18:26 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* freetds.spec.in doc/Makefile.am:
	- install images for userguide
	- fix install on some old platforms (like HP/UX 10.20)

Mon Dec 29 14:56:14 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* doc/images/important.gif(added) doc/images/tip.gif(added):
	* doc/images/note.gif(added):
	- added images for userguide

Sun Dec 28 18:53:08 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/iconv.c src/tds/token.c: comment updates
	* src/tds/query.c: fix possible buffer read overflow

Sun Dec 28 11:09:25 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/threadsafe.c: include required headers

Sun Dec 28 10:56:35 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/threadsafe.c:
	- use getipnode* functions if available
	- use getaddrinfo instead of getservbyname_r if not available
	  (to fix thread-safe problems under Mac OS X)

Sat Dec 27 10:57:07 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* doc/Makefile.am: add dependency
	* doc/userguide.sgml: fix link for local files

Sat Dec 27 10:39:59 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* doc/Makefile.am: small fixes
	* misc/test-dist.sh: use packaged files

Fri Dec 26 22:15:11 EST 2003	JK Lowden <jklowden@schemamania.org>
	* doc/Makefile.am doc/userguide.sgml
	- generate tables from api_status.doc, and link to reference manual.

Fri Dec 26 19:09:41 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* .cvsignore: ignore generated test log
	* Makefile.am doc/Makefile.am: fix problem with RH9
	* src/apps/tsql.c: comment
	* src/ctlib/cs.c src/ctlib/ct.c src/dblib/bcp.c:
	* src/dblib/dblib.c:
	- updates for 64bit ints support
	* src/odbc/unittests/common.c: make odbc_setenv no static

Wed Dec 24 06:19:50 EST 2003	JK Lowden <jklowden@schemamania.org>
	* Makefile.am doc/Makefile.am s/RM/rm/g because RM not always defined.

Wed Dec 24 10:01:22 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* acinclude.m4 configure.in: use AC_HELP_STRING

Tue Dec 23 20:08:55 EST 2003	JK Lowden <jklowden@schemamania.org>
	* TODO things to fix before the release.  

Tue Dec 23 22:13:35 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* configure.in src/odbc/unittests/common.c:
	* src/odbc/unittests/common.h:
	- fix portability issue in odbc unittests
	* doc/Makefile.am: update
	* misc/test-dist.sh: enable all tests (works)
	* src/tds/iconv.c: update and test for indirect conversion

Tue Dec 23 17:26:44 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* Makefile.am doc/Makefile.am:
	- use cp instead of ln (distdir seem to have problems with links)
	- moved some code from doc/Makefile.am to Makefile.am
	- fix rpm build (it caused a wrong recursive remove)
	* misc/test-dist.sh:
	- disable make distcheck
	* TODO: update

Mon Dec 22 15:36:53 EST 2003	JK Lowden <jklowden@schemamania.org>
	* Makefile.am doc/Makefile.am 
	- new arrangement to install user guide and reference manual
	* src/dblib/bcp.c src/tds/write.c 
	- no SYBEBBCI for bcp_batch(), changed null-testing

Mon Dec 22 21:06:31 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* tds.dox: do not document unit tests
	* src/tds/iconv.c TODO:
	- use UTF-8 for indirect conversion (more portable, 
	  no endian problems)
	- finish indirect conversions (need test)

Mon Dec 22 17:05:46 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* doc/Makefile.am: make fixes
	* doc/txt2man: fix a possible core on utf8 systems
	* include/Makefile.am: fix using make install without make all

Mon Dec 22 11:02:49 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* TODO: update
	* Makefile.am doc/.cvsignore doc/Makefile.am:
	- small updates

Sun Dec 21 09:02:51 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* Makefile.am doc/Makefile.am:
	- do not build reference if doxygen is not installed
	* src/dblib/dblib.c: comments
	* src/dblib/unittests/bcp.c src/dblib/unittests/bcp.h:
	- do not use multi-line literals
	- remove nullable bits from test
	* src/odbc/unittests/common.c: search .so first

Sat Dec 20 14:18:00 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/unittests/Makefile.am src/odbc/unittests/common.c:
	* src/odbc/unittests/common.h src/odbc/unittests/connect.c:
	- autoconfigure ODBC unittests
	- make connect test work even using iODBC

Sat Dec 20 11:24:16 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* Makefile.am freetds.spec.in tds.dox doc/Makefile.am:
	- do not tar reference / userguide
	- install documentation using correct directory
	- update RPM build due to directory change
	* src/odbc/odbc.c: fix some issue with unixODBC

Sat Dec 20 00:24:43 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/ctlib/Makefile.am: version bump
	* include/cspublic.h include/ctlib.h src/ctlib/ctutil.c:
	- more Sybase binary compatibility (strutures)
	- hidden some implementation details to applications

Sat Dec 20 00:07:54 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/Makefile.am: do not install private header

Fri Dec 19 11:28:53 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/cspublic.h: avoid constants change
	* include/replacements.h include/tdsodbc.h: indent(1)
	* src/dblib/Makefile.am: version bump

Fri Dec 19 10:53:46 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/Makefile.am: bump version info

Thu Dec 18 20:34:45 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* configure.in include/tdsodbc.h:
	- remove a warning if iODBC is used

Thu Dec 18 14:36:33 EST 2003	JK Lowden <jklowden@schemamania.org>
	* src/dblib/unittests/bcp.c enabled call to bcp_batch()
	* src/tds/token.c tds_client_msg() does not mark session dead.

Thu Dec 18 11:20:53 EST 2003	JK Lowden <jklowden@schemamania.org>
	* include/tds.h corrected is_fixed_type
	* src/dblib/bcp.c rewrote _bcp_get_term_var, better logging 
	* src/dblib/dblib.c better destlen handling in dbconvert
	* src/dblib/unittests/Makefile.am added bcp test

Wed Dec 17 23:12:19 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c: fixed some issues with iODBC

Tue Dec 16 17:30:38 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/util.c: fixed core enabling append log mode

Tue Dec 16 17:00:59 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/token.c: do not write time more and more

Tue Dec 16 12:03:00 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c: fix severe BUG in big-endian machines
	* src/tds/iconv.c: fix core due to recent optimization
	* src/tds/token.c: fix core logging
	* src/tds/util.c: update doxygen comments

Tue Dec 16 02:37:31 EST 2003	JK Lowden <jklowden@schemamania.org>
	* src/tds/read.c src/tds/token.c
	- better logging, more robust goodread()
	
Mon Dec 15 13:54:57 EST 2003	JK Lowden <jklowden@schemamania.org>
	* include/tds.h removed spurious trailing comma

Sun Dec 14 14:02:42 EST 2003	JK Lowden <jklowden@schemamania.org>
	* doc/userguide.sgml
	- Added ODBC background and troubleshooting help.  
	- Removed iodbc, unixodbc compiling instructions.  
	
Sun Dec 14 16:07:25 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h: size optimization

Sat Dec 13 03:04:48 EST 2003	JK Lowden <jklowden@schemamania.org>
	* doc/Makefile.am remove generated html before regenerating
	* doc/api_status.txt ident string
	* doc/userguide.sgml 100% nice HTML page names, plus markup fixup
	
Fri Dec 12 16:18:53 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* doc/api_status.txt src/odbc/odbc.c:
	- SQLParamOptions and SQLCloseCursor

Fri Dec 12 15:33:14 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/token.c: check tds_process_default_tokens result

Fri Dec 12 11:42:51 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/tdsiconv.h src/replacements/iconv.c:
	- avoid problem with libc iconv version

Fri Dec 12 11:27:49 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/tdsiconv.h src/replacements/iconv.c:
	- do not include encoding.h (remove dependency and lot of data)
	- support for UTF-8
	- a lot of small optimizations
	- some conversions fixes

Thu Dec 11 23:05:06 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/unittests/utf8_2.c: a bit more verbose

Thu Dec 11 12:24:56 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* Makefile.am: do not create an unneeded file
	* src/ctlib/ct.c: column name from ct_describe must be null-terminated
	* src/tds/unittests/utf8_2.c:
	- fix problem for some iconv implementations

Wed Dec 10 15:35:50 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/ctlib/unittests/connect_fail.c:
	* src/ctlib/unittests/t0001.c src/ctlib/unittests/t0005.c:
	- typo
	* src/tds/iconv.c: removed wrong warning

Wed Dec 10 12:20:24 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/ctlib/ct.c src/dblib/bcp.c src/odbc/error.c:
	* src/server/login.c src/tds/iconv.c src/tds/write.c:
	- fix some warnings under 64 bit platforms that can cause problems

Wed Dec 10 11:25:17 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* configure.in: fix for --disable-odbc option

Tue Dec  9 21:51:59 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* doc/Makefile.am: fixed "make distcheck"
	* src/tds/read.c src/tds/write.c:
	- used MSG_NOSIGNAL where available

Tue Dec  9 17:57:46 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* configure.in:
	- enable threadsafe by default to remove some undefined problems

Tue Dec  9 11:49:19 EST 2003	JK Lowden <jklowden@schemamania.org>
	* include/replacements.h add vsnprintf prototype

Tue Dec  9 14:39:20 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c src/odbc/sql2tds.c:
	- fixed problem with Ruby and ODBC

Tue Dec  9 11:18:45 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/tdsstring.h src/apps/freebcp.c src/odbc/native.c:
	* src/odbc/odbc.c src/pool/config.c src/tds/config.c:
	- remove some severe warnings

Mon Dec  8 12:03:22 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c: remove some warnings

Mon Dec  8 11:36:43 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* doc/userguide.sgml: type and some fix for DSN-less configuration

Mon Dec  8 02:30:24 EST 2003	JK Lowden <jklowden@schemamania.org>
	* doc/Makefile.am doc/userguide.sgml doc/userguide.dsl.in
	- Prepare UG for 0.62 release.  Added ODBC chapter.  
	- Still needs integration with reference manual.  

Sun Dec  7 14:19:12 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/descriptor.c: small optimization
	* src/odbc/odbc.c src/odbc/sql2tds.c:
	- comments and a workaround
	* src/tds/login.c src/tds/query.c:
	- let tds_quote_id accept -1 as length (zero terminated)

Sun Dec  7 02:32:19 PST 2003	Peter Deacon <peterd@iea-software.com>
	* include/tds.h src/odbc/descriptor.c src/odbc/odbc.c:
	* src/tds/login.c src/tds/query.c:
	- fixed unchecked memory allocation
	- fixed wrong value for SQL_DESC_LOCAL_TYPE_NAME
	- fixed setting SQL_ATTR_CURRENT_CATALOG failed

Sun Dec  7 01:09:42 EST 2003	JK Lowden <jklowden@schemamania.org>
	* src/tds/numeric.c fixed tds_money_to_string: s/0.%02f/%.02f/
	
Sat Dec  6 23:50:20 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/tds/query.c:
	- make tds_skip_comment static
	- fix parsing of "... /*" and "/* ... */* ... */"

Sat Dec  6 13:08:36 PST 2003	Peter Deacon <peterd@iea-software.com>
	* include/tds.h src/tds/query.c src/odbc/odbc.c:
	- fixed don't look for placeholders in comments
	- bad assert numresults between prepare and exec
	* src/tds/mem.c src/tds/token.c:
	- disconnect on unknown marker

Sat Dec  6 17:35:31 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/unittests/genparams.c: improve

Sat Dec  6 14:43:10 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/tds/convert.c src/tds/numeric.c:
	* src/tds/query.c src/tds/token.c src/tds/unittests/convert.c:
	- some optimization for money
	- improve binary -> char conversions performance
	* src/tds/unittests/dataread.c: test bif MONEY value

Sat Dec  6 11:55:42 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/convert.c src/tds/numeric.c:
	* src/tds/unittests/dataread.c:
	- fixed money rounding
	- fixed conversion money -> char (only 2 decimal digits)
	- improve test on money data
	- use TDS_INT8 if available improving money -> char performance

Fri Dec  5 23:00:31 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* vms/config_h.vms vms/descrip_mms.template:
	- applied Craig A. Berry patch (VMS update)

Fri Dec  5 15:23:48 EST 2003	JK Lowden <jklowden@schemamania.org>
	* src/tds/numeric.c convert(money,char) to 2 decimal places

Thu Dec 04 23:27:09 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* freetds.conf: updated removing old configurations

Thu Dec 04 23:03:12 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/token.c: make "make check" happy even for Sybase

Thu Dec 04 12:05:10 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/dblib/unittests/t0016.c: fixed make distcheck
	* src/tds/token.c: fix for raiserror statement

Wed Dec 03 11:41:45 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/query.c: support for emulated prepare under TDS 4.2

Wed Dec 03 11:01:46 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/config.c: remove libgen dependency

Wed Dec 03 10:34:12 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* configure.in src/odbc/Makefile.am:
	- ODBC driver do not require ODBC DM library
	* src/odbc/unittests/raiseerror.c: more verbose

Wed Dec  3 03:33:01 EST 2003	JK Lowden <jklowden@schemamania.org>
	* doc/tsql.txt updated and clarified (I hope)
	* doc/userguide.sgml applied Freddy's modified patch and more
	* src/tds/config.c bad entries written to stderr
	
Wed Dec 03 08:12:49 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/Makefile.am src/tds/encodings.h:
	* src/tds/sybase_character_sets.h:
	* src/tds/sybase_character_sets.h.pl:
	- fix make on snapshot

Tue Dec 02 18:40:08 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/character_sets.h src/tds/encodings.h:
	- updated tables for ISO-2022-* charsets

Mon Dec 01 08:34:27 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/tables.sql src/odbc/Makefile.am:
	- removed tables.sql

Sun Nov 30 14:23:10 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/unittests/.cvsignore src/odbc/unittests/Makefile.am:
	* src/odbc/unittests/preperror.c(added):
	- added a test from Nathaniel Talbott issue
	* src/tds/token.c: fixed core

Sun Nov 30 13:42:05 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/Makefile.am src/tds/encodings.h:
	- updated encodings.h
	- added a charset target to make to update encodings.h

Sun Nov 30 13:00:17 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/cspublic.h include/tds.h src/ctlib/cs.c:
	* src/ctlib/ct.c src/tds/convert.c src/tds/token.c:
	- applied Alex Kiesel patch on UNI(VAR)CHAR
	* src/odbc/odbc.c: 
	- assert statement is the current one on SQLMoreResults
	* src/tds/character_sets.h: update

Sat Nov 29 22:04:10 EST 2003	JK Lowden <jklowden@schemamania.org>
	* src/odbc/odbc.c 
	- applied 2-line  patch from nj-freetds@talbott.ws
	- Cf. 25 Nov 2003, "ODBC SQLExecute succeeds when it shouldn't"
	
Fri Nov 28 17:52:15 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* doc/Makefile.am: updated to 0.62 version
	* include/tds.h src/tds/mem.c src/tds/query.c:
	* src/tds/token.c:
	- fix for Sybase and prepare using blobs
	  (emulate prepared statements)

Tue Nov 25 16:41:13 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* configure.in src/tds/login.c:
	- enable TCP_NODELAY options in socket

Mon Nov 24 21:18:50 EST 2003	JK Lowden <jklowden@schemamania.org>
	* configure.in provide --disable-odbc override, and minor edits.
	
Mon Nov 24 22:09:29 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* configure.in: better detect for ODBC

Mon Nov 24 20:57:18 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/tds/iconv.c:
	- cleanup and comments
	- small iconv fixes

Sun Nov 23 22:09:31 EST 2003	JK Lowden <jklowden@schemamania.org>
	* src/tds/write.c s/eilseq/einval/ 
	* src/tds/query.c fixed warning
	
Sun Nov 23 10:12:02 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/iconv.c src/tds/read.c:
	- small fixes for iconv

Sun Nov 23 09:57:35 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* TODO src/tds/query.c:
	- use iconv for input parameters

Sat Nov 22 17:59:36 EST 2003	JK Lowden <jklowden@schemamania.org>
	* include/tds.h include/cspublic.h
	* src/ctlib/cs.c src/ctlib/ct.c
	* src/tds/convert.c src/tds/token.c
	- SYBUNIVARCHAR handling
	
Sat Nov 22 17:49:12 EST 2003	JK Lowden <jklowden@schemamania.org>
	* include/tdsiconv.h
	* src/tds/iconv.c src/tds/login.c src/tds/query.c
	* src/tds/read.c src/tds/write.c
	- Add message suppression to TDSICONVINFO. utf_[12] unit tests now pass.  
	* src/server/login.c move tds_iconv() call out of assert.  
	
Sat Nov 22 18:16:25 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/tdsodbc.h src/odbc/error.c src/odbc/odbc.c:
	* src/odbc/odbc_checks.c src/odbc/odbc_util.c:
	* src/odbc/prepare_query.c src/odbc/sql2tds.c:
	- renamed henv/hdbc attributes to env/dbc

Sat Nov 22 17:32:29 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/read.c: reverse some BLOB handling
	* src/tds/token.c:
	- remove libgen.h dependency
	- some fixes for ODBC
	- some fixes for UTF-8 client
	- do not core if dumping is enabled
	* src/tds/unittests/common.c:
	- do not force 512 as packet size
	* src/tds/unittests/flags.c src/tds/unittests/utf8_1.c:
	- make them work
	* src/tds/util.c: print (null) on null strings
	* src/tds/write.c: new style comment..

Sun Nov 16 19:09:13 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/query.c: reformatted to avoid warning in gcc
	* src/tds/token.c:
	- some fixes and comments

Sun Nov 16 02:56:40 EST 2003	JK Lowden <jklowden@schemamania.org>
	* src/tds/iconv.c src/tds/query.c src/tds/read.c
	* src/tds/token.c src/tds/util.c src/tds/write.c
	- support partial UTF-8 characters in read_and_convert()
	- distinguish between client and wire sizes in tds_get_data()
	- better logging, support unsigned ints	
	* include/tds.h include/tdsiconv.h reindented
	* src/ctlib/ct.c moved cursor status into sub-structure
	
Sat Nov 15 17:10:14 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/iconv.c src/tds/read.c src/tds/unittests/Makefile.am:
	* src/tds/unittests/utf8_2.c(added):
	- some fixes for iconv stuff
	- added test for conversion from utf8

Sat Nov 15 10:37:58 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* doc/api_status.txt: added SQLFetchScroll
	* src/tds/iconv.c: fixed for dblib problem
	* src/odbc/odbc.c: rollback

Sat Nov 15 10:26:28 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/unittests/common.c src/tds/unittests/common.h:
	* src/tds/unittests/utf8_1.c:
	- continued UTF8 test

Thu Nov 13 15:58:38 EST 2003	JK Lowden <jklowden@schemamania.org>
	* src/tds/read.c prepare read_and_convert for UTF-8

Thu Nov 13 14:09:00 EST 2003	JK Lowden <jklowden@schemamania.org>
	* src/tds/read.c fix logging in tds_get_char_data()
	* src/tds/token.c log return status of stored procedures

Thu Nov 13 08:46:23 EST 2003	JK Lowden <jklowden@schemamania.org>
	- Applied Frediano's patch:
	* src/odbc/Makefile.am  src/odbc/convert_sql2string.c
	* src/odbc/convert_sql2string.h src/odbc/convert_tds2sql.c
	* src/odbc/odbc.c src/odbc/odbc_util.c src/odbc/odbc_util.h
	* src/odbc/prepare_query.c src/odbc/sql2tds.c
	* src/odbc/unittests/common.c src/odbc/unittests/genparams.c
	* src/tds/query.c vms/odbc_driver_axp.opt win32/FreeTDS.def
	- some fix for numeric parameters in ODBC
	- some fix for SQL_C_DEFAULT in ODBC
	- added SQLFetchScroll
	- cleanup
	- do not use convert_sql2string.[ch]
	* src/odbc/checkexport.sh some fixes for libtool update

Wed Nov 12 23:45:02 PST 2003	Peter Deacon <peterd@iea-software.com>
	* src/odbc/odbc.c: commit/rollback with pending results

Sun Nov  9 08:48:46 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/tdsodbc.h src/odbc/error.c src/odbc/odbc.c:
	- remove attr_ prefix from all attributes

Sat Nov  8 18:51:21 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/convert_sql2string.c src/odbc/convert_tds2sql.c:
	* src/odbc/sql2tds.c:
	- some fix for numeric parameters
	* src/odbc/odbc.c: indent(1)
	* src/odbc/odbc_util.c: note
	* src/odbc/unittests/common.c: indent(1)
	* src/odbc/unittests/date.c src/odbc/unittests/funccall.c:
	* src/odbc/unittests/lang_error.c:
	* src/odbc/unittests/norowset.c src/odbc/unittests/params.c:
	* src/odbc/unittests/print.c src/odbc/unittests/raiseerror.c:
	* src/odbc/unittests/t0001.c src/odbc/unittests/t0002.c:
	- reuse some code
	* src/odbc/unittests/Makefile.am:
	* src/odbc/unittests/genparams.c(added):
	- added test for parameters
	* src/tds/token.c: applied Bill Thompson patch
	
Thu Nov  6 12:19:15 EST 2003	JK Lowden <jklowden@schemamania.org>
	- Applied Frediano's patches.
	* src/odbc/connectparams.c fix FILENAME_MAX define under HP/UX
	* src/odbc/odbc.c src/odbc/unittests/tables.c 
	- fixed SQLTables
	* src/tds/query.c added a note

Wed Nov  5 12:19:23 EST 2003	JK Lowden <jklowden@schemamania.org>
	- Applied Frediano's patch:
	* src/odbc/connectparams.h src/odbc/connectparams.c
	* src/odbc/convert_sql2string.c
	* src/odbc/convert_tds2sql.c src/odbc/odbc.c
	* src/odbc/odbc_checks.h src/odbc/odbc_checks.c
	* src/odbc/odbc_util.c src/odbc/prepare_query.c
	* src/odbc/unittests/putdata.c
	- fixed SQL_DESC_ROWS_PROCESSED_PTR handling (thanks to Alex Hornby)
	- comment style updates
	- return correct result converting to string
	- more internal checks
	- removed some TODO
	- fixed wrong error setting concise type
	- fixed problem with ODBC3 types in prepared code (thanks to Steven Reynolds)

Tue Nov  4 13:42:08 EST 2003	JK Lowden <jklowden@schemamania.org>
	- Applied Frediano's patch:
	* include/tds.h src/tds/token.c
	- support for newer mssql compute clauses
	* include/tdsodbc.h
	* src/odbc/odbc.c
	* src/odbc/odbc_checks.c
	* src/odbc/odbc_util.h
	* src/odbc/odbc_util.c
	- fixed type test and problems related
	- extra structures checks on functions exit
	- fix problem with macro (thanks to David Fraser)
	* TODO updated

Tue Nov  4 03:03:38 EST 2003	JK Lowden <jklowden@schemamania.org>
	* doc/userguide.sgml Updated for 0.62, except for ODBC
	
Mon Nov  3 11:35:02 EST 2003	JK Lowden <jklowden@schemamania.org>
	- Applied Frediano's patch:
	* include/tds.h src/tds/query.c
	- add sql_submit_execdirect procedure
	- cleanup
	- indent(1)
	- return TDS_FAIL if tds_flush_packet fail
	- support mssql7 using cursors
	* include/tdsodbc.h
	* src/odbc/odbc.c src/odbc/odbc_checks.c src/odbc/odbc_util.c
	* src/odbc/prepare_query.c src/odbc/sql2tds.c src/odbc/sql2tds.h
	- fix SQLPutData using prepared statements
	* src/tds/mem.c
	- small optimization, 
	- remove some buffer overflows (added very recently)

Mon Nov  3 00:03:37 EST 2003	JK Lowden <jklowden@schemamania.org>
	* doc/userguide.sgml Updated from beginning to iODBC.  
	
Sun Nov  2 11:58:07 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* configure.in include/tdsodbc.h src/odbc/odbc.c:
	* src/odbc/odbc_util.h src/odbc/prepare_query.h:
	* src/odbc/unittests/Makefile.am:
	- applied patch for NO-DM from David Fraser

Sun Nov  2 11:51:17 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/config.c: fix reverse lookup problems

Sat Nov  1 17:45:03 EST 2003	JK Lowden <jklowden@schemamania.org>
	* include/cspublic.h include/des.h
	* include/sybdb.h include/tds.h
	* src/apps/freebcp.c
	* src/ctlib/cs.c src/ctlib/ct.c
	* src/ctlib/unittests/cs_config.c src/ctlib/unittests/lang_ct_param.c
	* src/dblib/bcp.c src/dblib/dblib.c src/dblib/unittests/t0016.c
	* src/tds/challenge.c src/tds/config.c src/tds/des.c
	* src/tds/mem.c src/tds/query.c src/tds/token.c
	* src/tds/unittests/flags.c
	- ct-lib cursors!  Bill Thompson's 4043-line patch.  
	- Some updates to the patch remain pending.  
	* TODO removed ct-lib cursor entry.  
	
Fri Oct 31 13:49:02 EST 2003	JK Lowden <jklowden@schemamania.org>
	* src/apps/freebcp.c fix line 128

Wed Oct 29 10:18:29 EST 2003	 JK Lowden <jklowden@schemamania.org>
	* src/dblib/bcp.c 
	- s/__func__/__FILE__/ for now
	- fix a memory violation in freebcp 
	* src/odbc/odbc.c 
	- --enable-developing not required for prepared statements
 
Tue Oct 28 19:28:14 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/query.c src/tds/token.c: be consistent

Mon Oct 27 03:54:57 EST 2003	JK Lowden <jklowden@schemamania.org>
	* src/dblib/bcp.c s/__FUNCTION__/__func__/
	
Sat Oct 25 05:06:58 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* configure.in
	- added --disable-libiconv, 
	- enable-threadsafe [default yes] => disable-threadsafe
	- enable-debug [default yes] => disable-debug
	
Sat Oct 25 00:57:00 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* TODO src/apps/freebcp.c src/dblib/bcp.c
	- support \\, \t, \r, and \n terminators.  Parse but don't honor \0.
	* src/tds/iconv.c
	- make tds_iconv_fread understand zero-length data fields. 
	
Fri Oct 24 12:05:38 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc_util.c src/odbc/sql2tds.c:
	- fixed binding

Thu Oct 23 12:23:37 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* TODO: updates
	* acinclude.m4: fix wrong detection on Mac OS X
	* include/tds.h include/tds_sysdep_private.h:
	* include/tds_sysdep_public.h.in:
	* src/odbc/odbc.c src/pool/user.c:
	* src/server/login.c src/tds/convert.c:
	* src/tds/read.c win32/tds_sysdep_public.h:
	- remove some warnings compiled under Forte
	* src/tds/iconv.c:
	- update for no-GNU iconv

Tue Oct 21 22:50:37 PDT 2003	Peter Deacon <peterd@iea-software.com>
	* src/tds/mem.c: more native sqlstate mappings
	* win32/tds_sysdep_public.h: fix win32 msvc6 project error

Tue Oct 21 21:29:07 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* include/tds.h include/tdsiconv.h
	* src/odbc/odbc.c src/server/login.c
	* src/tds/iconv.c src/tds/login.c src/tds/mem.c
	* src/tds/numeric.c src/tds/query.c src/tds/read.c
	* src/tds/token.c  src/tds/write.c
	- Frediano's 1038-line patch from two days ago.  
	- Convert TDSICONVINFO *iconv_info to **iconv_info, and 
	- begin handling per-column encodings.  

Sun Oct 19 13:00:14 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* src/odbc/unittests/Makefile.am
	* src/odbc/unittests/common.c
	* src/odbc/unittests/common.h
	- Accepted patch from John Anderson <panic@semiosix.com>
	- should close cursors on SQLEndTran
	* src/odbc/unittests/transaction.c added

Sat Oct 18 23:36:42 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* samples/test.pl permit command-line connection arguments
	* src/tds/encodings.pl src/tds/encodings.h 
	- explicitly number charset enumerations
	
Sat Oct 18 18:44:31 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* doc/userguide.sgml minor copyedits
	* src/ctlib/ct.c fix bug sqsh trips on when no rows are returned. 
	- patch from Alex Kiesel <alex.kiesel@document-root.de>
	- see ML 18 Oct 2003 14:51:24 +0200
	
Thu Oct 16 23:02:05 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/encodings.h src/tds/encodings.pl:
	- define constant for every canonic charset

Wed Oct 08 21:23:03 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* configure.in:
	- test for wchar.h (some systems define EILSEQ here)
	- remove -ansi flag (enabling some required definitions)
	* include/tdsiconv.h: define EILSEQ if not like GNU-iconv
	* src/tds/read.c src/tds/token.c src/tds/write.c:
	- explicitly treat tds->iconv_info like an array

Tue Oct 07 22:05:48 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* configure.in: avoid wrong dependency under Linux
	* freetds.spec.in doc/Makefile.am: fixes for RH9
	* src/odbc/odbc.c: remove warning, cleanup

Sun Oct  5 23:18:46 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* INSTALL.CVS added information about CVS tarballs.
	
Sun Oct 05 18:41:22 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* configure.in:
	- test for other socket functions
	- add "-ansi -Wno-long-long" if gcc for more warnings
	* include/tds.h: small fix for C98 compiler
	* src/apps/Makefile.am: try to fix Mac OS X problem
	* src/odbc/odbc_util.c src/odbc/odbc_util.h:
	* src/odbc/prepare_query.c src/odbc/sql2tds.c:
	- merged patch from ML for GUID parameters
	- start supporting SQL_C_DEFAULT
	* src/tds/login.c: fix possible 64 bit problem
	* src/tds/token.c: fix "undefined strdup" under RH9
	* src/tds/unittests/.cvsignore src/tds/unittests/Makefile.am:
	* src/tds/unittests/utf8_1.c(added):
	- added first utf8 test (not finished)

Tue Sep 30 21:21:10 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* doc/Makefile.am: trick for "make distcheck"

Tue Sep 30 21:04:48 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* configure.in include/tds.h src/odbc/Makefile.am:
	* src/odbc/unittests/Makefile.am:
	- fix problem with odbc autodetect
	* src/tds/config.c src/tds/mem.c src/tds/token.c:
	* src/tds/unittests/convert.c:
	- indent(1)

Tue Sep 30 17:01:57 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* configure.in src/tds/config.c:
	- use inet_ntoa_r if available
	* src/tds/iconv.c: fix for SWAPBYTE flag
	* src/tds/mem.c: fix bus error, unaligned data
	* src/tds/threadsafe.c: some fixes
	* src/tds/token.c: remove warning compiled under big endian machine	
	* src/tds/unittests/convert.c: fill precision/scale members

Sun Sep 28 16:55:58 PDT 2003	Peter Deacon <peterd@iea-software.com>
	* src/tds/config.c src/tds/login.c src/tds/token.c:
	* src/odbc/odbc.c include/tds.h src/tds/read.c:
	- fix unchecked memory allocation
	- replace bad assert
	- add missing TDS_IS_SOCKET_INVALID macro

Fri Sep 25 23:10:36 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* TODO: update from ML and other
	* src/apps/tsql.c: fix problem reading system charset
	* include/tds.h src/ctlib/ct.c src/dblib/bcp.c src/dblib/dblib.c:
	* src/odbc/odbc.c src/pool/member.c src/replacements/iconv.c:
	* src/tds/iconv.c src/tds/login.c src/tds/query.c src/tds/token.c:
	* src/tds/unittests/common.c src/tds/unittests/dataread.c:
	* src/tds/unittests/flags.c src/tds/unittests/t0002.c:
	* src/tds/unittests/t0003.c src/tds/unittests/t0004.c:
	* src/tds/unittests/t0005.c src/tds/unittests/t0006.c:
	- remove params from tds_submit_query
	- added tds_submit_query_params

Wed Sep 24 22:26:32 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* Makefile.am doc/Makefile.am:	
	- fix some issue related to make distcheck

Wed Sep 24 21:14:43 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* configure.in src/odbc/Makefile.am:
	- try to fix ODBC library use (iODBC and unixODBC should now
	  work ok without strange configurations)

Wed Sep 24 13:35:49 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* include/tds.h src/odbc/odbc.c src/tds/login.c
	- Add more ODBC2 support to SQLSetStmtAttr and 
	- change longquery support.

Tue Sep 23 20:54:59 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h include/tds_sysdep_public.h.in:
	* src/pool/user.c src/server/login.c:
	* src/tds/login.c src/tds/mem.c:
	* src/tds/read.c src/tds/util.c:
	- fix some issues related to SOCKET declaration on windows

Tue Sep 23 13:37:28 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* src/odbc/odbc.c fix-ups to previous patch for SQLSetStmtAttr.

Tue Sep 23 11:29:22 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* include/tdsodbc.h src/odbc/odbc.c
	- Applied patch by Frediano from ML today.
	- Adds ODBC2 support to SQLSetStmtAttr.

Tue Sep 23 01:03:12 PDT 2003	Peter Deacon <peterd@iea-software.com>
	* src/odbc/odbc.c src/tds/mem.c src/tds/query.c
	* src/tds/read.c src/tds/token.c
	- add SQL_ATTR_QUERY_TIMEOUT support on statement handle
	- check cancel return codes

Mon Sep 22 22:07:04 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* win32/msvc6/iconv_replacement.c(added):
	* win32/config.h win32/dev-cpp/FreeTDS.dev:
	* win32/dev-cpp/Makefile.win win32/msvc6/FreeTDS.dsp:
	* win32/msvc6/Makefile.am:
	- updated win32 compile (odbc)
	* configure.in: small update
	* include/tdsodbc.h src/odbc/convert_sql2string.c:
	- fix for MingW header bug causing error compiling
	* src/odbc/descriptor.c src/odbc/odbc_util.c:
	* src/tds/convert.c src/tds/login.c:
	- remove some warnings
	* src/tds/config.c: assure correct structure initilization
	* src/tds/query.c: fix problem with sp_prepare and mssql7

Sun Sep 21 20:34:21 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/ctlib/ct.c src/dblib/bcp.c src/dblib/dblib.c:
	* src/dblib/rpc.c src/odbc/odbc.c src/pool/stream.c:
	* src/server/server.c src/server/unittest.c:
	* src/tds/query.c src/tds/token.c:
	- set always correctly column_namelen
	- convert parameter name in query.c
	- use NULL instead of '' for sp_prepare parameter definition

Fri Sep 19 10:53:41 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c: free dynamic on error preparing
	* src/tds/query.c: fix prepared using TDS7+
	* src/tds/token.c: do not save garbage as prepared id (TDS7+)

Fri Sep 19 08:15:31 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/iconv.c: revert, wrong type constant

Fri Sep 19 08:10:05 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/encodings.h src/tds/encodings.pl:
	- remove empty charset

Thu Sep 18 16:17:57 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* src/tds/iconv.c
	- small edits, added tds_iconv_info_close utility function
	* src/tds/encodings.h src/tds/encodings.pl
	- cannot look up charset "646" properly 
	- attempted to fix off-by-one in src/tds/encodings.h
	- but ran out of time.  

Thu Sep 18 11:26:59 EDT 2003	nsc <Nicholas_Castellano@acml.com>
	* src/replacements/vasprintf.c
	- Fix off-by-one error in vsnprintf-based vasprintf() replacement.

Wed Sep 17 21:29:21 PDT 2003	Peter Deacon <peterd@iea-software.com>
	* src/tds/mem.c: added sqlstate mappings
	* src/replacements/iconv.c: fix charset selection

Wed Sep 17 09:22:31 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c:
	- fix memory leak
	- return SQL_SUCCESS_WITH_INFO on 01S02 (Option value changed)
	* src/odbc/unittests/type.c: improve
	* include/tdsiconv.h:
	* include/tds.h src/tds/encodings.h src/tds/encodings.pl:
	* src/tds/iconv.c src/tds/login.c src/tds/mem.c:
	* src/tds/query.c src/tds/token.c:
	- use UTF8 as one of required charset (to fix some problems)
	- fix many issues in query.c related to iconv stuff
	- more compatibility for strange iconv implementation (big endian)
	- use memcpy for same charset conversions
	- use nearest conversion for Sybase

Thu Sep 11 16:50:31 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/error.c src/odbc/odbc.c src/odbc/odbc_checks.c:
	* win32/msvc6/FreeTDS.dsp:
	- applied Peter Deacon patch

Tue Sep  9 14:00:57 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* doc/htdoc/contrib.html doc/htdoc/faq.html
	- removed references to 'book1.html'

Thu Sep 04 10:56:40 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/unittests/type.c src/tds/unittests/t0003.c:
	- remove warnings

Wed Sep 03 20:55:10 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/connectparams.c src/odbc/connectparams.h:
	* src/odbc/convert_sql2string.c src/odbc/convert_sql2string.h:
	* src/odbc/convert_tds2sql.c src/odbc/odbc.c:
	* src/odbc/odbc_checks.c src/odbc/odbc_util.c:
	* src/odbc/odbc_util.h src/odbc/sql2tds.c:
	- some name normalization
	- more work on types
	- cleanup
	* src/odbc/unittests/Makefile.am src/odbc/unittests/type.c(added):
	- test for types

Mon Sep 01 11:59:16 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c:
	- applied Peter Deacon patch on transaction

Sun Aug 31 16:37:57 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c: cleanup and small updates

Sun Aug 31 16:22:03 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/tdsodbc.h src/odbc/odbc.c:
	- more work on SQLSetStmtAttr

Sat Aug 30 19:53:08 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* TODO: updated
	* src/odbc/odbc.c: small fixes

Sat Aug 30 19:10:14 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/tdsodbc.h src/odbc/odbc.c src/odbc/odbc_checks.c:
	- continue merging Steve Murphree patch
	 - SQLGetCursorName/SQLSetCursorName
	 - SQLSetStmtAttr (with --enable-developing swicth)
	- fix compilation warning if TDS_NO_DM is defined

Sat Aug 30 15:31:28 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* doc/api_status.txt: updated
	* include/tdsodbc.h src/odbc/descriptor.c src/odbc/odbc.c:
	- implemented SQLCopyDesc
	- applied partially Alex Hornby patch

Sat Aug 30 15:31:28 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c vms/odbc_driver_axp.opt win32/FreeTDS.def:
	- SQLColAttribute

Sat Aug 30 15:00:42 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c src/odbc/odbc_checks.c src/odbc/odbc_util.c:
	* src/odbc/prepare_query.c src/odbc/sql2tds.c:
	- some fixes for sql_desc_type and sql_desc_concise_type

Sat Aug 30 12:03:48 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/Makefile.am src/odbc/odbc.c:
	* src/odbc/odbc_checks.c(added) src/odbc/odbc_checks.h(added):
	- add some deep check (using --enable-extra-checks)

Fri Aug 29 22:35:39 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/tdsodbc.h src/odbc/odbc.c src/odbc/odbc_util.c:
	* src/odbc/odbc_util.h src/odbc/prepare_query.c:
	* src/odbc/sql2tds.c src/odbc/sql2tds.h src/odbc/unittests/funccall.c:
	- remove _sql_param_info structure and update cascading
	- remove buffer overflow compiling without --enable-developing and
	  using SQLPutData

Fri Aug 29 17:46:43 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/tdsodbc.h src/odbc/odbc.c src/odbc/odbc_util.c:
	* src/odbc/prepare_query.c src/odbc/sql2tds.c:
	- added and use sql_desc_indicator_ptr in parameters

Fri Aug 29 17:06:11 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c src/odbc/unittests/Makefile.am:
	* src/odbc/unittests/getdata.c(added):
	- fix a core getting text with SQLGetData

Fri Aug 29 16:17:25 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/tdsodbc.h src/odbc/odbc.c:
	- remove _sql_bind_info structure, use ARD instead

Fri Aug 29 00:07:54 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c:
	- continue merging Steve Murphree patch
	 - use IRD (SQLDescribeCol, SQLNumResultCols)
	 - minor issues and update
	- fixed possible buffer overflow
	
Thu Aug 28 21:42:10 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/descriptor.c src/odbc/odbc.c:
	- continue merging Steve Murphree patch
	 - populate IRD (updated)
	- check res_info <=> IRD consistency and add some temporary fix

Thu Aug 28 18:03:16 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/tdsodbc.h src/odbc/odbc.c:
	- continue merging Steve Murphree patch
	 - SQLGetStmtAttr and SQLGetStmtOption

Thu Aug 28 17:11:52 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/tdsodbc.h src/odbc/odbc.c:
	- continue merging Steve Murphree patch
	 - add statement attributes and initialize them
	- rename a constant

Thu Aug 28 07:45:55 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/odbc/odbc.c src/tds/mem.c:
	* src/tds/token.c:
	- Applied Peter Daecon patch
	 - SQLSetDescField declaration
	 - SQLGetInfo is not connected return some error
	 - inizialize correctly some sqlstates in client messages
	 - add some sqlstates from native errors

Wed Aug 27 15:06:04 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/tdsodbc.h src/odbc/error.c: 
	- move lastrc in sql_errors structure
	* src/odbc/odbc.c: small comment fix
	* src/odbc/checkexport.sh vms/odbc_driver_axp.opt:
	* win32/FreeTDS.def:
	- update exports from system that require explicit symbols list

Wed Aug 27 11:53:15 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c:
	- continue merging Steve Murphree patch
	 - SQLColAttribute(s) (fixed)

Tue Aug 26 18:23:45 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c: fix silly memory leak

Tue Aug 26 17:50:07 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/tdsodbc.h src/odbc/odbc.c:
	- continue changing field names
	- correct field type
	- allocate descriptors correctly (still not used very much)
	* src/odbc/odbc_util.c:
	- small fix returning result from store procedures

Tue Aug 26 16:57:11 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/tdsodbc.h src/odbc/odbc.c src/odbc/odbc_util.c:
	* src/odbc/prepare_query.c src/odbc/sql2tds.c:
	- some header cleanup (do not define IRD, IPD, ARD, APD as types)
	- rename some field (parameter to prepare desc code)

Tue Aug 26 12:14:04 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/tdsodbc.h src/odbc/odbc.c:
	- continue merging Steve Murphree patch
	 - SQLSetDescField (fixed, quite rewritten)

Mon Aug 25 23:13:41 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c: small fix for SQLGetDescField

Sun Aug 24 11:45:29 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/tdsodbc.h src/odbc/odbc.c:
	- continue merging Steve Murphree patch
	 - SQLGetDescField (fixed)

Sat Aug 23 12:55:38 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c:
	- continue merging Steve Murphree patch
	 - SQLGetInfo (fixed and commented)

Mon Aug 18 20:42:37 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc_util.c: small DATE fix

Mon Aug 18 11:51:47 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/descriptor.c:
	- code for resize descriptor

Mon Aug 18 11:34:03 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/cspublic.h include/ctpublic.h  include/tds.h:
	* include/tdsiconv.h:
	- indent(1)

Fri Aug 15 10:14:57 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/mem.c: fix severe BUG using NUMERIC/BLOB parameters

Fri Aug 15 09:09:12 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c src/tds/mem.c:
	- applyed Peter Deacon patch (transaction fix)
	* src/odbc/unittests/print.c:
	- revert commit, separated RAISEERROR test

Thu Aug 14 23:00:52 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/tdsodbc.h src/odbc/odbc.c src/odbc/odbc_util.c:
	* src/odbc/prepare_query.c src/odbc/sql2tds.c src/tds/query.c:
	* src/tds/read.c src/tds/token.c win32/initnet.c:
	- applied Peter Deacon patch (connection drop fix)
	- renamed ODBC field to reflect future IRD field

Tue Aug 12 09:53:54 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc_util.c: merge Peter Deacon fix

Mon Aug 11 13:58:35 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/query.c:
	- fix crash of mssql2k in some condition
	- some optimization for mssql2k

Mon Aug 11 11:50:54 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* doc/tds.html: small update

Sun Aug 10 22:28:59 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/iconv.c:
	- remove warnings
	- cleanup

Sun Aug 10 22:18:43 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/read.c: remove a warning

Fri Aug 08 17:36:16 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/tdsconvert.h: cleanup and doc
	* src/odbc/convert_tds2sql.c src/odbc/odbc.c src/odbc/sql2tds.c:
	- fixed support for DATE/TIME input parameter (reported by 
	  Tom Rogers)
	* src/odbc/Makefile.am: use -Bsymbolic option linking

Fri Aug 08 12:18:54 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/unittests/Makefile.am:
	* src/odbc/unittests/raiseerror.c(added):
	- added test for RAISEERROR in store (from Tom Rogers)

Thu Aug 07 23:08:08 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c:
	- fixed bug calling SQLBindParam (reported by David Fraser)

Thu Aug 07 16:21:28 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c src/odbc/odbc_util.c:
	- fix binding with ODBC3 DATE/TIME data
	- fix SQLExecute return if some error raised

Wed Aug  6 11:45:57 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* src/dblib/unittests/dbmorecmds.c use query instead of sp_help
	* include/tds.h better enumerated flags for TDS_DONE
	* src/tds/token.c better logging of tds_process_end

Wed Aug 06 14:33:30 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/connectparams.c src/odbc/connectparams.h:
	* src/odbc/odbc.c:
	- continue merge from Steve patch:
	 - merged SQLDriverConnect check and fix
	- tdoParseConnectString handle unterminated string

Wed Aug 06 11:14:04 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c vms/odbc_driver_axp.opt win32/FreeTDS.def:
	- continue merge from Steve patch:
	 - merged SQLGetDescRec and SQLSetDescRec

Wed Aug 06 09:53:15 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* doc/userguide.sgml: fixed typo

Tue Aug  5 23:41:34 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* TODO added NTLMv2 note
	* doc/tds.html completed one little TODO
	* doc/userguide.sgml domain login discussion and tsql update
	* src/ctlib/ct.c reformatting in ct_options
	
Tue Aug 05 15:27:44 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* doc/userguide.sgml: some updates

Tue Aug 05 14:22:56 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/unittests/print.c:
	- add a test for raiseerror

Tue Aug 05 10:57:44 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c src/odbc/odbc_util.c src/odbc/odbc_util.h:
	- applied Peter Daecon patch (present also in Steve Murphree one)

Tue Aug  5 01:00:29 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* doc/Makefile.am removed faq and basic question
	
Mon Aug  4 23:58:42 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* TODO added EILSEQ issue
	* include/tds.h started redefinition of log levels. 
	
Mon Aug  4 21:57:50 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* doc/htdoc/index.html doc/htdoc/software.html
	- updated per Frediano's suggestions today on ML
	
Mon Aug  4 21:22:21 EDT 2003    JK Lowden <jklowden@schemamania.org>
	* TODO marked website tasks as done.
	* doc/htdoc/faq.html 
	- linked to which_api and removed stale questions.

Mon Aug 04 17:12:54 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/tdsodbc.h src/odbc/odbc.c:
	- continue merge from Steve patch:
	 - merged _SQLAllocDesc and _SQLFreeDesc

Mon Aug 04 14:44:02 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/iconv.c src/tds/token.c:
	- fix problem when server change charset coding

Mon Aug 04 11:12:42 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/error.c: cleanup and small changes

Sun Aug  3 23:46:25 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* doc/htdoc/basic_jdbc_question.html doc/htdoc/faq.html
	- moved from doc directory
	* doc/htdoc/contrib.html
	* doc/htdoc/docs.html
	* doc/htdoc/index.html
	* doc/htdoc/news.html
	* doc/htdoc/software.html
	* doc/htdoc/support.html
	* doc/htdoc/vague_jdbc_question.html
	* doc/htdoc/which_api.html
	- Added website pages to doc/htdoc

Sun Aug 03 16:02:54 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/connectparams.c: add PacketSize DSN entry

Sat Aug 02 19:49:38 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/Makefile.am include/tds.h include/tdsiconv.h:
	- do not install tdsiconv.h

Fri Aug 01 17:50:46 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/connectparams.c src/odbc/convert_sql2string.c:
	* src/odbc/error.c:
	- remove some FIXME from code

Fri Aug 01 15:45:39 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/token.c:
	- do not cause invalid data with variant, replace with NULL

Fri Aug 01 08:38:20 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/tdsodbc.h src/odbc/error.c src/odbc/odbc.c:
	* src/odbc/prepare_query.c src/tds/mem.c:
	- merge Peter Daecon patch:
	 - fix state handling (consolidation and reuse)
	 - fix error with MS DM
	- remove native parameter from odbc_errs_add (always 0)

Thu Jul 31 23:45:32 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/read.c:
	- merge Peter Daecon patch (memory leak fix)
	* win32/dev-cpp/FreeTDS.dev win32/dev-cpp/Makefile.win:
	* win32/msvc6/FreeTDS.dsp:
	- merge Peter Daecon patch:
	 - update msvc project for ODBC
	- update other win32 projects

Thu Jul 31 23:21:41 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/tdsodbc.h src/odbc/Makefile.am:	
	* src/odbc/descriptor.c(added):
	- continue merge from Steve patch:
	 - merged descriptors declaration and allocation
	
Thu Jul 31 14:50:47 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc_util.c src/odbc/odbc_util.h:
	- continue merge from Steve patch:
	 - copyed odbc_tds_to_sql_typename function

Thu Jul 31 14:32:32 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c src/odbc/odbc_util.c src/odbc/odbc_util.h:
	- continue merge from Steve patch:
	 - put some code in utils

Wed Jul 30 12:06:11 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* src/pool/config.c don't lowercase the incoming username.

Wed Jul 30 12:00:31 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* INSTALL.CVS pointer to source forge, update
	* TODO moved completed tasks to "done" section
	* doc/api_status.txt added dbmorecmds
	* src/tds/unittests/convert.c minor assert fix 

Wed Jul 30 14:36:36 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/connectparams.c: small update

Wed Jul 30 02:15:44 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* doc/tds.html fixed an internal link
	* src/dblib/dblib.c dbmorecmds tolerates missing result set.

Tue Jul 29 21:25:26 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c src/odbc/odbc_util.c src/odbc/odbc_util.h:
	* vms/odbc_driver_axp.opt win32/FreeTDS.def:
	- finish SQLNativeSql merge

Tue Jul 29 14:35:16 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/connectparams.c:
	- continue merge from Steve patch:
	 - merge connection stuff (modified)

Tue Jul 29 11:47:55 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* vms/odbc_driver_axp.opt win32/FreeTDS.def: updates
	* src/odbc/checkexport.sh(added):
	- shell script to check if exports file needs updating

Tue Jul 29 10:55:29 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/native.c src/odbc/prepare_query.h:
	- add native_sql procedure to implement SQLNativeSql

Mon Jul 28 23:50:13 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c: merge some SQLGetInfo stuff

Mon Jul 28 17:26:58 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/error.c src/odbc/odbc.c:
	- some fixes after merge
	- merge fix for leak on connection fail

Mon Jul 28 10:18:53 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* include/Makefile.am install tdsiconv.h, for now
	* src/apps/tsql.c check for CODESET
	* src/dblib/dblib.c src/dblib/unittests/dbmorecmds.c
	- fix dbmorecmds and its unit test

Mon Jul 28 15:45:15 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/tdsodbc.h src/odbc/odbc.c:
	- continue merge from Steve patch:
	 - merge dsn stuff (save and SQLGetInfo)

Mon Jul 28 14:28:28 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/tdsodbc.h src/odbc/error.c src/odbc/odbc.c:
	* src/odbc/prepare_query.c:
	- continue merge from Steve patch:
	 - merge error support (need test for state v2 from server errors)

Sun Jul 27 18:20:03 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/tdsodbc.h src/odbc/odbc.c:
	- continue merging from Steve patch:
	 - use attribute for connection
	 - add SQLGetConnectAttr

Sun Jul 27 14:06:44 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* doc/api_status.txt include/tdsodbc.h src/odbc/error.c:
	* src/odbc/odbc.c src/odbc/odbc_util.c:
	- continue merging Steve patch:
	 - used attribute structure for environment
	 - add SQLGetEnvAttr

Sun Jul 27 13:25:22 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* doc/userguide.sgml: update version
	* src/odbc/odbc.c:
	- small merge (statistics functions) from Steve patch
	- some fixes for Sybase

Fri Jul 25 16:11:29 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* src/dblib/unittests/t0014.c nicer user feedback

Fri Jul 25 17:30:29 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c: fix t0003 test (without broking other tests)

Thu Jul 24 23:04:03 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/unittests/params.c:
	- fixed portability in sql code

Thu Jul 24 14:27:31 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c:
	- fix problem with 2 SQLPrepare on same statement

Thu Jul 24 12:37:35 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/unittests/params.c(added) src/odbc/unittests/.cvsignore:
	* src/odbc/unittests/Makefile.am:
	- added ODBC test for parameters

Thu Jul 24 11:37:47 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/write.c: small optimization and fix

Wed Jul 23 14:31:27 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* src/tds/write.c src/tds/unittests/t0004.c
	- fix tds_put_string to handle > 128 character inputs.  

Tue Jul 22 12:56:18 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* doc/tds.html: other small updates

Mon Jul 21 17:33:09 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* doc/tds.html fixed up the introduction

Mon Jul 21 11:54:40 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* doc/tds.html src/tds/query.c:
	- updated and fixed some RPC issues

Mon Jul 21 10:49:58 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* TODO: add a TODO from ML
	* src/tds/query.c: comments

Sat Jul 19 21:37:28 EDT 2003
	* src/tds/login.c src/tds/read.c src/tds/write.c
	- include sys/select.h, patch from Pablo Gutierrez

Sat Jul 19 19:37:22 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* configure.in test for _vbprintf and _bprintf (for QNX)
	
Sat Jul 19 16:07:25 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* configure.in test for sys/select.h (for QNX)
	
Wed Jul 16 10:23:47 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* configure.in link readline before ncurses

Tue Jul 15 14:43:06 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* src/tds/login.c fix assert side effect in TDS7 login.  

Tue Jul 15 10:03:50 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/login.c src/tds/read.c:
	- fix some issue on win32

Sun Jul 13 18:05:44 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/tds/mem.c src/tds/token.c:
	- save product name from wire

Sat Jul 12 17:31:07 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/tdsodbc.h src/odbc/odbc.c:
	- continue merging Steve Murphree patch (#757369)
	- fix memory corruption after merge

Fri Jul 11 17:07:50 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/tdsodbc.h src/odbc/odbc.c:
	- start merging Steve Murphree patch (#757369)
	* src/tds/read.c: fix compile problem

Fri Jul  4 19:03:10 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* src/replacements/iconv.c verified working, passes unit tests
	* include/tds.h include/tdsiconv.h
	* src/server/login.c src/tds/iconv.c src/tds/login.c
	* src/tds/mem.c src/tds/read.c src/tds/token.c src/tds/write.c
	- new tds_iconv() follows iconv(3) signature and emits client-side
	- messages in case of error.  This build does not require libiconv.  

Thu Jul  3 21:27:37 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c src/odbc/odbc_util.c src/odbc/odbc_util.h:
	* src/odbc/sql2tds.c src/tds/query.c:
	- fixed ODBC RPC

Wed Jul  2 22:32:49 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/sql2tds.c src/odbc/unittests/funccall.c:
	- fix some issues with RPC (not finished)

Tue Jul  1 22:22:54 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/native.c src/odbc/odbc.c:
	- applied Peter Daecon patch

Tue Jul  1 09:41:12 EDT 2003	Mark Lilback <mark@lilback.com>
	* src/ctlib/ct.c added null check to tdsdump_log call in ct_connect

Tue Jul  1 01:28:34 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* include/tdsiconv.h 
	* src/tds/encodings.h src/tds/encodings.pl src/tds/iconv.c
	- Add ASCII conversions
	* src/replacements/iconv.c Fix blatant errors

Mon Jun 30 00:53:14 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* include/tds.h include/tdsiconv.h include/sybdb.h
	* src/dblib/dbutil.c src/dblib/error_table.h
	* src/replacements/Makefile.am
	* src/tds/iconv.c src/tds/token.c
	- reenable compilation without iconv.
	* src/replacements/iconv.c
	- Trivial ASCII<->USC2 iconv.
	* doc/userguide.sgml added comments
	
Wed Jun 25 17:05:02 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* doc/userguide.sgml
	- Added paragraph from ML regarding effect of TDS version.

Tue Jun 24 16:58:35 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* include/tds.h include/sybdb.h
	* src/dblib/dblib.c src/dblib/unittests/t0001.c
	* src/tds/login.c src/tds/mem.c
	- Initialize option_flag2 in TDS7+ login packet from a field
	- in TDSSOCKET.  Turn off ODBC bit in dblib.c::tdsdbopen().

Thu Jun 12 16:00:50 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/error.c: applyed patch #753288

Wed Jun 11 22:09:02 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/cspublic.h include/tds.h src/apps/tsql.c:
	* src/ctlib/ct.c src/dblib/bcp.c src/dblib/dblib.c:
	* src/odbc/odbc.c src/tds/token.c src/tds/example/token1.c:
	* src/tds/unittests/common.c src/tds/unittests/convert.c:
	* src/tds/unittests/dataread.c src/tds/unittests/dynamic1.c:
	* src/tds/unittests/flags.c src/tds/unittests/t0002.c:
	* src/tds/unittests/t0004.c src/tds/unittests/t0005.c:
	* src/tds/unittests/t0006.c:
	- start merging some Bill Thompson work. This change merge some
	  TDS_DONE handling (mainly tds_process_result_tokens accept
	  an additional parameter, done_flags to return DONE flags)

Tue Jun 10 21:06:52 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/Makefile.am: fix distribution problem

Tue Jun 10 09:21:54 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/iconv.c src/tds/login.c:
	- small improves to iconv stuff

Sun Jun 08 11:11:01 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/tdsiconv.h src/tds/encodings.h src/tds/encodings.pl:
	* src/tds/iconv.c:
	- use search iconv names and cache

Sat Jun 07 20:23:51 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/sybase_character_sets.h:
	* src/tds/sybase_character_sets.h.pl:
	- rebuild file due to update, some fixes

Fri Jun  6 15:10:58 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* src/dblib/bcp.c src/tds/token.c
	- introduce tds_do_until_done() for bcp as workaround. 

Fri Jun 06 11:17:39 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/ctlib/ct.c src/dblib/bcp.c:
	* src/dblib/dblib.c src/odbc/odbc.c src/pool/member.c:
	* src/tds/login.c src/tds/token.c src/tds/unittests/t0003.c:
	- change tds_process_simple_query prototype (simpler)
	- cleanup

Thu Jun  5 13:08:38 EDT 2003	JK Lowden <jklowden@schemamania.org>	
	* src/dblib/dblib.c src/tds/iconv.c
	- dbconvert: allow zero srclen for non-null datatypes
	- tds_fread_iconv: reduce outbytesleft if iconv not called.

Wed Jun 04 23:40:50 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* acinclude.m4 configure.in src/apps/tsql.c:
	- remove some updated configure stuff

Wed Jun  4 12:36:30 EDT 2003	nsc <Nicholas_Castellano@acml.com>
	* src/ctlib/ct.c:
	- constify action_string.

Tue Jun 03 17:34:32 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/read.c src/tds/write.c:
	- small optimization

Tue Jun 03 11:47:44 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/unittests/t0003.c: test prepared too

Tue Jun 03 08:27:41 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/unittests/putdata.c src/odbc/unittests/t0004.c:
	* src/odbc/unittests/tables.c src/tds/unittests/t0003.c:
	- remove some warnings

Mon Jun 02 13:33:41 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c vms/odbc_driver_axp.opt win32/FreeTDS.def:
	- update list of odbc implemented functions

Sat May 31 21:23:43 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* doc/api_status.txt src/odbc/odbc.c:
	- implement SQLBindParam

Sat May 31 21:01:13 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* doc/api_status.txt src/odbc/odbc.c:
	* src/odbc/unittests/putdata.c:
	- implement SQLSetParam and SQLSpecialColumns

Sat May 31 18:12:42 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/convert_sql2string.c src/odbc/convert_sql2string.h:
	* src/odbc/prepare_query.c src/odbc/unittests/putdata.c(added):
	* src/odbc/unittests/Makefile.am:
	- added test for SQLPutData and fixed some problems
	  (test do not still work with --enable-developing)

Fri May 30 12:07:40 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/ctlib/unittests/rpc_ct_param.c:
	- do not use NULL parameters
	- change comment style

Fri May 30 10:43:40 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c src/tds/token.c:
	- reset rows_affected on results
	- fix ODBC moreandcount test

Thu May 29 21:15:00 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/iconv.c: fix typo in dump

Thu May 29 21:07:28 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/query.c:
	- fix core if execute prepared statement with no parameters

Thu May 29 14:10:54 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c src/tds/query.c src/tds/token.c:
	- some fix for prepare and RPC

Wed May 28 21:59:04 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/odbc/odbc.c src/pool/member.c:
	* src/tds/token.c src/tds/unittests/t0003.c:
	- cleanup tds_process_default_tokens (now static)

Wed May 28 21:31:02 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/dblib/bcp.c src/tds/token.c:
	- end tds_process_end cleanup (now static)
	- use tds_process_simple_query instead of 
	  tds_get_byte/tds_process_default_tokens

Wed May 28 21:12:42 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/dblib/dblib.c: tds_process_end cleanup

Wed May 28 16:51:08 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/ctlib/ct.c src/dblib/bcp.c src/dblib/dblib.c:
	- tds_process_end cleanup
	- cleanup

Wed May 28 13:59:10 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/ctlib/ct.c src/dblib/dblib.c:
	- start tds_process_end cleanup

Wed May 28 11:03:34 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/unittests/moreandcount.c:
	- improve test (do not pass)

Tue May 27 22:16:05 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c:
	- update SQLExecute to fix funccall test

Mon May 26 20:44:16 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/apps/tsql.c: other QNX4 fix

Mon May 26 16:05:58 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/apps/freebcp.c: fix compile on QNX4

Sun May 25 19:59:35 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* configure.in src/odbc/connectparams.c:
	- autodetect odbc

Sun May 25 19:14:21 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c: remove unused variable
	* src/odbc/sql2tds.c:
	- fixed fixed types param binding 

Thu May 22 16:36:36 EDT 2003	nsc <Nicholas_Castellano@acml.com>
	* include/tds.h src/tds/config.c src/tds/iconv.c src/tds/mem.c
	  src/tds/write.c:
	- const cleanups.

Thu May 22 15:31:31 EDT 2003	nsc <Nicholas_Castellano@acml.com>
	* src/apps/tsql.c:
	- Remove unused variable "buf".

Thu May 22 15:27:04 EDT 2003	nsc <Nicholas_Castellano@acml.com>
	* src/dblib/bcp.c src/odbc/convert_tds2sql.c src/odbc/sql2tds.c:
	- Remove redundant declarations of tds_numeric_bytes_per_prec[].

Thu May 22 15:04:21 EDT 2003	nsc <Nicholas_Castellano@acml.com>
	* src/tds/unittests/dataread.c:
	- Avoid shadow warnings for "type".

Thu May 22 14:53:06 EDT 2003	nsc <Nicholas_Castellano@acml.com>
	* src/dblib/dblib.c:
	- Avoid shadow warnings for "chkintr" and "hndlintr".

Thu May 22 14:35:36 EDT 2003	nsc <Nicholas_Castellano@acml.com>
	* include/ctpublic.h src/ctlib/cs.c src/ctlib/ct.c:
	- Avoid shadow warnings for "index".

Thu May 22 14:31:29 EDT 2003	nsc <Nicholas_Castellano@acml.com>
	* include/tds.h include/tdsconvert.h:
	- Remove redundant declarations.

Tue May 20 17:31:07 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/convert_sql2string.c src/odbc/odbc.c:
	* src/odbc/sql2tds.c src/odbc/sql2tds.h src/tds/convert.c:
	- support all values of StringOrLen in ODBC

Tue May 20 13:33:40 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* vms/README.vms vms/config_h.vms vms/configure.com:
	* vms/descrip_mms.template vms/getpass.c vms/libodbc.opt:
	* vms/odbc_driver_axp.opt vms/odbc_unimplemented.c:
	- applied patch #733631
	 - own up in our config.h to having locale.h, nl_langinfo, and 
	   readline
	 - build the pool server
	 - redone getpass() implementation
	 - update list of ODBC functions
	 - no longer export ODBC functions that are not implemented
	- reindented

Tue May 20 12:49:20 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/tdsodbc.h src/odbc/odbc.c src/odbc/unittests/t0004.c:
	- fix bug binding parameters with NULL indicator
	- improve test for detect fixed bug

Mon May 19 13:47:52 EDT 2003	nsc <Nicholas_Castellano@acml.com>
	* include/sybdb.h include/tds.h src/dblib/dblib.c src/tds/mem.c
	  src/tds/read.c:
	- implement dbsetinterrupt().

Mon May 19 12:28:54 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c src/odbc/unittests/moreandcount.c:
	- fixed more&count test

Mon May 19 11:26:10 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c src/tds/locale.c: cleanup

Sun May 18 20:05:25 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c: continue RPC work

Sat May 17 20:11:17 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h include/tdsodbc.h src/odbc/native.c:
	* src/odbc/odbc.c src/odbc/odbc_util.c src/odbc/prepare_query.c:
	* src/tds/query.c:
	- start RPC on ODBC
	- reuse some code

Sat May 17 14:48:43 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/tdsodbc.h src/odbc/prepare_query.c:
	- cleanup and docs

Thu May 16 17:25:35 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/getmac.c: get MAC address on Linux

Thu May 15 21:14:22 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* configure.in src/pool/Makefile.am:
	- fix compile problem with HP/UX 11

Thu May 15 16:35:56 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/native.c src/odbc/odbc.c src/odbc/odbc_util.c:
	- some small changes
	- support mssql quoting like [foo]

Thu May 15 15:22:14 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/alternative_character_sets.h:
	- place first GNU names
	* src/tds/iconv.c: use some symbolic constants
	* src/tds/locale.c: cleanup

Thu May 15 02:46:52 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* src/tds/alternative_character_sets.h 
	- removed perl code, sorted by canonical name
	- added Tru64 names
	
Wed May 14 20:50:04 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/iconv.c src/tds/mem.c: fix iconv init and clean

Wed May 14 14:13:53 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* src/tds/iconv.c tds_iconv_close closes all descriptors

Wed May 14 18:15:49 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/character_sets.h src/tds/iconv.c:
	- start run time charset searching

Wed May 14 17:01:56 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/alternative_character_sets.h:
	- other HP/UX charsets

Wed May 14 11:14:26 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/alternative_character_sets.h:
	* src/tds/character_sets.h:
	- updated adding HP/UX names

Tue May 13 21:20:26 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/token.c: update environment info

Tue May 13 12:09:42 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* src/tds/iconv.c
	- look up canonical charset before initializing iconv
	* src/tds/alternative_character_sets.h src/tds/character_sets.h 
	- rollback today's change
	* src/apps/tsql.c make message a little clearer

Tue May 13 17:42:41 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* configure.in: enable thread-safe by default

Tue May 13 15:33:10 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* acinclude.m4: added some charset

Tue May 13 14:42:16 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/query.c: update doc

Tue May 13 12:05:44 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* freetds.conf src/apps/tsql.c src/tds/login.c:
	* src/tds/mem.c:
	- honour server default block size (improving performance on mssql)

Tue May 13 12:05:44 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/read.c: handle correctly ntext

Tue May 13 11:43:02 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/login.c: 
	- enable some useful socket options
	 - SO_LINGER: do a graceful close of socket (so server know 
	   you are disconnected)
	 - SO_KEEPALIVE: detect server crash

Tue May 13 10:57:44 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/iconv.c: use only 16bit of LCID
	* src/tds/unittests/dataread.c: test tds7+ types (ntext fail)

Tue May 13 10:33:39 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/alternative_character_sets.h:
	* src/tds/character_sets.h:
	- add iso8859-7 (greek) charset

Mon May 12 22:52:34 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* src/tds/iconv.c better logging of initialization failures

Mon May 12 20:57:22 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/token.c:
	- fixed a bug that cause wire not readed converting from
	  larger-size string (like ucs2 -> iso8859-1)

Mon May 12 17:29:00 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c: remove unused function

Mon May 12 17:17:14 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/unittests/moreandcount.c: improved

Mon May 12 10:52:55 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/query.c: rollback...

Mon May 12 07:53:05 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/query.c: improve TDS7+ dynamic

Sun May 11 10:34:07 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* TODO src/odbc/unittests/.cvsignore:
	* src/odbc/unittests/Makefile.am:
	*  src/odbc/unittests/earlybind.c(added):
	- improve ODBC
	- added test for early binding

Sun May 11 09:27:24 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* TODO src/odbc/odbc.c: return CLI year

Fri May  9 15:05:41 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/tds/config.c src/tds/mem.c:
	- cleanup and const

Fri May  9 11:53:13 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c: return SQL_ERROR on SQLRowCount
	* src/tds/config.c src/tds/mem.c: fixes on configuration

Thu May  8 10:10:22 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h: sort function declarations
	* src/apps/tsql.c: use strdup to copy string
	* src/ctlib/ct.c src/dblib/rpc.c src/odbc/odbc_util.c:
	* src/odbc/sql2tds.c src/tds/Makefile.am src/tds/token.c:
	* src/tds/data.c(added):
	- add data.c and put some function here (from token.c)
	- added tds_set_param_type function

Wed May  7 23:58:33 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* src/apps/tsql.c default to CHARSET_ISO1

Wed May  7 23:08:12 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* acinclude.m4 Add comments for iconv testing
	* configure.in test for locale_charset
	* src/tds/util.c remove date from %L in tdsdump, added to tds_open	
	* src/ctlib/cs.c src/ctlib/ct.c src/dblib/dblib.c src/dblib/rpc.c
	* src/tds/convert.c src/tds/query.c src/tds/threadsafe.c 
	* src/tds/token.c
	- remove "inside" from most logging statements.  

Wed May  7 14:48:28 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* TODO src/odbc/unittests/moreandcount.c(added):
	- test for SQLMoreResults and SQLRowCount in batch (fail)
	* src/odbc/odbc.c: comments.

Wed May  7 11:57:15 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c: reset current_statement after all rows fetched
	* src/tds/iconv.c: fixed login, reindented

Tue May  6 13:14:14 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* acinclude.m4 configure.in: start test for iconv names

Tue May  6 11:53:11 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/iconv.c: some small fixes

Mon May  5 23:41:22 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* TODO corrections
	* include/tds.h src/tds/iconv.c src/tds/mem.c
	- initialize three TDSICONVINFO structures for the socket

Mon May  5  7:45:26 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/iconv.c: some fixes 

Sun May  4 19:51:34 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* include/sybdb.h include/tds.h support per-column iconv conversion
	* TODO Itemize broken nonfeatures.  
	* src/apps/tsql.c don't segfault on blank input line. 
	* src/dblib/bcp.c src/dblib/dblib.c src/tds/iconv.c
	* src/tds/token.c src/tds/write.c 
	- convert delimited bcp data files with iconv while reading.
	- do not allocate two copies of data: "measure" and read instead.  
	- consolidate column writing in libtds::tds7_put_bcpcol()

Sat May  3 15:53:23 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* include/tdsiconv.h add tds_iconv_fread()

Sat May  3 20:45:42 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/dblib/rpc.c:
	- applied patch #731907 from Arnar Birgisson (modified)
	* src/tds/token.c: prepare for conversion on Sybase/tds4.2

Sat May  3 15:16:49 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/read.c src/tds/token.c: fix previous commit

Sat May  3 14:52:19 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/tds/read.c src/tds/token.c:
	- fixes and improve charset

Fri May  2 11:17:14 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/character_sets.h: update some multibyte data
	* src/tds/read.c: added some comments

Fri May  2 07:57:04 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* include/tdsiconv.h src/tds/iconv.c:
	- some fixes
	- some warnings removed

Thu May  1 13:51:32 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* src/tds/iconv.c decrement input_size if no iconv

Thu May 01 14:39:10 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h include/tdsodbc.h src/odbc/odbc.c:
	* src/tds/mem.c:
	- free dynamic from TDSSOCKET when not needed
	- reuse code in ODBC
	- handle SQL_DATABASE_NAME in SQLGetInfo

Thu May 01 09:35:50 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/dblib/unittests/dbmorecmds.c src/tds/util.c:
	- just some formatting

Wed Apr 30 20:49:56 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/pool/main.c src/pool/member.c:
	* src/pool/pool.h src/tds/token.c:
	- renamed TDS_COMPLETED in TDS_IDLE
	* src/tds/query.c:
	- changed idle test to tds->state != TDS_IDLE
	- add some (many?) FIXME and TODO comments
	* src/odbc/prepare_query.c:
	- handle image/text in emulated prepared query
	
Wed Apr 30 17:28:26 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c src/tds/query.c:
	- continue on dynamic work
	  (now I have some problem for garbage coming from server)

Wed Apr 30 15:48:46 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/unittests/binary_test.c:
	- use SQL_LONGVARBINARY, not SQL_BINARY
	* src/tds/query.c:
	- improve dynamic (pass param name for parameter definition)
	* src/tds/unittests/dynamic1.c: fix and update

Wed Apr 30 15:12:16 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/ctlib/ct.c src/odbc/odbc.c src/tds/query.c:
	- improve dynamic query (not finished)
	- server types enum

Wed Apr 30 10:59:10 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/token.c: flags update

Wed Apr 30 10:45:05 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/sql2tds.c src/tds/convert.c:
	- more support for XSYB* type
	* src/tds/query.c:
	- use server type to send data, not client

Wed Apr 30 08:07:54 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/token.c: temporary workaround for tds8

Tue Apr 29 22:01:34 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/sql2tds.c: fix core

Tue Apr 29 21:36:49 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/convert_sql2string.c src/odbc/odbc.c:
	* src/odbc/odbc_util.c src/odbc/odbc_util.h:
	* src/odbc/sql2tds.c src/odbc/sql2tds.h:
	- avoid converting from odbc datatype -> odbc c datatype -> server 
	  type (this cause some problems like SQL_LONGVARCHAR -> SYBVARCHAR
	  instead of SQL_LONGVARCHAR -> SYBIMAGE)
	* src/odbc/unittests/binary_test.c:
	- small fix, set textsize to avoid truncating
	* src/tds/query.c:
	- fix blob in mssql, some comment added

Tue Apr 29 20:52:25 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/convert_sql2string.c src/odbc/odbc_util.c:
	- some comment, improve binary
	* src/tds/query.c:
	- small optimization for TDS8

Tue Apr 29 12:03:58 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/unittests/.cvsignore src/odbc/unittests/Makefile.am:
	* src/odbc/unittests/binary_test.c(added):
	- add test for binary data from Gerhard Esterhuizen

Tue Apr 29 10:40:19 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/token.c src/tds/unittests/flags.c:
	- update flags code and check for TDS7+

Tue Apr 29 08:05:06 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/token.c src/tds/unittests/flags.c:
	- use expression flag in COLINFO

Mon Apr 28 23:35:11 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/token.c src/tds/unittests/flags.c:
	- process correctly COLINFO (TDS 4.2)
	- fix flag test for TDS4.2

Mon Apr 28 21:35:21 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/tds/token.c src/tds/unittests/.cvsignore:
	* src/tds/unittests/Makefile.am src/tds/unittests/flags.c(added):
	- check flags detected by libTDS (not finished)

Mon Apr 28 12:05:30 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/token.c: workaround for buggy sybase server

Sun Apr 27 20:34:44 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/odbc/connectparams.c src/tds/config.c:
	- cleanup

Sun Apr 27 19:57:21 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/tds/config.c: cleanup

Sun Apr 27 16:47:18 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c: fix problem with RPC returning result

Sun Apr 27 13:16:50 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* acinclude.m4: fix for HP/UX 11 getpwuid_r detect
	* src/tds/convert.c: portability and a comment

Fri Apr 25 20:49:00 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/token.c: remove a TODO
	
Fri Apr 25 20:33:21 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/token.c:
	- fix wrong version reading using mssql with tds 4.2
	- remove memory leak if text is too large

Fri Apr 25 19:04:52 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/convert_sql2string.c src/odbc/convert_tds2sql.c:
	* src/odbc/prepare_query.c:
	- applied patch #727555 for binary data

Fri Apr 25 14:12:46 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/unittests/t0003.c:
	- fix test (broken...)

Fri Apr 25 13:52:51 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/tds/mem.c src/tds/token.c:
	- make tds_(alloc|free)_env static
	- implement tds_realloc_socket and use it
	* src/odbc/native.c: include ctype.h avoiding warning

Wed Apr 23 13:18:08 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* src/odbc/odbc.c attempt to fix SQLGetInfo for SQL_DBMS_VER

Tue Apr 23 17:08:36 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/native.c src/odbc/unittests/funccall.c:
	- handle spaces in ODBC escape syntax

Tue Apr 22 20:47:23 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c:
	- improve GetInfo to make StarOffice more happy (I hope..)

Tue Apr 22 11:02:42 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* include/tdsstring.h:
	- fix compile error if not --enable-extra-checks

Mon Apr 21 21:32:27 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/unittests/dataread.c:
	- work even with mssql

Mon Apr 21 18:05:21 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/unittests/Makefile.am src/tds/unittests/common.c:
	* src/tds/unittests/common.h src/tds/unittests/convert.c:
	* src/tds/unittests/dynamic1.c src/tds/unittests/t0001.c:
	* src/tds/unittests/t0002.c src/tds/unittests/t0003.c:
	* src/tds/unittests/t0004.c src/tds/unittests/t0005.c:
	* src/tds/unittests/t0006.c src/tds/unittests/t0007.c:
	* src/tds/unittests/t0008.c:
	- place include code in common.h
	- define test_context to use context in unittest
	* src/tds/unittests/dataread.c (added):
	- test data from server

Mon Apr 21 11:04:47 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h include/tdsstring.h src/ctlib/ct.c:
	* src/odbc/connectparams.c src/odbc/error.c src/odbc/odbc.c:
	* src/pool/user.c src/pool/util.c src/server/login.c:
	* src/tds/config.c src/tds/des.c src/tds/iconv.c:
	* src/tds/locale.c src/tds/login.c src/tds/mem.c:
	* src/tds/read.c src/tds/tdsstring.c src/tds/token.c:
	* src/tds/unittests/common.c src/tds/unittests/t0007.c:
	- use a dummy pointer for dstr to prevent strange errors
	- do not apply char conversion to no-char data (token.c)
	- improve debug code

Mon Apr 21 09:59:01 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* configure.in:
	- added --enable-debug option (according to ML)

Wed Apr 16 12:22:46 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* src/tds/write.c fixed tds_put_string() 

Tue Apr 15 10:58:53 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* src/dblib/dblib.c src/tds/mem.c
	- Applied Bill Thompson's suggestions. 

Tue Apr 15 01:19:53 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* src/tds/alternative_character_sets.h
	* src/tds/sybase_character_sets.h.pl
	* src/tds/character_sets.h include/tdsiconv.h src/tds/iconv.c
	- s/cannonical/canonical/g

Mon Apr 14 22:53:56 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* src/tds/sybase_character_sets.h.pl utility script
	* src/tds/Makefile.am
	* src/tds/sybase_character_sets.h
	- Sybase<->iconv charset name translation table
	* src/tds/alternative_character_sets.h src/tds/iconv.c
	- added tds_sybase_charset_name()

Mon Apr 14 09:41:58 EDT 2003 	JK Lowden <jklowden@schemamania.org>
	* include/tdsiconv.h src/tds/Makefile.am
	- more support for tds_cannonical_charset_name()

Mon Apr 14 09:25:46 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* src/tds/mem.c don't dereference NULL pointer in tds_free_locale().

Sun Apr 13 23:04:33 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* src/ctlib/unittests/cs_config.c added to cvs for patch 719581
	* src/tds/alternative_character_sets.h for tds_cannonical_charset_name()
	* src/tds/character_sets.h src/tds/iconv.c src/tds/read.c
	- Added tds_cannonical_charset_name() to look up character set names.
	- Allowed tds_get_char_data() to read across a character boundary.
	
Sun Apr 13 12:04:24 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* include/cspublic.h src/ctlib/cs.c 
	* src/ctlib/unittests/Makefile.am
	- patch 719581: cs_userdata option for cs_config by Swapna Anand

Sun Apr 13 11:06:49 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* INSTALL.CVS configure.in removed outdated macros, documented
	*  include/tdsiconv.h minor cleanup

Sat Apr 12 18:18:25 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* Makefile.am	distribute VMS-specific files
	* include/tdsiconv.h define ICONV_CONST even in absence of iconv.
	
Thu Apr 10 15:09:24 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* include/tdsiconv.h src/tds/iconv.c src/tds/mem.c:
	- fix compile under win32

Thu Apr 10 14:08:50 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* configure.in: disable debug by default

Thu Apr 10 13:54:59 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/unittests/tables.c:
	- remove some warnings

Thu Apr 10 13:43:02 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/ctlib/unittests/ct_diagclient.c:
	- fixed test

Thu Apr 10 12:14:04 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/mem.c src/tds/unittests/common.c:
	- set ISO-8859-1 as default client charset, this make work many 
	  unittest

Tue Apr  8 15:42:21 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* src/tds/Makefile.am added character_sets.h

Tue Apr  8 11:31:17 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* include/tds.h src/tds/login.c delete commented-out code

Tue Apr 08 17:03:29 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/mem.c:
	- small patch from Bill Thompson
	- reset tds result state freeing results

Tue Apr 08 13:08:28 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/tds/iconv.c src/tds/login.c:
	- fix some comments

Tue Apr 08 12:24:53 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h include/tdsiconv.h src/server/login.c:
	* src/tds/iconv.c src/tds/login.c src/tds/mem.c:
	* src/tds/read.c src/tds/token.c src/tds/write.c:
	- allow tests to compile
	- remove some warnings

Tue Apr  8 03:10:02 EDT 2003	JK Lowden <jklowden@schemamania.org>
	* include/tds.h src/dblib/bcp.c
	* src/tds/read.c src/tds/token.c src/tds/write.c
	- More charset fixes: tsql runs sp_who.  

Mon Apr  7 14:57:59 EDT 2003
	* src/tds/character_sets.h added ISO-8855-1
	* src/tds/config.c src/tds/iconv.c src/tds/login.c
	* src/tds/read.c src/tds/token.c src/tds/write.c
	- Made sufficient repairs that tsql now logs in.

Sun Apr  6 14:41:05 EST 2003	JK Lowden <jklowden@schemamania.org>
	* include/tds.h include/tdsiconv.h
	* src/dblib/bcp.c
	* src/server/login.c
	* src/tds/iconv.c src/tds/login.c src/tds/mem.c src/tds/read.c
	* src/tds/token.c src/tds/write.c
	- removed all hard-coded references to server-side unicode.  
	- data structures and logic now attempt to allow for any pair
	- of client/server character encodings.  
	- This code is UNTESTED due to time constraints and almost certainly
	- BROKEN, but does compile.  

Thu Apr 03 22:16:02 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* TODO: add a possible test to odbc
	* include/tds.h src/tds/query.c: add comment
	* src/tds/mem.c src/tds/iconv.c src/tds/des.c: indent(1)
	* src/tds/token.c:
	- indent(1)
	- added many comments

Fri Apr  4 15:27:39 EST 2003	JK Lowden <jklowden@schemamania.org>
	* include/sybdb.h src/dblib/dblib.c implement dbmorecmds(). 

Thu Apr 03 22:16:02 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/connectparams.c src/odbc/connectparams.h:
	- avoid allocating memory for all string

Thu Apr 03 21:42:50 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/ctlib/ct.c: remove warnings

Thu Apr 03 21:36:58 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/tds/query.c:
	- add tds_quote_string function
	* src/odbc/odbc.c:
	- rewritten many similar functions, quoting string if needed

Thu Apr 03 14:43:08 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/unittests/Makefile.am src/odbc/unittests/tables.c:
	- add a test for SQLTables

Thu Apr 03 12:35:15 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/ctlib/unittests/ct_diagall.c:
	* src/ctlib/unittests/ct_diagclient.c:
	* src/ctlib/unittests/ct_diagserver.c:
	* include/cspublic.h include/ctpublic.h src/ctlib/ct.c:
	* src/ctlib/unittests/Makefile.am:
	- applied Suhasini Sriramulu ct-lib patch 
	 - ct_diag support

Thu Apr 03 10:58:31 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* include/dblib.h include/des.h include/md4.h include/sybdb.h:
	* include/tds_sysdep_private.h include/tdsodbc.h:
	* include/tdssrv.h:
	- indent(1)

Thu Apr 03 07:56:32 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c: updated function support for SQLForeignKeys

Wed Apr 02 22:57:54 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c: applied Peter Deacon patch on SQLColumns

Wed Apr 02 21:48:15 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c: small SQLStatistics fix

Wed Apr 02 15:07:02 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* doc/api_status.txt: updated

Wed Apr 02 14:57:44 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c win32/FreeTDS.def:
	- applied Peter Deacon patch
	 - SQLColumnPrivileges
	 - SQLForeignKeys
	 - SQLPrimaryKeys
	 - SQLProcedureColumns
	 - SQLProcedures
	 - SQLStatistics
	 - SQLTablePrivileges
	
Wed Apr 02 11:27:20 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/connectparams.c: removed wrong assert

Wed Apr 02 10:20:12 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* configure.in: check for odbcss.h
	* freetds.spec.in:
	- applied Chad Wagner patch for RPM documentation
	* src/odbc/odbc.c:
	- applied Peter Deacon patch for _SQLExecute
	- remove a warning

Tue Apr  1 16:32:59 EST 2003	JK Lowden <jklowden@schemamania.org>	
	* doc/Makefile.am fix installation, I hope
	* src/dblib/dblib.c fix bug #709430 in dbcolname
	* src/odbc/connectparams.c fix bug #702588, writing to input

Tue Apr 01 21:14:33 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* doc/tds.html: updated from Bill info
	* src/ctlib/ct.c: applied Bill patch on writetext
	* src/tds/login.c::
	- Applied Bill patch
	 - clarify tds7_send_login

Tue Apr 01 13:59:33 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/unittests/lang_error.c src/odbc/unittests/.cvsignore:
	* src/odbc/unittests/Makefile.am:
	- add error to test error in row
	* src/odbc/unittests/common.c src/odbc/unittests/common.h:
	* src/odbc/unittests/connect.c src/odbc/unittests/date.c:
	* src/odbc/unittests/funccall.c src/odbc/unittests/norowset.c:
	* src/odbc/unittests/print.c src/odbc/unittests/t0001.c:
	* src/odbc/unittests/t0002.c src/odbc/unittests/t0003.c:
	* src/odbc/unittests/t0004.c:
	- put some #includes in common.h

Tue Apr 01 12:26:20 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c:
	- Peter Deacon patch
	 - fix a null dereference
	 - do not return right after metadata in _SQLExecute

Tue Apr 01 12:14:20 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* doc/tds.html: updated with PID info
	* src/tds/login.c:
	- send correct pid information to mssql (Peter Deacon patch)
	* src/odbc/error.c win32/config.h:
	- best method for include odbcss.h
	* win32/initnet.c:
	- add code to print leak if debug and msvc (Peter Deacon patch)

Mon Mar 31 17:54:34 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/ctlib/unittests/rpc_ct_param.c:
	* src/ctlib/unittests/rpc_ct_setparam.c:
	- fix buffer overflow

Mon Mar 31 15:13:19 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/read.c: add comment
	* src/tds/token.c:
	- fixed a buffer overflow
	- set correctly text size

Mon Mar 31 11:11:30 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c:
	- applyed Peter Deacon patch for SQLRowCount

Mon Mar 31 10:54:20 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/token.c:
	- applyed Peter Deacon patch to provide better sql state if
	  default (ZZZZZ) is returned

Sun Mar 30 17:39:27 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* doc/Makefile.am: fix rpm build

Sun Mar 30 16:49:40 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* TODO: updated
	* include/tds.h src/tds/token.c:
	- add is_char_type macro to detect all chars type

Sun Mar 30 10:47:19 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/iconv.c:
	- handle 2 other lcid

Sun Mar 30 09:59:30 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/config.c src/tds/iconv.c src/tds/login.c:
	* src/tds/numeric.c src/tds/query.c src/tds/read.c:
	* src/tds/write.c:
	- indent(1)

Sat Mar 29 21:06:55 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/token.c: fixed introduced buffer overflows

Sat Mar 29 20:32:15 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/token.c:
	- add support for PARAMFMT2 token (from Sybase patch)

Sat Mar 29 19:58:47 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h include/tdsiconv.h src/server/login.c:
	* src/tds/iconv.c src/tds/mem.c src/tds/read.c:
	* src/tds/token.c:
	- improve i18n (charset conversion)

Fri Mar 28 14:20:44 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/token.c: read collation info for output parameters

Fri Mar 28 13:38:00 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* include/tdsiconv.h src/tds/iconv.c src/tds/token.c:
	- improve i18n (charset conversion)

Thu Mar 27 21:52:40 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/token.c: add support for ROWFMT2 token

Thu Mar 27 21:05:33 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/ctlib/unittests/rpc_ct_param.c:
	* src/ctlib/unittests/rpc_ct_setparam.c:
	* src/odbc/unittests/print.c:
	- remove warnings

Thu Mar 27 14:40:42 EST 2003	JK Lowden <jklowden@schemamania.org>
	* src/dblib/bcp.c Yet another re-write of _bcp_get_term_data

Thu Mar 27 17:19:40 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/ctlib/unittests/rpc_ct_setparam.c:
	- remove some warnings

Thu Mar 27 17:04:00 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/ctlib/cs.c:
	- namespace cleanup
	- fix core accessing freed memory
	- fix memory leak

Thu Mar 27 11:00:49 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/convert_sql2string.c src/odbc/error.c:
	* src/odbc/unittests/common.c:
	* src/odbc/unittests/connect.c:
	* src/odbc/unittests/date.c src/odbc/unittests/print.c:
	* src/odbc/unittests/t0001.c src/odbc/unittests/t0002.c:
	* src/odbc/unittests/t0003.c src/odbc/unittests/t0004.c:
	- indented

Thu Mar 27 10:37:33 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/ctlib/unittests/array_bind.c :
	* src/ctlib/unittests/connect_fail.c:
	* src/ctlib/unittests/cs_diag.c:
	* src/ctlib/unittests/rpc_ct_param.c:
	- remove some warnings

Thu Mar 27 01:30:27 EST 2003	JK Lowden <jklowden@schemamania.org>
	* src/apps/tsql.c Patch #699749 by Craig A. Berry, add ":r"
	* include/tds.h added declaration
	* src/dblib/bcp.c removed minor warning
	* doc/Makefile.am fixed installation prefix
	* include/cspublic.h src/ctlib/cs.c
	* src/ctlib/unittests/Makefile.am
	* src/ctlib/unittests/cs_diag.c
	* src/ctlib/unittests/get_send_data.c
	- Patch #709919 by Suhasini Sriramulu

Thu Mar 27 07:57:15 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/.indent.pro: change after ML discussion

Wed Mar 26 22:16:31 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/connectparams.c: fix core if compiled with iODBC
	* src/tds/iconv.c:
	- add code to change iconv on mssql using collation info

Wed Mar 26 17:18:58 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* TODO: small update
	* include/tdsiconv.h src/tds/iconv.c src/tds/mem.c:
	- remove some iconv handle
	- start adding conversion for single-byte characters
	* src/tds/config.c: small log change
	* src/tds/read.c: doc update

Wed Mar 26 11:33:36 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/error.c:
	- remove bug (used uninitialized pointer)
	- reuse code

Wed Mar 26 11:21:44 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/server/login.c src/tds/iconv.c:
	* src/tds/read.c src/tds/token.c:
	- handle output len != input len during charset conversions

Wed Mar 26 10:52:40 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* tds.dox: add examples
	* include/tds.h src/server/login.c src/tds/iconv.c:
	* src/tds/read.c:
	- start supporting multibyte character

Tue Mar 25 17:04:35 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c src/odbc/odbc_util.c:
	- document some utils

Tue Mar 25 15:03:02 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/error.c src/odbc/odbc_util.c src/odbc/odbc_util.h:
	- new function odbc_set_string, use it
	- fix some problem with error
	* src/tds/config.c:
	- add time to log

Tue Mar 25 02:26:10 EST 2003	JK Lowden <jklowden@schemamania.org>
	* tds.dox doc/Makefile.am
	- completed first cut of doxygen comment-based documentation.

Mon Mar 24 23:26:32 EST 2003	JK Lowden <jklowden@schemamania.org>
	* tds.dox include/tds.h src/dblib/dblib.c src/tds/challenge.c
	* src/tds/config.c src/tds/convert.c src/tds/iconv.c src/tds/mem.c
	* src/tds/query.c src/tds/read.c src/tds/tdsstring.c src/tds/token.c
	- doxygen comments and reorganization, plus some reformatting.
	
Tue Mar 25 00:07:18 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/pool/util.c src/server/login.c:
	* src/server/unittest.c src/tds/config.c src/tds/login.c:
	* src/tds/mem.c:
	- use server_charset name for server charset

Mon Mar 24 23:43:42 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/apps/tsql.c src/ctlib/ct.c:
	* src/dblib/dblib.c src/pool/member.c src/tds/config.c:
	* src/tds/login.c src/tds/mem.c src/tds/unittests/common.c:
	- use client_charset member for client charset

Mon Mar 24 17:58:35 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/error.c: fix SQLError

Mon Mar 24 15:51:43 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/error.c: small improve

Mon Mar 24 11:01:20 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/error.c:
	- small fixes
	* src/tds/mem.c:
	- remove c++ style comments
	- reindent
	
Sun Mar 23 22:03:28 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h include/tdsodbc.h src/odbc/error.c:
	- remove some warnings

Sun Mar 23 21:48:35 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* include/tdsodbc.h src/odbc/error.c src/odbc/odbc.c:
	- merged rest of Peter Deacon patch
	- return much more information for ODBC errors
	- return correct ODBCv3 state
	- fix SQLGetData returning garbage
	
Sun Mar 23 21:12:11 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* include/tds_sysdep_private.h: portability define
	* src/odbc/connectparams.c: discard space before attributes
	* src/odbc/odbc.c: check NULL value
	* src/tds/mem.c src/tds/token.c:
	- compute sql state if not available

Sun Mar 23 11:44:26 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/error.c:
	- decrement numRecord (it start from 1, not zero)
	- ignore numRecord for header fields

Sun Mar 23 11:06:37 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/native.c src/odbc/odbc.c:
	- return "Microsoft SQL Server" for mssql
	- handle CALL odbc escape (ignore case)
	- fix wrong escape detection (like {xxcall ...)

Thu Mar 20 10:58:38 EST 2003	JK Lowden <jklowden@schemamania.org>
	* src/ctlib/ct.c src/dblib/bcp.c
	- patch #706953 from Bill Thompson
	- freebcp was writing empty date fields to the data file.
	- fix result processing after sending blob with ct_send_data. 

Wed Mar 19 11:53:19 EST 2003 	JK Lowden <jklowden@schemamania.org>
	* include/cspublic.h include/tds.h
	* src/apps/freebcp.c src/apps/freebcp.h
	- support for the -A flag (packet size) 
	* src/ctlib/ct.c
	* src/dblib/bcp.c src/dblib/dblib.c
	* src/tds/convert.c src/tds/query.c src/tds/token.c
	- Applied "various fixes" patch #706303 from Bill Thompson:
	-  correctly return the "rows affected" count
	-  ct-lib layer error handling via callbacks
	-  datetime character formats: ddmonyy, ddmonyyyy, dd-mon-yy 

Wed Mar 19 01:36:04 EST 2003	JK Lowden <jklowden@schemamania.org>
	* src/dblib/dblib.c add more doxygen comments, more indentation
	
Tue Mar 18 21:13:38 EST 2003	Mark Lilback <mark@lilback.com>
	* src/ctlib/ct.c: ct_describe correctly sets the status flag 
	-   for identity and nullable columns.

Tue Mar 18 01:13:28 EST 2003	JK Lowden <jklowden@schemamania.org>
	* Makefile.am tds.dox create doxygen output and targets
	* include/sybdb.h src/dblib/dblib.c add doxygen comments, reindent.
	* src/tds/Makefile.am minor changes, doxygen soon to be removed.

Sat Mar 15 12:25:43 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/dblib/dblib.c: remove wrong assert

Fri Mar 14 14:54:40 EST 2003	JK Lowden <jklowden@schemamania.org>
	* src/dblib/bcp.c allow infinitely large "insert bulk" statements
	* src/dblib/dblib.c bugfix to return FAIL if error

Thu Mar 13 22:14:33 EST 2003	JK Lowden <jklowden@schemamania.org>
	* doc/getting_started.txt Updated with Brian's TDS version table
	* src/tds/util.c Fixed segfault on opening log file in append mode.

Wed Mar 12 16:16:39 EST 2003	JK Lowden <jklowden@schemamania.org>
	* include/sybdb.h new error numbers 
	* src/dblib/bcp.c _bcp_get_term_data.c rewrite
	* src/dblib/error_table.h for use in error message function

Wed Mar 12 18:42:34 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/dblib/dblib.c src/replacements/vasprintf.c:
	- some fixes and change from Sybase patch

Wed Mar 12 17:36:51 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/dblib/dblib.c: applied some fix

Wed Mar 12 01:05:34 EST 2003	JK Lowden <jklowden@schemamania.org>
	* TODO added freebcp switches
	* src/apps/freebcp.c applied patch for interfaces file
	* src/dblib/bcp.c removed spurious carriage returns
	* src/tds/Makefile.am src/tds/tds.dox
	- run doxygen outside source tree 

Tue Mar 11 15:08:18 EST 2003	JK Lowden <jklowden@schemamania.org>
	* include/tds.h added missing functional prototype
	* include/dblib.h _bcp_get_term_data new signature
	* src/dblib/bcp.c handle loading text columns > 4090 bytes
	* src/dblib/dblib.c cleaned up warnings
	* src/tds/Makefile.am document source refers to $(srcdir)

Mon Mar 10 15:23:50 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/convert_sql2string.c:
	- small syntax change

Mon Mar 10 15:19:02 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/apps/freebcp.c src/apps/freebcp.h src/tds/mem.c:
	- applied patch #700835 from Bill Thompson
		- fix -e option in freebcp
		- fix small segmentation fault

Sat Mar 08 13:44:44 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/ctlib/cs.c: remove a warning

Fri Mar 07 17:44:28 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/tds/token.c:
	- put some functions static

Fri Mar 07 16:57:46 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/dblib/dblib.c:
	- remove some warnings

Fri Mar 07 16:41:04 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/ctlib/unittests/t0006.c: update

Fri Mar 07 16:02:09 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* include/sybdb.h include/tds.h src/dblib/dblib.c:
	* src/dblib/unittests/t0004.c src/dblib/unittests/t0005.c:
	* src/tds/token.c:
	- Bill Thompson patch
	- 1) implementation of dbrecftos() in dblibrary as per the 
	- Sybase open client equivalent 
	-
	- 2) fixes for dbresults processing, which was in some 
	- (rather obscure) circumstances not behaving exactly like 
	- the Sybase open client equivalent. 
	-
	- 3) reworking of previous patch in respect to dbcancel 
	- (removed the code previously added to this function), 
	- and the discarding of unprocessed result data in 
	- circumstances where all the data had been fetched.
	-
	- 4) modification of dblib/unittests/t0004.c and t0005.c to 
	- reflect and test the above changes. 


Fri Mar 07 15:18:41 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/query.c: check for tds7+, reindent

Fri Mar 07 15:09:28 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/query.c:
	- partial and untested support for parameters in query

Thu Mar 06 23:12:43 EST 2003  Mark Lilback <mark@lilback.com>
	* src/ctlib/cs.c: cs_convert no longer requires destlen for fixed-len types

Thu Mar 06 18:44:11 EST 2003  Mark Lilback <mark@lilback.com>
	* include/cspublic.h:
	* include/tds.h:
	* src/apps/tsql.c:
	* src/ctlib/ct.c:
	* src/ctlib/unittests/Makefile.am:
	* src/ctlib/unittests/lang_ct_param.c (added):
	* src/dblib/bcp.c:
	* src/dblib/dblib.c:
	* src/odbc/odbc.c:
	* src/pool/member.c:
	* src/tds/login.c:
	* src/tds/query.c:
	* src/tds/token.c:
	* src/tds/unittests/common.c:
	* src/tds/unittests/t0002.c:
	* src/tds/unittests/t0003.c:
	* src/tds/unittests/t0004.c:
	* src/tds/unittests/t0005.c:
	* src/tds/unittests/t0006.c:
	- added support for language commands with variables/parameters
	  required changes to tds_submit_query signature. only works
	  with TDS 5.0 right now. queries with variables will fail on
	  other TDS versions.

Thu Mar 06 12:26:01 EST 2003  Mark Lilback <mark@lilback.com>
	* include/cspublic.h src/ctlib/ct.c: refactored rpc code for other uses

Thu Mar 06 12:45:01 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* include/tdsodbc.h src/odbc/odbc.c:
	- remove some memory leak

Thu Mar 06 12:26:30 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/ctlib/ct.c: cleanup
	* src/tds/convert.c: 
	- fix of yesterday fix (I shouldn't code so late...)

Wed Mar 05 20:36:34 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/convert.c:
	- revert data compute and add fix for '' -> Jan 01 1900

Wed Mar 05 09:18:02 EST 2003  Mark Lilback <mark@lilback.com>
	* src/ctlib/ct.c: ct_param returns CS_FAIL for non-rpc cases
	* src/Makefile.am configure.in: added options to disable apps, server, pool

Wed Mar 05 14:11:17 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/ctlib/unittests/rpc_ct_setparam.c (added):
	* src/ctlib/unittests/rpc_ct_param.c (added):
	* src/ctlib/unittests/array_bind.c (added):
	* include/cspublic.h include/ctpublic.h:
	* src/ctlib/cs.c src/ctlib/ct.c src/dblib/rpc.c:
	* src/tds/query.c:
	- applied Bill Thompson patch
	* src/tds/convert.c: fix some issue with win32

Wed Mar 05 11:12:59 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h: declare function

Wed Mar 05 10:45:52 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/dblib/dblib.c src/odbc/prepare_query.c:
	* src/tds/convert.c src/tds/numeric.c src/tds/query.c:
	- remove some warnings

Tue Mar 04 17:51:40 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/dblib/dblib.c src/tds/convert.c:
	* src/tds/query.c src/tds/token.c:
	- merged Bill Thompson patch on dblib

Tue Mar 04 17:45:09 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/ctlib/ct.c src/tds/convert.c src/tds/token.c:
	- merged a part of Sybase patch

Tue Mar 04 11:43:15 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/unittests/convert.c: spell fix

Mon Mar 03 22:19:31 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* TODO: update
	* src/tds/unittests/convert.c: fix an error computing speed

Mon Mar  3 13:32:04 EST 2003	JK Lowden <jklowden@schemamania.org>
	* src/dblib/bcp.c bcp out of null datetime writes nothing.

Sun Mar 02 21:32:19 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/numeric.c src/tds/unittests/t0008.c:
	- new implementation for tds_numeric_to_string

Sun Mar 02 16:14:39 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/numeric.c: start to rewrite tds_numeric_to_string

Sun Mar 02 10:46:34 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c: support placeholder with SQLExecDirect

Sat Mar 01 21:17:29 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc_util.c src/odbc/prepare_query.c:
	- free some unneeded memory
	* src/odbc/unittests/funccall.c:
	- work on Sybase
	- add test for SQLExecDirect (not working)

Sat Mar  1 05:36:40 EST 2003	JK Lowden <jklowden@schemamania.org>
	* vms/config_h.vms	    config.h template
	* vms/configure.com	    configuration script
	* vms/descrip_mms.template  Makefile template
	* vms/getpass.c 	    implements missing function
	* vms/libodbc.opt	    for linking against dynamic library
	* vms/odbc_driver_axp.opt   linker file to create dynamic library
	* vms/odbc_unimplemented.c  stub for missing ODBC routines
	* vms/README.vms	    VMS-specific documentation
	- Committed patch from Craig A. Berry <craigberry@mac.com> 
	- received Mon 3 Feb 2003 01:28:03 -0500 (EST) on mailing list.  
	  
Thu Feb 27 20:48:48 EST 2003	JK Lowden <jklowden@schemamania.org>
	* doc/userguide.sgml: ASA footnote

Thu Feb 27 16:23:47 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c src/odbc/unittests/common.c:
	* src/odbc/unittests/connect.c:
	- fix return of SQL(Driver)Connect functions

Thu Feb 27 16:04:33 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/unittests/Makefile.am:
	* src/odbc/unittests/funccall.c (added):
	- added test for call syntax and function

Thu Feb 27 20:50:08 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* doc/userguide.sgml: small change
	* src/tds/mem.c: fix wrong memory clean causing core

Thu Feb 27 11:54:50 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* TODO: added other TODO

Tue Feb 25 22:07:08 EST 2003	JK Lowden <jklowden@schemamania.org>
	* src/server/login.c src/pool/pool.h
	- include sys/types.h for FreeBSD per today's list discussion
	* doc/userguide.sgml: fix grammar, clarify new ODBC configuration methods
	
Tue Feb 25 14:21:46 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* doc/userguide.sgml: updated some odbc info

Sun Feb 23 15:40:51 EST 2003	JK Lowden <jklowden@schemamania.org>
	* doc/userguide.sgml updated for 0.62rc4.
	
Sat Feb 22 10:19:00 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/token.c:
	- applied a patch for ASA 5.5 (spid as INT4) from Brian Bruns

Fri Feb 21 17:14:04 EST 2003	JK Lowden <jklowden@schemamania.org>	
	* configure.in set version according to date
	* src/tds/iconv.c src/tds/login.c shorten log string
	* src/tds/util.c add version to start of log

Fri Feb 21 11:03:56 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* win32/dev-cpp/FreeTDS.dev win32/dev-cpp/Makefile.win:
	- remove unwanted warnings

Fri Feb 21 10:43:13 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* win32/FreeTDS.def win32/config.h win32/freetds_sysconfdir.h:
	* win32/initnet.c win32/tds_sysdep_public.h:
	* win32/msvc6/FreeTDS.def win32/msvc6/config.h:
	* win32/msvc6/freetds_sysconfdir.h win32/msvc6/initnet.c:
	* win32/msvc6/tds_sysdep_public.h win32/dev-cpp/FreeTDS.dev (added):
	* win32/dev-cpp/Makefile.am (added):
	* win32/dev-cpp/Makefile.win (added) configure.in:
	* include/tds_sysdep_private.h src/odbc/convert_sql2string.c:
	* win32/Makefile.am win32/msvc6/FreeTDS.dsp:
	* win32/msvc6/Makefile.am:
	- added support for DevC++ environment (ODBC)
	- makefile for MingW32 (ODBC)
	- cleanup msvc6 project

Thu Feb 20 16:37:33 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/apps/tsql.c: fix a buffer overflow

Wed Feb 19 20:38:00 CST 2003	Steve Langasek  <vorlon@netexpress.net>
	* configure.in, src/apps/tsql.c: only include locale-related
	  headers if found on the system

Wed Feb 19 12:37:04 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* acinclude.m4 configure.in src/tds/threadsafe.c:
	- fixed portability problem using localtime_r

Tue Feb 18 11:28:43 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/Makefile.am: export only needed symbols
	* win32/msvc6/FreeTDS.def: add SQLGetDiag* exports

Tue Feb 18 10:54:46 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/replacements/asprintf.c: add some include for portability

Fri Feb 14 14:18:10 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c src/odbc/unittests/.cvsignore:
	* src/odbc/unittests/Makefile.am src/odbc/unittests/norowset.c:
	- fix problem with store procedures not returning a rowset
	- add a test to test problem

Thu Feb 13 22:21:50 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/dblib/dblib.c src/tds/threadsafe.c:
	* src/tds/token.c src/tds/write.c:
	- start merge patch from sybase
	- add some new types (only constants)
	- best support for bigint under dblib
	- add tds_put_int8

Thu Feb 13 11:53:55 EST 2003	JK Lowden <jklowden@schemamania.org>
	* include/sybdb.h src/dblib/dblib.c
	- Bill Thompson's dbresults patch

Thu Feb 13 01:01:47 EST 2003	JK Lowden <jklowden@schemamania.org>
	* src/apps/freebcp.c field and row-terminator fix from Craig A. Berry
	* src/tds/token.c small repair to ct_options
	
Thu Feb 13 00:44:32 EST 2003	JK Lowden <jklowden@schemamania.org>
	* include/tdsodbc.h  applied Frediano's SQLULEN patch

Wed Feb 12 22:46:47 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/ctlib/unittests/ct_options.c:
	- use small hack to check bus error on some machines

Wed Feb 12 15:57:52 EST 2003	JK Lowden <jklowden@schemamania.org>
	* include/tds.h  src/ctlib/ct.c  src/tds/token.c
	- more untested support for optioncmd

Wed Feb 12 11:02:30 EST 2003	JK Lowden <jklowden@schemamania.org>
	* src/ctlib/unittests/ct_options.c test of unfinished ct_options()

Wed Feb 12 01:10:25 EST 2003	JK Lowden <jklowden@schemamania.org>
	* src/dblib/bcp.c removed unused variable
	* include/cspublic.h include/tds.h src/tds/token.c src/ctlib/ct.c
	- more ct_options() support, getting close to useable.  
	* src/ctlib/unittests/Makefile.am src/ctlib/unittests/common.c
	* src/ctlib/unittests/common.h
	- test for ct_options()

Tue Feb 11 00:15:18 EST 20031	JK Lowden <jklowden@schemamania.org>
	* include/tds.h src/apps/tsql.c src/tds/config.c
	- provide tds_get_compiletime_settings, view with "tsql -C".
	
Mon Feb 10 21:31:28 EST 2003	JK Lowden <jklowden@schemamania.org>
	* include/sybdb.h src/dblib/dblib.c
	- patch from Bill Thompson to support DBNOAUTOFREE.
	
Mon Feb 10 17:34:48 EST 2003	nsc <Nicholas_Castellano@acml.com>
	* src/ctlib/ct.c:
	- Fix alignment problem, use CS_BOOL param type where
	  appropriate in ct_options().

Mon Feb 10 17:04:14 EST 2003	JK Lowden <jklowden@schemamania.org>
	* include/cspublic.h src/ctlib/ct.c sqsh 1.7 now behaves properly

Mon Feb 10 16:45:15 EST 2003	JK Lowden <jklowden@schemamania.org>
	* src/dblib/bcp.c corrected termlen assertion
	* src/odbc/odbc.c define SQLULEN only #ifndef

Mon Feb 10 18:02:34 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/unittests/.cvsignore: ignore convert file
	* src/tds/unittests/convert.c: add an include for compiler problem

Sat Feb  8 20:09:45 EST 2003	JK Lowden <jklowden@schemamania.org>
	* src/tds/token.c removed unused local variables.
	* src/tds/unittests/Makefile.am src/tds/unittests/convert.c
	- test conversions (10 failures) and performance
	
Thu Feb  6 10:45:31 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* include/tdsodbc.h: 
	- odbc include under win32 seem not define SQLLEN

Thu Feb  6 10:22:07 CET 2003  Frediano Ziglio <freddy77@angelfire.com>
	* win32/msvc6/FreeTDS.dsp win32/msvc6/Makefile.am:
	* win32/msvc6/tds_sysdep_public.h win32/msvc6/freetds_sysconfdir.h:
	- fix some problem compiling win32 odbc driver

Wed Feb  5 23:39:00 CST 2003	Steve Langasek <vorlon@netexpress.net>
	* src/odbc/odbc.c: replace SQLINTEGER with SQLLEN when casting
	  from a pointer, eliminating incompatible-size warnings on
	  64-bit platforms

Wed Feb  5 23:53:25 EST 2003	JK Lowden <jklowden@schemamania.org>
	* doc/README.releasing added places to send announcements
	* src/dblib/Makefile.am  bumped .so again, will be 3.0.

Wed Feb  5 14:12:47 EST 2003	JK Lowden <jklowden@schemamania.org>
	* src/dblib/bcp.c don't copy null pointer in bcp_colfmt

Wed Feb  5 17:02:28 CET 2003   Frediano Ziglio <freddy77@angelfire.com>
	* freetds.spec.in:
	- patch from Ian Grant (add some missed file to RPMs)
	- assume configuration file are in the right place

Wed Feb  5 13:30:29 EST 2003	nsc <Nicholas_Castellano@acml.com>
	* configure.in:
	- Add autoconf check for ANSI-compliant const.

Tue Feb  4 22:32:00 CST 2003	Steve Langasek <vorlon@netexpress.net>
	- adjust the dblib version string, since we're
	  backwards-compatible with 0.60.1

Tue Feb 04 10:27:39 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	great patch from Bill Thompson
	* include/cspublic.h:
	- changed cs_command structure as follows:
	 - removed cmd_done, userdata, userdata_len (redundant)
	 - added command_type
	 - added CS_IODESC structure
	 - added get_data_item, get_data_bytes_returned, send_data_started 
	- added #define CS_END_ITEM
	* include/sybdb.h:
	- added flag column_error to HOST_COLINFO
	- added bcp_errfileptr to DBPROCESS
	* src/apps/freebcp.c src/apps/freebcp.h:
	- support -T option
	- support error file
	* include/dblib.h src/dblib/bcp.c:
	- support error file
	- improve char and text type support
	* src/ctlib/ct.c:
	- improve ct_command to support multiple command types
	- improve ct_send to support multiple command types
	- add code for ct_fetch, ct_send_data, ct_get_data and ct_data_info
	* include/tds.h src/tds/token.c:
	- store table name and legth correctly

Mon Feb  3 19:44:28 EST 2003	JK Lowden <jklowden@schemamania.org>
	- Release 0.61rc1
	
Sun Feb 02 10:27:39 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/tdsconvert.h: declare as extern "C"

Wed Jan 29 00:04:49 EST 2003	JK Lowden <jklowden@schemamania.org>
	* INSTALL NEWS README	Updated for upcoming release
	* configure.in doc/Makefile.am 
	* src/dblib/Makefile.am src/tds/Makefile.am
	- bumped release number and .so version number.
	
Tue Jan 28 15:27:20 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* TODO: add come todo for Python
	* include/cspublic.h: add missing constants for Python

Tue Jan 28 11:45:54 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/cspublic.h: add defines for Python

Tue Jan 28 07:57:58 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/ctlib/unittests/t0007.c: fixed test for TDS4.x and TDS5

Mon Jan 27 18:07:05 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/ctlib/unittests/t0007.c: check for NULL and empty strings

Mon Jan 27 11:30:34 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c src/tds/unittests/common.c:
	- workaround for tds_connect and garbage pointer

Sun Jan 26 19:43:18 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/ctlib/unittests/common.c src/ctlib/unittests/common.h:
	* src/ctlib/unittests/connect_fail.c src/ctlib/unittests/t0002.c:
	* src/ctlib/unittests/t0008.c src/ctlib/unittests/t0009.c:
	* src/dblib/unittests/rpc.c src/dblib/unittests/t0012.c:
	* src/dblib/unittests/t0013.c src/dblib/unittests/t0014.c:
	* src/dblib/unittests/t0019.c src/dblib/unittests/t0022.c:
	* src/odbc/unittests/common.c src/odbc/unittests/connect.c:
	* src/odbc/unittests/date.c src/odbc/unittests/print.c:
	* src/odbc/unittests/t0001.c src/odbc/unittests/t0002.c:
	* src/odbc/unittests/t0003.c src/odbc/unittests/t0004.c:
	* src/tds/unittests/t0002.c src/tds/unittests/t0004.c:
	* src/tds/unittests/t0005.csrc/tds/unittests/t0006.c:
	- cleanup for compiling with C++ compiler (unittests)

Sun Jan 26 11:27:51 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/apps/freebcp.c src/apps/tsql.c:
	* src/dblib/bcp.c src/pool/config.c src/pool/stream.c:
	* src/pool/util.c src/server/login.c src/server/query.c:
	* src/tds/convert.c src/tds/query.c src/tds/token.c:
	- cleanup for compiling with C++ compiler (finished)

Sun Jan 26 10:33:40 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/dblib/dblib.c:
	- fix pointer to garbage after tds_connect
	- remove error compiling with C++ compiler

Fri Jan 24 21:33:25 EST 2003	JK Lowden <jklowden@schemamania.org>
	* src/tds/config.c applied 1-line patch from Craig A. Berry

Fri Jan 24 17:43:26 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/cspublic.h: add some macro required for Python

Fri Jan 24 16:30:51 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/ctlib/ct.c: added a FIXME

Fri Jan 24 11:35:58 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* doc/userguide.sgml: small updates

Thu Jan 23 18:02:24 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* doc/userguide.sgml: updated

Thu Jan 23 16:53:26 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* doc/tds.html doc/tds7.txt:
	- removed tds7.txt (mainly duplicated in tds.html)

Thu Jan 23 15:44:47 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* doc/tds.html include/tds.h:
	- update collate information from some mail

Thu Jan 23 14:28:15 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* README: update URLs

Thu Jan 23 11:03:32 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* BUGS: update a bit

Thu Jan 23 10:56:06 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* doc/api_status.txt: update ODBC status

Wed Jan 22 15:56:39 EST 2003	JK Lowden <jklowden@schemamania.org>
	* doc/api_status.txt updated db-lib status with Sybase's functions

Wed Jan 22 15:23:32 EST 2003    JK Lowden <jklowden@schemamania.org>
	* src/dblib/bcp.c _bcp_exec_out(): no output for null columns 
	* src/dblib/dblib.c dbconvert(): do not initialize dest if destlen = -1

Tue Jan 21 14:06:50 CET 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c: add SQLEndTran function

Mon Jan 20 18:02:27 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* configure.in: check for long double type

Fri Jan 17 14:20:26 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* TODO: updates
	* freetds.spec.in: add --enable-threadsafe for build rpm
	* src/odbc/odbc.c: SQLGetTypeInfo small change

Fri Jan 17 10:53:10 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c:
	- fix for SQLGetTypeInfo setting odbc version on mssql
	- more fixed for early bind

Thu Jan 16 15:23:44 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c: fix problem with early binding

Tue Jan 14 23:14:37 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* TODO: removed some done stuff

Tue Jan 14 12:33:38 EST 2003	JK Lowden <jklowden@schemamania.org>
	* TODO: added ODBC needs for Star Office.

Sun Jan 12 23:14:00 CST 2003	Steve Langasek <vorlon@netexpress.net>
	* src/apps/tsql.c:
	- fix locale handling, which is currently a no-op on glibc
	  systems: calling nl_langinfo(CODESET) without first calling
	  setlocale(LC_ALL, "") will always give you ASCII.

Sun Jan 12 23:03:00 CST 2003	Steve Langasek <vorlon@netexpress.net>
	* include/Makefile.am:
	- make sure freetds_sysconfdir.h is built as part of 'make all'.

Sun Jan 12 16:13:00 CST 2003	Steve Langasek <vorlon@netexpress.net>
	* configure.in:
	- add autoconf checks for nl_langinfo.

Sun Jan 12 15:48:00 CST 2003	Steve Langasek <vorlon@netexpress.net>
	* include/Makefile.am:
	- don't install freetds_sysconfdir.h, because no public headers
	  reference it.
	- Add a check for automake 1.53 to include/Makefile.am because of
	  'nodist_include_HEADERS', to avoid accidental partial-builds
	  with incompatible versions of automake.

Sun Jan 12 12:27:00 CST 2003	Steve Langasek <vorlon@netexpress.net>
	* src/ctlib/Makefile.am:
	- bump sover due to structure and constants changed in
	  cspublic.h 1.11.

Sun Jan 12 11:03:41 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/ctlib/unittests/connect_fail.c(added):
	* src/ctlib/ct.c src/ctlib/unittests/.cvsignore:
	* src/ctlib/unittests/Makefile.am:
	- fix core in ctlib closing a failed connection

Sat Jan 11 19:13:33 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c src/odbc/unittests/t0003.c:
	- SQLMoreResults discard results of current result set as documented

Sat Jan 11 18:06:26 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/unittests/t0003.c: cleanup and more SQLMoreResults test

Sat Jan 11 17:30:24 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	All this stuff modified from a patch of  Viktar Klimkovitch
	* src/odbc/convert_sql2string.c src/odbc/convert_sql2string.h:
	* src/odbc/convert_tds2sql.c:
	- do not mix sql type to c type
	- some comment added
	- renamed _odbc_get_server_type to odbc_get_server_type
	* src/odbc/error.c: cleanup
	* src/odbc/odbc.c src/odbc/odbc_util.c src/odbc/odbc_util.h:
	- renamed odbc_get_client_type to odbc_tds_to_sql_type and 
	  add version parameter
	- check if sql2tds fail
	- more support for SQLGetStmtAttr
	- some other options for SQLGetInfo (we do not support cursors)
	- move sql_to_c_type_default from odbc.c to odbc_util.c
	- reindented
	* src/odbc/sql2tds.c:
	- handle sql type correctly (not as c type)
	- sql2tds return same errors of tds_convert

Fri Jan 10 21:04:22 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c src/tds/login.c:
	- some comment added
	* src/tds/query.c:
	- allow params in tds_submit_rpc to be NULL

Fri Jan 10 13:09:26 EST 2003    JK Lowden <jklowden@schemamania.org>
	* src/dblib/bcp.c  Bill's varchar patch, see ML
	* src/dblib/dblib.c log marker in hex format, not decimal.

Fri Jan 10 13:24:37 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c: fix stupid bug

Fri Jan 10 10:25:36 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/convert_sql2string.c src/odbc/odbc_util.c:
	- return SQL_REAL for SYBREAL, not SQL_FLOAT
	- other small type handling
	- some docs update

Thu Jan  9 18:12:43 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/convert_sql2string.c src/odbc/convert_tds2sql.c:
	* src/odbc/odbc.c src/odbc/unittests/date.c:
	- fix problem with SQL_C_TIMESTAMP

Thu Jan  9 16:17:10 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/unittests/Makefile.am src/odbc/unittests/date.c(added):
	- added test for date under ODBC (do not pass...)

Wed Jan  8 10:57:32 EST 2003    JK Lowden <jklowden@schemamania.org>
	* src/odbc/odbc.c added logging function for unimplemented options
	* src/tds/iconv.c added log of character set in iconv

Wed Jan  8 11:30:12 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/tdsodbc.h src/odbc/odbc.c:
	- cleanup
	- workaround for a bug in MS ODBC DM
	- avoiding pointer to garbage data
	* src/tds/login.c:
	- cleanup

Tue Jan  7 21:34:56 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/error.c src/odbc/odbc.c:
	- do not compiler ODBC3 code if not ODBC3
	- fix some error in SQLTables (missing parameters and quoting)

Tue Jan  7 20:53:38 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c: fix some issue with SQLGetFunctions

Tue Jan  7 15:41:24 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/error.c:
	- avoid free(NULL)
	* src/odbc/odbc.c:
	- rewrite function checking using some macro
	* win32/msvc6/FreeTDS.dsp:
	- add error.c

Tue Jan  7 11:25:00 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/unittests/common.c: small fix
	* src/odbc/unittests/print.c: finished

Mon Jan  6 22:41:37 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/error.c:
	- fix error in SQLGetDiagRec not returning correct errors
	- add SQLGetDiagField
	* src/odbc/odbc.c:
	- enable SQLGetDiagField and SQLGetDiagRec
	* src/odbc/unittests/Makefile.am src/odbc/unittests/print.c(added):
	- add print test (unfinished)
	* src/odbc/unittests/common.c:
	- do not print garbage error

Mon Jan  6 15:14:24 EST 2003	JK Lowden <jklowden@schemamania.org>
	* src/tds/token.c added token name to marker value in log

Sun Jan  5 16:48:41 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/dblib/dblib.c: cleanup
	* src/odbc/odbc.c: do not set database (now useless)
	* src/odbc/unittests/t0001.c src/odbc/unittests/t0002.c:
	* src/odbc/unittests/t0003.c:
	- do not reset TDSDUMP environment
	* src/tds/login.c: set database during login if specified
	* src/tds/token.c: update docs on tds_process_simple_query

Sun Jan  5 15:27:40 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/ctlib/ct.c: prevent error setting length of NULL to 0
	* src/ctlib/unittests/t0002.c: do not try to print NULL data
	* src/dblib/dblib.c: cleanup for C++ compile
	* src/tds/login.c: small optimization
	* src/tds/query.c: add tds_quote_id

Sun Jan  5 14:38:21 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/tds/token.c:
	- added tds_process_simple_query to libtds
	* src/odbc/odbc.c:
	- use tds_process_simple_query fixing some problems
	* src/odbc/unittests/t0003.c: cleanup

Sun Jan  5 11:27:41 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/error.c src/odbc/odbc.c:
	- more SQLError to error.c file
	- added SQLGetDiagRec function (error.c)

Sat Jan  4 14:05:55 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/cspublic.h src/ctlib/cs.c src/ctlib/ct.c:
	* src/dblib/bcp.c src/odbc/connectparams.c:
	* src/odbc/odbc_util.c src/odbc/prepare_query.c:
	- cleanup compiling with a C++ compiler
	* src/odbc/odbc.c:
	- cleanup compiling with a C++ compiler
	- fix memory leak during connect
	- added some FIXME
	- fix reading of some possibly not terminated string
	- fix a possible buffer overflow in SQLError

Sat Jan  4 11:34:49 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/ctlib/ct.c src/ctlib/unittests/t0002.c:
	- set also curr_resinfo for STATUS_RESULT
	- more check for sp_who call

Sat Jan  4 10:52:09 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* src/ctlib/ct.c: cleanup

Fri Jan  3 18:29:27 EST 2003	JK Lowden <jklowden@schemamania.org>
	* include/tds.h src/ctlib/ct.c src/tds/token.c
	- moved ctlib return status row support from libtds to libctl

Fri Jan  3 19:27:54 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/tdsodbc.h src/odbc/error.c src/odbc/odbc.c:
	* src/odbc/odbc_util.c:
	- improve error support

Fri Jan  3 15:35:45 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/tdsodbc.h src/odbc/Makefile.am src/odbc/odbc.c:
	* src/odbc/odbc_util.c src/odbc/error.c(added):
	- added INIT_HDBC and INIT_HENV macros
	- use numeric errors for ODBC
	- split error code from utils into error.c
	- updated all error code adding some more codes
	- add support for ODBC 3 driver

Fri Jan  3 12:57:00 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* include/Makefile.am:
	- do not install tdsodbc.h
	* include/tdsodbc.h  src/odbc/odbc.c src/odbc/odbc_util.c:
	* src/odbc/odbc_util.h src/odbc/prepare_query.c:
	- rewrite error support
	- remove some useless cast
	- added INIT_HSTMT macro and use it

Thu Jan  2 15:25:45 EST 2003	JK Lowden <jklowden@schemamania.org>
	* src/ctlib/ct.c, src/tds/token.c support return status as special row

Thu Jan  2 21:03:25 CEST 2003	Frediano Ziglio <freddy77@angelfire.com>
	* freetds.spec.in: update description
	* include/tdsodbc.h src/odbc/convert_sql2string.c:
	* src/odbc/odbc.c src/odbc/odbc_util.c:
	* src/odbc/prepare_query.c src/odbc/sql2tds.c:
	- fix a bug deferencing a pointer
	- declare param_lenbind as SQLINTEGER*

Thu Jan  2 12:23:53 EST 2003	JK Lowden <jklowden@schemamania.org>
	* src/apps/tsql.c print informational messages
	* src/tds/token.c tds_process_msg: convert if-else to switch

Wed Jan  1 20:53:32 EST 2003	JK Lowden <jklowden@schemamania.org>
	* include/cspublic.h  changed values of datafmt.status bitmasks
	* src/ctlib/ct.c  minor bugs
	* src/tds/token.c  set TDS_CMD_DONE for TDS_NO_MORE_RESULTS

Wed Jan  1 17:59:12 EST 2003	JK Lowden <jklowden@schemamania.org>
	* src/ctlib/unittests/t0002.c  added test for return status
	
Tue Dec 31 17:38:16 EST 2002	JK Lowden <jklowden@schemamania.org>
	* src/tds/util.c	re-indented variable declarations.  
	* src/ctlib/ct.c	ct_res_info(): Added log entries.

Tue Dec 31 16:07:32 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h: add TDSRESULTINFO to Doxygen
	* src/dblib/rpc.c: update log note
	* src/dblib/unittests/rpc.c: exit if dbrpcsend failed
	* src/tds/token.c: small optimization

Tue Dec 31 12:11:19 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/token.c:
	- rename tds_process_col_info to tds_process_col_fmt
	- parse COLFMT token into default processing

Mon Dec 30 16:27:00 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* freetds.spec.in: applied patch from David Hollis

Sat Dec 28 21:22:23 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/convert.c src/tds/token.c:
	- improve documentation

Sat Dec 28 20:50:11 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/odbc/odbc.c src/odbc/odbc_util.c:
	* src/odbc/prepare_query.c src/tds/config.c src/tds/locale.c:
	* src/tds/mem.c:
	- rename TDSLOCINFO with TDSLOCALE
	* src/apps/tsql.c: remove old FIXME

Sat Dec 28 12:33:05 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* TODO:
	- update
	* include/tds.h:
	- update doc
	* src/ctlib/ct.c:
	- fix crash with CS_SEND_DATA_MSG
	* src/ctlib/unittests/t0009.c:
	- improve

Thu Dec 26 17:48:41 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* doc/userguide.sgml: add small troubeshooting section
	* include/tds.h src/tds/token.c:
	- define some new token, ignore ORDERBY2 token

Wed Dec 25 12:19:06 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/pool/stream.c src/server/server.c:
	* src/tds/login.c src/tds/query.c src/tds/token.c:
	- renamed some token according to Sybase doc

Sun Dec 22 15:08:04 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/pool/stream.c src/server/server.c:
	* src/tds/token.c:
	- rename TDS_COL_INFO_TOKEN to TDS_COLFMT_TOKEN
	- added TDS_TABNAME_TOKEN and TDS_COLINFO_TOKEN and skip 
	  them (so FOR BROWSE query work)

Sun Dec 22 12:32:17 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* Makefile.am configure.in win32/Makefile.am (added):
	* win32/msvc6/Makefile.am (added):
	- add win32 project to distribution

Sat Dec 21 15:08:08 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* doc/userguide.sgml: updated a bit

Fri Dec 20 22:51:40 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/apps/tsql.c src/ctlib/cs.c src/dblib/dblib.c:
	- use %I instead of %l for strftime (portability problem)

Fri Dec 20 22:43:18 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/query.c: 
	- do not use uninitialized variables
	- tested input params with a PA-RISC (big endian)

Fri Dec 20 22:30:57 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/query.c: fix big endian and numeric on TDS7

Fri Dec 20 22:06:42 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* acinclude.m4 src/tds/threadsafe.c:
	- fix error in HP/UX 10.20 (tds_get_homedir did not work)

Fri Dec 20 11:07:24 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/token.c:
	- fix problem with tds_set_spid returning nullable column

Thu Dec 19 14:05:07 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/login.c: fix check for dump

Thu Dec 19 08:05:11 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c: do not export SQLSetEnvAttr

Wed Dec 18 15:18:13 EST 2002	JK Lowden <jklowden@schemamania.org>
	* src/odbc/odbc.c: 
	- SQLGetInfo supports SQL_ALTER_TABLE and SQL_DATA_SOURCE_READ_ONLY

Wed Dec 18 16:38:58 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/connectparams.c: apply fix of Patrick

Wed Dec 18 15:15:19 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c:
	- added dmalloc support
	- fixed some indentation problems
	- do not free NULL pointer setting date format

Wed Dec 18 15:05:32 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/connectparams.c src/odbc/convert_sql2string.c:
	* src/odbc/convert_tds2sql.c src/odbc/native.c:
	* src/odbc/odbc_util.c src/odbc/prepare_query.c:
	* src/odbc/sql2tds.c:
	- added dmalloc support to odbc

Wed Dec 18 11:28:28 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/query.c: implement tds_submit_unprepare

Tue Dec 17 13:17:08 CEST 2002	Mark Lilback <mark@lilback.com>
	* src/ctlib/ct.c: 
	- added _ct_fetchable_results to tell if results fetchable
	- fixed ct_result to return CS_SUCCEED if results not fetchable
	- fixed ct_fetch to return CS_CMD_FAIL if results are CS_CMD_FAIL

Tue Dec 17 14:25:09 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/dblib/rpc.c: fix wrong size setting causing buffer overflow

Mon Dec 16 21:24:08 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* samples/odbc.ini: PWD is not valid anymore

Mon Dec 16 11:37:47 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* win32/msvc6/FreeTDS.def: do not export SQLExtendedFetch

Sun Dec 15 12:24:18 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c: do not export unimplemented functions

Sat Dec 14 15:12:39 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/ctlib/unittests/t0009.c src/tds/mem.c src/tds/token.c:
	- fix error in ctlib test t0009 (we didn't reserve space for
	  nullable data in compute results)

Fri Dec 13 15:59:09 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/ctlib/unittests/t0009.c: avoid print garbage data

Thu Dec 12 14:58:23 EST 2002	JK Lowden <jklowden@schemamania.org>
	* src/ctlib/ct.c ct_capabilities: remove redundant code.  
	* src/ctlib/unittests/t0009.c check results of compute_id 2

Thu Dec 12 15:59:32 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/connectparams.c:
	- fix error reading SERVER info
	* win32/msvc6/initnet.c win32/msvc6/FreeTDS.dsp:
	- initialize socket library

Thu Dec 12 12:04:54 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* win32/msvc6/FreeTDS.dsp win32/msvc6/config.h:
	- update win32 project

Thu Dec 12 11:24:09 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/des.h src/tds/des.c:
	- fix compiler with a C++ compiler
	* src/tds/login.c:
	- use domain login if user is like 'DOMAIN\user'

Thu Dec 12 11:01:46 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/ctlib/ct.c: fix switches

Wed Dec 11 22:43:59 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/convert.c: add some TODO for overflow check

Wed Dec 11 14:52:32 EST 2002	JK Lowden <jklowden@schemamania.org>
	* include/cspublic.h src/ctlib/ct.c added framework for ct_options

Wed Dec 11 11:54:23 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/cspublic.h src/ctlib/ct.c src/tds/read.c:
	- cleanup removing errors compiling with a C++ compiler
	
Tue Dec 10 17:04:41 EST 2002	JK Lowden <jklowden@schemamania.org>
	* include/sybdb.h src/dblib/dblib.c added dbsetmaxprocs
	* doc/dblib_errors.txt new file

Tue Dec 10 20:58:29 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/login.c: fix connection timeout handling

Tue Dec 10 17:58:24 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/tds/challenge.c src/tds/config.c:
	* src/tds/convert.c src/tds/iconv.c src/tds/locale.c:
	* src/tds/login.c src/tds/mem.c src/tds/read.c:
	* src/tds/tdsstring.c src/tds/token.c src/tds/util.c:
	* src/tds/vstrbuild.c src/tds/write.c:
	- cleanup removing errors compiling with a C++ compiler

Mon Dec  9 22:15:17 EST 2002	JK Lowden <jklowden@schemamania.org>
	* TODO minor update
	* configure.in added test for libgen.h
	* src/dblib/unittests/common.c src/dblib/unittests/common.h better messages
	* src/dblib/unittests/t0001.c
	- accept optional servername & timeout parameters (to test dbsetlogintime)
	* src/tds/login.c fixed connect timeout logic
	- dbsetlogintime() works

Mon Dec  9 17:22:26 EST 2002 	JK Lowden <jklowden@schemamania.org>
	* include/tds.h src/dblib/dblib.c src/dblib/unittests/t0001.c src/tds/login.c
	- support for dbsetlogintime (not yet working)

Mon Dec 09 21:48:28 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* doc/api_status.txt src/odbc/odbc.c:
	- update odbc status

Mon Dec  9 12:40:48 EST 2002	JK Lowden <jklowden@schemamania.org>
	* doc/api_status.txt	added perl to output bcp-ready format
	* src/tds/login.c 	added TDS version to log file

Mon Dec 09 17:39:21 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c src/replacements/vasprintf.c:
	- improve win32 compile

Sun Dec 08 10:07:53 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* doc/tds.html: slightly updated

Sat Dec 07 14:48:00 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/query.c: fix input parameters for TDS8

Sat Dec 07 14:32:09 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/tds/query.c src/tds/token.c:
	- handle collate change from server and use it

Fri Dec 06 22:54:54 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* acinclude.m4 configure.in src/tds/threadsafe.c:
	- fix compile under Solaris

Fri Dec 06 17:51:12 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds_sysdep_private.h src/odbc/connectparams.c:
	* src/odbc/convert_sql2string.c src/tds/convert.c:
	* src/tds/login.c src/tds/read.c src/tds/threadsafe.c:
	* src/tds/util.c src/tds/write.c:
	- improve win32 compile (not include files not present)
	* src/tds/query.c src/tds/token.c:
	- do not use collapse if TDS7 is used

Thu Dec  5 12:28:37 EST 2002    JK Lowden <jklowden@schemamania.org>
        * include/tds.h src/tds/token.c fix nchar handling in tds7_get_data_info
        - allows bcp out to work with nchar datatype

Thu Dec 05 16:52:34 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* win32/msvc6/FreeTDS.def win32/msvc6/FreeTDS.dsp:
	* win32/msvc6/FreeTDS.dsw win32/msvc6/config.h:
	- files for compile ODBC driver under msvc6 (work in progress)

Wed Dec  4 16:46:53 EST 2002	nsc <Nicholas_Castellano@acml.com>
	* TODO:
	- Remove a completed item from TODO, add a note about a known bug.

Tue Dec 03 17:50:13 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds_sysdep_private.h src/tds/convert.c:
	* src/tds/query.c src/tds/write.c:
	- simplify Win32 compile with msvc

Tue Dec 03 09:59:47 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/connectparams.c: remove a FIXME
	* src/tds/login.c: cleanup

Mon Dec  2 16:52:09 EST 2002    JK Lowden <jklowden@schemamania.org>
	* src/apps/freebcp.c src/apps/freebcp.h
	- add -h (hints) switch; could not test

Mon Dec 02 21:53:13 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h: column_flags have now 32 bits

Mon Dec 02 14:37:04 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/server/server.c src/tds/login.c:
	* src/tds/mem.c src/tds/token.c:
	- integrated some patch from OpenLink (extend capability and 
	  send 32bit usertype on server)

Sat Nov 30 15:10:50 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/Makefile.am src/odbc/sql2tds.c src/odbc/sql2tds.h:
	- add file for converting param to tds
	* src/odbc/convert_sql2string.c:
	- handle some more types
	* src/odbc/odbc.c:
	- support more conversion for parameters
	- remove old log

Sat Nov 30 09:21:59 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/query.c:
	- fix dynamic name generation for old Sybase server (like public
	  one) that require id length <= 10

Fri Nov 29 23:08:00 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/unittests/t0004.c: fix fail for security
	* include/tdsodbc.h: removed unused param fields
	* src/odbc/convert_sql2string.c src/odbc/convert_sql2string.h:
	* src/odbc/convert_tds2sql.c:
	- collect _odbc_get_server_type and reuse it

Fri Nov 29 20:51:54 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/dblib/unittests/rpc.c: remove some warnings

Fri Nov 29 20:44:55 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/dblib/unittests/rpc.c: enable RPC check for Sybase

Fri Nov 29 17:01:09 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/tds/query.c:
	- add support for RPC using TDS5 (not tested)

Fri Nov 29 12:34:28 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/dblib/rpc.c src/tds/query.c:
	- added column_output for specify output parameters

Fri Nov 29 11:38:26 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/query.c: small optimization and remove TODO

Fri Nov 29 11:28:33 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/query.c: use column_type in parameters, not nullable

Thu Nov 28 21:18:31 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/query.c: add flag to tds_put_data_info*

Wed Nov 27 14:39:46 EST 2002	JK Lowden <jklowden@schemamania.org>
	* src/dblib/bcp.c	support bcp_options for hints
	* include/sybdb.h reordered bcp declarations
	- declared bcp structure for dbproc, added hint pointer

Wed Nov 27 00:20:51 EST 2002	JK Lowden <jklowden@schemamania.org>
	* src/apps/tsql.c use setlocale and nl_language to find client charset.
	
Mon Nov 25 23:09:52 EST 2002	JK Lowden <jklowden@schemamania.org>
	* src/dblib/rpc.c fixed stupid pointer problems in dbrpcinit and dbrpcparam
	- dbsqlok now fails w/error, no segfault.  

Mon Nov 25 11:44:16 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/dblib/rpc.c: small improve

Mon Nov 25 10:09:09 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/unittests/common.c:
	- best checks, ignore some possible strange tokens

Sun Nov 24 13:00:08 EST 2002	JK Lowden <jklowden@schemamania.org>
	* src/dblib/rpc.c  first plausible implementation.  Not tested.  

Sun Nov 24 15:00:12 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/convert.c: spell fix, remove old TODO
	* src/tds/login.c:
	- use database field in TDS7+ login
	- reuse tds_put_string instead of converting every time
	- remove a buffer overflow limiting password to 128 characters

Sun Nov 24 13:00:39 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/iconv.c src/tds/read.c src/tds/threadsafe.c:
	* src/tds/util.c:
	- indent and fixes for comment

Sun Nov 24 11:42:49 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/tds/login.c:
	- make tds_send_login and tds7_send_login static
	- update comment using new style
	- use result of tds_flush_packet for write checking

Sun Nov 24 11:20:02 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/tds/query.c src/tds/write.c:
	- make tds_write_packet static
	- tds_flush_packet return TDS_SUCCEED or TDS_FAIL
	- use result of tds_flush_packet submitting query
	* src/odbc/odbc.c:
	- fix return for SQL_VARCHAR
	- return SQL_ERROR if query fail
	- use tds_set_column_size

Sat Nov 23 15:41:34 EST 2002	JK Lowden <jklowden@schemamania.org>
	* src/dblib/rpc.c more attempted mating of dblib rpc to tds layer.
	* src/dblib/dblib.c fixed a warning, return erc.  

Sat Nov 23 18:10:32 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/dblib/bcp.c src/dblib/unittests/rpc.c:
	* src/dblib/unittests/t0013.c src/dblib/unittests/t0014.c:
	* src/dblib/unittests/t0016.c src/dblib/unittests/t0017.c:
	* src/dblib/unittests/t0021.c src/dblib/unittests/t0022.c:
	* src/odbc/odbc.c src/odbc/unittests/common.c:
	* src/odbc/unittests/connect.c:
	- remove some warnings

Sat Nov 23 17:43:16 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/dblib/unittests/rpc.c: return 0 if not TDS7+
	+ src/tds/token.c: reuse code, save extended errors in param_info

Sat Nov 23 15:11:09 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/token.c: 
	- fix bug introduced token.c (output parameters not saved correctly)

Sat Nov 23 14:54:15 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/dblib/rpc.c: remove warnings

Sat Nov 23 14:44:53 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/ctlib/ct.c src/odbc/odbc.c src/tds/query.c:
	* src/tds/token.c src/tds/unittests/dynamic1.c:
	- tds_submit_prepare return allocated TDSDYNAMIC structure
	- add tds_set_column_type to set column type and calc dependency fields
	- fix discard of PARAMFMT/PARAMS token in TDS5

Sat Nov 23 10:42:12 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/query.c: some comment and fix for numeric parameters

Sat Nov 23 01:32:44 EST 2002	JK Lowden <jklowden@schemamania.org>
	* include/sybdb.h src/dblib/rpc.c src/dblib/unittests/rpc.c
	- more db-lib rpc preparation

Fri Nov 22 17:48:03 EST 2002	JK Lowden <jklowden@schemamania.org>
	* src/dblib/unittests/rpc.c src/dblib/unittests/Makefile.am
	- new unittest for as-yet nonfunctional dbrpc* functions
	
Fri Nov 22 23:10:38 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/query.c src/tds/unittests/dynamic1.c:
	- fix a BUG constructing prepare query for TDS7+
	- fix test for TDS7+

Fri Nov 22 22:30:43 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/token.c src/tds/unittests/dynamic1.c:
	- fix error handling PARAMFMT (row not allocated)
	- fix test (read prepare results)

Fri Nov 22 17:41:47 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* doc/userguide.sgml: update for ODBC

Fri Nov 22 16:39:53 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/unittests/common.c src/odbc/unittests/connect.c:
	* src/odbc/unittests/t0001.c src/odbc/unittests/t0004.c:
	* src/tds/unittests/dynamic1.c src/tds/unittests/t0003.c:
	* src/tds/unittests/t0004.c src/tds/unittests/t0006.c:
	* src/tds/unittests/t0007.c:
	- remove some warning

Fri Nov 22 14:18:32 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/tds/query.c:
	- implement RPC on TDS7+

Fri Nov 22 13:54:44 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/unittests/Makefile.am src/tds/unittests/common.c:
	* src/tds/unittests/common.h src/tds/unittests/t0004.c:
	* src/tds/unittests/t0005.c src/tds/unittests/t0006.c:
	* src/tds/unittests/dynamic1.c:
	- added test for dynamic query
	- moved run_query to common.c

Fri Nov 22 11:08:23 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/tds/Makefile.am src/tds/login.c:
	* src/tds/getmac.c (added):
	- start writing code to get real MAC for TDS7+

Fri Nov 22 10:49:19 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/tds/mem.c src/tds/token.c:
	- unified TDSRESULTINFO, TDSCOMPUTEINFO and TDSPARAMINFO
	- update some style (function declarations and comments)
	- put output parameters in correct places
	- use curr_resinfo field getting params tokens

Thu Nov 21 17:28:33 EST 2002	JK Lowden <jklowden@schemamania.org>
	* include/dblib.h src/dblib/bcp.c 
	- some preparation for bcp error file
	* include/sybdb.h src/dblib/rpc.c 
	- memory management skeleton for rpc.  Need send  to server
	
Thu Nov 21 22:30:15 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/convert_tds2sql.c: add support for SQLGUID
	* include/tds.h src/odbc/odbc.c src/tds/mem.c src/tds/query.c:
	- renames new_params to params

Thu Nov 21 16:01:27 EST 2002	nsc <Nicholas_Castellano@acml.com>
	* src/ctlib/ct.c:
	- Fix return value from ct_cancel().

Thu Nov 21 21:48:13 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/tds/token.c:
	- cleanup old unused functions
	- reuse code
	- added some TODO/FIXME
	* src/tds/query.c:
	- use symbolic constant

Thu Nov 21 15:18:57 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c: workaround for old Sybase and SQLGetTypeInfo

Thu Nov 21 13:49:04 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c: tell we support SQLDriverConnect

Thu Nov 21 11:47:19 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/unittests/connect.c src/odbc/unittests/Makefile.am:
	- added test to test connections
	* src/odbc/unittests/common.c:
	- improve Disconnect
	* src/odbc/connectparams.c: reindented

Thu Nov 21 11:18:03 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/connectparams.c src/odbc/odbc.c:
	- handle DSN option in connectstring 

Wed Nov 20 23:07:12 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/query.c:
	- rewrite tds_query_submit using new functions
	- added some comment

Wed Nov 20 17:36:47 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/token.c: continue parameters code

Wed Nov 20 14:29:43 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/apps/freebcp.c src/apps/freebcp.h src/ctlib/blk.c:
	* src/ctlib/cs.c src/ctlib/ctutil.c src/tds/vstrbuild.c:
	- indent(1) and a conversion to Unix file style

Mon Nov 18 21:08:54 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h: small doxygen comment

Sun Nov 17 13:37:44 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/dblib/dblib.c src/tds/query.c:
	- fix post VARBINARY

Sun Nov 17 12:13:16 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/token.c: remove some TODO

Sun Nov 17 10:58:33 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/tdsconvert.h src/tds/convert.c src/tds/token.c:
	- VARBINARY are stored in the same way of BINARY and IMAGE (an 
	  array of byte instead of a structure)
	- add all conversions to VARBINARY (now trivial)
	- fix buffer overflow using VARBINARY
	- support VARBINARY > 255 (mssql7+)
	* src/apps/tsql.c: fix small buffer overflow

Sun Nov 17 09:36:55 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/tds/token.c:
	- add tds_allog_get_string to read and alloc string from wire
	- cleanup and some comment
	- convert comment to doxygen

Sat Nov 16 16:54:49 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c: temporary fix
	* src/odbc/unittests/t0004.c: do not clear TDSDUMP

Sat Nov 16 16:15:33 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* Makefile.am  configure.in:
	- add option for enable extra internal checks
	- add option to enable work in progress compile
	* include/tds.h include/tdsodbc.h src/ctlib/ct.c:
	* src/odbc/odbc.c src/tds/mem.c src/tds/query.c src/tds/token.c:
	- cur_dyn_elem is now a TDSDYNAMIC* (cur_dyn)
	- more constification
	- some dynamic functions accept now TDSDYNAMIC* instead of id
	- accept NULL id in tds_submit_prepare (handle anonymous in TDS7+)

Fri Nov 15 13:59:30 EST 2002	nsc <Nicholas_Castellano@acml.com>
	* include/sybdb.h src/dblib/dblib.c src/tds/config.c src/tds/token.c:
	- Expose real type of LOGINREC->tds_login instead of hiding it
	  in a void *.
	- Check some dynamic allocations for failure.

Thu Nov 15 17:52:31 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/token.c: use defined constant

Thu Nov 14 20:59:59 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/token.c: collect code to calc row size in a single function

Thu Nov 14 16:45:58 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/token.c: other cleanup and code reuse

Wed Nov 13 22:09:28 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/tds/token.c:
	- removed tds_process_column_row (unused and ancien)
	- terminate column name in TDS7
	- optimize a bit tds_get_null
	- reuse tds7_get_data_info in tds7_process_compute_result
	* src/dblib/bcp.c src/odbc/convert_tds2sql.c src/tds/convert.c:
	* src/tds/numeric.c:
	- renamed g__numeric_bytes_per_prec in tds_numeric_bytes_per_prec

Tue Nov 12 17:54:49 EST 2002	nsc <Nicholas_Castellano@acml.com>
	* src/dblib/dblib.c:
	- More dbsetopt() fixes.

Tue Nov 12 16:58:27 EST 2002	JK Lowden <jklowden@schemamania.org>
	* src/dblib/dblib.c	dbsetopt DBBUFFER fix

Sun Nov 10 19:07:58 EST 2002	nsc <Nicholas_Castellano@acml.com>
	* threadsafe.c:
	- Ansify declaration of tds_get_home()
	- Fix logic error in tds_get_home()

Sun Nov 10 19:05:06 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/dblib/dblib.c:
	- fix a bug introduced after removing terminator from row
	  (discovered with ElectricFence)

Sun Nov 10 18:33:11 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/connectparams.c src/tds/config.c src/tds/threadsafe.c:
	* src/tds/write.c:
	- small fix to a fast change
	- use tds_get_homedir in odbc code
	- remove a warning

Sun Nov 10 18:21:32 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* configure.in include/tds.h src/tds/config.c src/tds/threadsafe.c:
	- add tds_get_homedir function for reading home directory location
	  in a safer way and use it

Sun Nov 10 17:17:44 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/tds/config.c src/tds/convert.c:
	* src/tds/iconv.c src/tds/login.c src/tds/token.c:
	- remove various FIXME in code

Sun Nov 10 13:46:55 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/dblib/unittests/t0001.c:
	- fill buffer for see other possible errors

Sun Nov 10 13:38:58 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/config.c src/tds/query.c  src/tds/token.c:
	- fix some FIXME in code
	* src/tds/read.c src/tds/write.c:
	- use chunk conversion for unicode<->ascii to avoid memory problems

Sun Nov 10 11:52:28 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/server/login.c src/tds/iconv.c src/tds/token.c:
	- unicode2ascii and tds_get_string never terminate output strings
	- string in row are not zero terminated. this safe a bit of unused 
	  space

Fri Nov  8 15:22:51 EST 2002	nsc <Nicholas_Castellano@acml.com>
	* doc/api_status.txt:
	- Update status of dbcolutype() and BCP_SETL().

Fri Nov  8 20:06:36 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/apps/tsql.c src/ctlib/ct.c:
	* src/dblib/bcp.c src/dblib/dblib.c src/odbc/odbc.c:
	* src/tds/mem.c src/tds/query.c src/tds/token.c:
	- put blob related fields in a new TDSBLOBINFO structure and
	  put this structure in current_row.

Fri Nov  8 17:56:16 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/odbc/convert_tds2sql.c src/tds/convert.c:
	* src/tds/query.c src/tds/unittests/t0008.c:
	- support for numeric if 256 bit

Fri Nov  8 16:54:49 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/tds/read.c src/tds/token.c:
	- removed tds_get_ntstring, unused
	* src/odbc/connectparams.c: rewritten (code now more readable)
	* src/odbc/native.c: improve
	* src/server/login.c: small comment added
	* src/tds/query.c: improve for code reuse

Fri Nov  8 08:51:00 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/apps/tsql.c src/pool/member.c:
	- remove warning compiling
	* src/odbc/odbc.c:
	- do not overwrite values from freetds.conf with default

Thu Nov  7 21:02:39 EST 2002	nsc <Nicholas_Castellano@acml.com>
	* src/tds/config.c src/tds/util.c:
	- Namespace cleanup.

Thu Nov  7 16:44:53 EST 2002	nsc <Nicholas_Castellano@acml.com>
	* doc/api_status.txt:
	- Update status of dbcanquery() and dbclrbuf().

Thu Nov  7 16:36:09 EST 2002	nsc <Nicholas_Castellano@acml.com>
	* doc/api_status.txt include/sybdb.h include/tds.h src/dblib/dblib.c
	  src/tds/mem.c src/tds/token.c:
	- Implement dbchange(), dbname(), dbservcharset().

Thu Nov  7 13:44:42 EST 2002	nsc <Nicholas_Castellano@acml.com>
	* src/tds/util.c:
	- Make tdsdump_open(NULL) and tdsdump_open("") equivalent
	  to tdsdump_close().  Fixes bug introduced with the
	  tds_dstr*() code (logging always enabled to tdsdump.out
	  by default).

Thu Nov  7 12:27:08 EST 2002	nsc <Nicholas_Castellano@acml.com>
	* src/dblib/unittests/t0005.c src/dblib/unittests/t0007.c:
	- Add some informational output about expected failures.

Thu Nov  7 12:10:39 EST 2002	nsc <Nicholas_Castellano@acml.com>
	* include/sybdb.h src/dblib/dblib.c:
	- Bug fix:  Don't stop dbresults after TDS_CMD_DONE result
	  from tds_process_result_tokens().
	- Bug fix:  Trap out-of-range column numbers in dbbind().
	  Trap attempt to bind with no results, instead of crashing.

Thu Nov  7 10:49:46 EST 2002	nsc <Nicholas_Castellano@acml.com>
	* src/odbc/odbc.c:
	- If we aren't freetds_conf_less, retain the network port
	  information from freetds.conf.  Otherwise it is set to
	  0 and we can't connect without redundantly specifying
	  the port in odbc.ini.

Thu Nov  7 14:21:38 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/native.c: start to implement native_sql function

Thu Nov  7 11:14:16 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/Makefile.am src/odbc/prepare_query.c src/odbc/native.c:
	- split prepare_call in native.c (indented)

Thu Nov  7 11:01:30 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/tds/mem.c:
	- small namespace cleanup

Wed Nov  6 12:23:59 EST 2002	nsc <Nicholas_Castellano@acml.com>
	* src/ctlib/unittests/t0009.c src/dblib/unittests/t0001.c
	  src/dblib/unittests/t0005.c src/dblib/unittests/t0006.c
	  src/dblib/unittests/t0012.c src/dblib/unittests/t0013.c
	  src/dblib/unittests/t0014.c src/dblib/unittests/t0015.c
	  src/dblib/unittests/t0016.c src/dblib/unittests/t0017.c
	  src/dblib/unittests/t0018.c src/dblib/unittests/t0020.c
	  src/dblib/unittests/t0023.c:
	- Don't enable TDS logging by default in unit tests.

Wed Nov  6 12:21:36 EST 2002	nsc <Nicholas_Castellano@acml.com>
	* src/tds/unittests/t0007.c src/tds/unittests/t0008.c:
	- Fix shadow warnings.

Wed Nov  6 11:58:40 EST 2002	nsc <Nicholas_Castellano@acml.com>
	* src/dblib/unittests/Makefile.am src/dblib/unittests/common.c
	  src/dblib/unittests/common.h src/dblib/unittests/t0001.c
	  src/dblib/unittests/t0002.c src/dblib/unittests/t0003.c
	  src/dblib/unittests/t0004.c src/dblib/unittests/t0005.c
	  src/dblib/unittests/t0006.c src/dblib/unittests/t0007.c
	  src/dblib/unittests/t0008.c src/dblib/unittests/t0009.c
	  src/dblib/unittests/t0010.c src/dblib/unittests/t0012.c
	  src/dblib/unittests/t0013.c src/dblib/unittests/t0014.c
	  src/dblib/unittests/t0015.c src/dblib/unittests/t0016.c
	  src/dblib/unittests/t0017.c src/dblib/unittests/t0018.c
	  src/dblib/unittests/t0020.c src/dblib/unittests/t0021.c
	  src/dblib/unittests/t0022.c src/dblib/unittests/t0023.c:
	- Factor out malloc_options code into a function in common.c.

Wed Nov  6 11:43:51 EST 2002	nsc <Nicholas_Castellano@acml.com>
	* include/ctpublic.h include/sybdb.h src/ctlib/ct.c src/dblib/bcp.c
	  src/dblib/dblib.c:
	- More constification, including public API's.

Wed Nov  6 13:38:22 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/cspublic.h include/tds.h include/tdsodbc.h:
	* src/ctlib/ct.c src/dblib/bcp.c src/dblib/dblib.c:
	* src/odbc/odbc.c src/tds/token.c src/tds/unittests/t0004.c:
	* src/tds/unittests/t0005.c src/tds/unittests/t0006.c:
	- add TDS_CMD_SUCCEED to tds_process_result_tokens result types
	- tds_process_end set a variable that hold TDS_DONE_* flags
	- update ODBC according (all this stuff started here)

Tue Nov  5 20:47:24 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/token.c: pad CHAR and BINARY to proper value

Tue Nov  5 17:08:02 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/tds/mem.c:
	- cleanup

Tue Nov  5 14:10:28 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h: 
	- fix some configuration string and cleanup

Tue Nov  5 09:16:18 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* configure.in: enable some more warnings for gcc compiler

Tue Nov  5 09:05:13 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/tds/mem.c src/tds/token.c:
	- renamed ALIGN_SIZE to TDS_ALIGN_SIZE and moved to tds.h
	- tds_align_struct is now only a type name not a variable

Tue Nov  5 00:30:58 EST 2002	nsc <Nicholas_Castellano@acml.com>
	* src/tds/mem.c src/tds/token.c:
	- Make align_struct static.

Fri Nov  4 22:09:37 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/dblib/dblib.c:
	- remove some warnings

Mon Nov  4 14:45:26 EST 2002	nsc <Nicholas_Castellano@acml.com>
	* include/tds.h include/tdssrv.h src/apps/freebcp.c src/ctlib/cs.c
	  src/ctlib/unittests/common.c src/ctlib/unittests/common.h
	  src/dblib/bcp.c src/dblib/dblib.c src/dblib/unittests/t0007.c
	  src/dblib/unittests/t0013.c src/dblib/unittests/t0014.c
	  src/dblib/unittests/t0016.c src/dblib/unittests/t0017.c
	  src/dblib/unittests/t0019.c src/dblib/unittests/t0021.c
	  src/odbc/convert_sql2string.c src/odbc/convert_sql2string.h
	  src/odbc/odbc.c src/odbc/unittests/common.c src/pool/stream.c
	  src/server/server.c src/tds/config.c src/tds/convert.c
	  src/tds/iconv.c src/tds/numeric.c src/tds/token.c src/tds/vstrbuild.c
	  src/tds/unittests/common.c src/tds/unittests/common.h
	  src/tds/unittests/t0002.c src/tds/unittests/t0004.c
	  src/tds/unittests/t0005.c src/tds/unittests/t0006.c:
	- Use octal character constants instead of hex, for portability.
	- More constification.
	- Fix bug in tds_money_to_string() made apprarent by constification:
	  input argument was being altered (corrupted) during the conversion.
	  Use a temporary copy instead.

Fri Nov  4 11:30:13 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/dblib/bcp.c src/tds/mem.c src/tds/query.c:
	* src/tds/token.c src/tds/vstrbuild.c:
	- remove some warning (some was errors too)

Fri Nov  3 11:11:35 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/odbc/odbc.c src/tds/query.c:
	- applied updated Alex Hornby patch
	- reuse of query.c code for placeholders counting

Fri Nov  3 10:43:23 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/.indent.pro: update from ML thread

Fri Nov  2  8:40:24 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* acinclude.m4: look better

Fri Nov  1 17:49:49 EST 2002	nsc <Nicholas_Castellano@acml.com>
	* include/cspublic.h include/dblib.h include/sybdb.h include/tds.h
	  src/ctlib/cs.c src/ctlib/ct.c src/dblib/dblib.c src/pool/config.c
	  src/tds/config.c src/tds/convert.c src/tds/login.c src/tds/mem.c
	  src/tds/query.c src/tds/read.c src/tds/threadsafe.c src/tds/token.c
	  src/tds/vstrbuild.c:
	- Constify lots of function arguments, and clean up most shadow
	  warnings.

Fri Nov  1 23:03:09 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/odbc/odbc.c src/tds/mem.c src/tds/query.c:
	* src/tds/token.c:
	- continued dynamic work

Fri Nov  1 15:52:23 EST 2002	nsc <Nicholas_Castellano@acml.com>
	* configure.in include/Makefile.am include/tds.h src/apps/freebcp.c
	  src/apps/tsql.c src/ctlib/blk.c src/ctlib/cs.c src/ctlib/ct.c
	  src/ctlib/unittests/t0009.c src/dblib/bcp.c src/dblib/dblib.c
	  src/dblib/rpc.c src/dblib/xact.c src/dblib/unittests/t0001.c
	  src/dblib/unittests/t0005.c src/dblib/unittests/t0006.c
	  src/dblib/unittests/t0012.c src/dblib/unittests/t0013.c
	  src/dblib/unittests/t0014.c src/dblib/unittests/t0015.c
	  src/dblib/unittests/t0016.c src/dblib/unittests/t0017.c
	  src/dblib/unittests/t0018.c src/dblib/unittests/t0020.c
	  src/dblib/unittests/t0023.c src/odbc/convert_sql2string.c
	  src/odbc/convert_tds2sql.c src/odbc/odbc.c src/odbc/odbc_util.c
	  src/odbc/prepare_query.c src/pool/config.c src/pool/main.c
	  src/pool/member.c src/server/login.c src/server/query.c
	  src/server/unittest.c src/tds/config.c src/tds/convert.c
	  src/tds/iconv.c src/tds/locale.c src/tds/login.c src/tds/mem.c
	  src/tds/query.c src/tds/read.c src/tds/threadsafe.c src/tds/token.c
	  src/tds/util.c src/tds/write.c
	  include/tdsutil.h (removed):
	- Merge tdsutil.h into tds.h.  Eliminate duplicate prototypes.

Fri Nov  1 20:40:55 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/ctlib/ct.c src/dblib/dblib.c:
	* src/tds/mem.c src/tds/query.c src/tds/token.c:
	- continued dynamic work (still do not work)

Fri Nov  1 15:57:47 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* Makefile.am: added some comments
	* src/odbc/odbc.c: patch by Daniel Morgan
	* src/tds/config.c src/tds/convert.c src/tds/tds.dox:
	- enabled and updated doxygen documentation

Fri Nov  1 12:16:05 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* doc/README.releasing: updated

Fri Nov  1 10:56:47 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* Makefile.am include/Makefile.am src/dblib/unittests/Makefile.am:
	* src/dblib/unittests/t0013.c src/dblib/unittests/t0014.c:
	* src/dblib/unittests/t0016.c src/dblib/unittests/t0017.c:
	- make distcheck now work correctly and without particular settings

Thu Oct 31 16:14:50 EST 2002	nsc <Nicholas_Castellano@acml.com>
	* configure.in:
	- Make the definition of _XOPEN_SOURCE_EXTENDED and _POSIX_C_SOURCE
	  conditional again (it causes problems on some systems).

Thu Oct 31 15:49:01 EST 2002	nsc <Nicholas_Castellano@acml.com>
	* src/dblib/unittests/Makefile.am:
	- Don't remove distributed files during "make clean".

Thu Oct 31 14:10:03 EST 2002	nsc <Nicholas_Castellano@acml.com>
	* configure.in:
	- Drop libd4r for hpux altogether.  These are DCE-compatible
	  functions, and don't behave like POSIX.

Thu Oct 31 13:54:23 EST 2002	nsc <Nicholas_Castellano@acml.com>
	* configure.in src/pool/main.c src/pool/member.c:
	- Unconditionally define _XOPEN_SOURCE_EXTENDED and _POSIX_C_SOURCE.
	- Extra includes for htons() and ntohs() on hpux.

Thu Oct 31 11:55:25 EST 2002	nsc <Nicholas_Castellano@acml.com>
	* configure.in:
	- Put libd4r in LIBS instead of NETWORK_LIBS.

Thu Oct 31 15:46:53 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* Makefile.am configure.in samples/Makefile.am:
	* src/ctlib/unittests/Makefile.am src/dblib/unittests/Makefile.am:
	* src/tds/unittests/Makefile.am:
	- make distcheck work again (define 
	  DISTCHECK_CONFIGURE_FLAGS='--enable-distcheck-build' before call
	  make)

Wed Oct 30 15:56:20 EST 2002	nsc <Nicholas_Castellano@acml.com>
	* doc/api_status.txt src/dblib/dblib.c:
	- Implement dbmnycmp(), dbmnycopy(), dbmnyzero(). (untested)

Wed Oct 30 15:27:41 EST 2002	nsc <Nicholas_Castellano@acml.com>
	* include/tds.h src/ctlib/unittests/t0006.c:
	- mnylow is unsigned.

Wed Oct 30 15:20:51 EST 2002	nsc <Nicholas_Castellano@acml.com>
	* src/dblib/bcp.c:
	- Eliminate a potential buffer overrun.  There's still
	  another one lurking here (colclause) that needs attention...

Wed Oct 30 14:35:40 EST 2002	nsc <Nicholas_Castellano@acml.com>
	* src/ctlib/ct.c:
	- Add a default case in outer loop of ct_results().  Paranoia.

Tue Oct 29 16:23:23 EST 2002	nsc <Nicholas_Castellano@acml.com>
	* doc/api_status.txt include/sybdb.h src/dblib/dblib.c:
	- Implement dbmny4minus(), dbmny4zero(), dbmny4add(), dbmny4sub(),
	  dbmny4cmp(), dbmny4copy() (all untested).

Tue Oct 29 11:44:00 EST 2002	nsc <Nicholas_Castellano@acml.com>
	* src/apps/tsql.c:
	- Fix processing of result sets (fallout from Bill's patch).

Tue Oct 29 10:22:43 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* doc/CodingStyle: updated and some specification

Mon Oct 28 15:20:23 EST 2002	nsc <Nicholas_Castellano@acml.com>
	* doc/CodingStyle:
	- Update indentation notes.

Mon Oct 28 14:56:22 EST 2002	nsc <Nicholas_Castellano@acml.com>
	* src/.indent.pro:
	- Updated based on today's indentation discussion.

Mon Oct 28 12:52:30 EST 2002	nsc <Nicholas_Castellano@acml.com>
	* doc/api_status.txt src/ctlib/cs.c:
	- Implement cs_will_convert().

Mon Oct 28 12:33:39 EST 2002	nsc <Nicholas_Castellano@acml.com>
	* include/cspublic.h src/ctlib/cs.c:
	- Provide stubs for all remaining CS-Library routines.

Mon Oct 28  13:35:08 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* Makefile.am src/dblib/unittests/Makefile.am:
	- fix distribution problem after updating automake

Sun Oct 27 22:29:21 EST 2002	nsc <Nicholas_Castellano@acml.com>
	* src/.indent.pro:
	- Changed many indentation settings, primarily to make the output more
	  self-consistent.  Added "-nut" so the output looks good on any
	  terminal, not just those with 5-column tab stops.  Also changed
	  a few things to match my personal preferences, so some of this
	  may need more discussion before it's agreed upon.

Sun Oct 27  20:56:07 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/ctlib/ct.c src/dblib/dblib.c src/odbc/connectparams.c:
	* src/odbc/odbc.c src/tds/token.c src/tds/vstrbuild.c:
	- cleanup for building with -Wall -Wstrict-prototypes 
	  -Wmissing-prototypes -Werror

Sun Oct 27 14:08:16 EST 2002	nsc <Nicholas_Castellano@acml.com>
	* doc/api_status.txt include/ctpublic.h src/ctlib/ct.c:
	- Add stub for ct_cursor().

Sun Oct 27  12:25:47 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/odbc/connectparams.c src/odbc/convert_tds2sql.c:
	* src/odbc/odbc.c src/tds/config.c src/tds/locale.c TODO:
	- collect all code that read ini style file in config and use 
	  this code instead of rewrite every time
	- some TODO cleanup (some removed time ago...)

Sun Oct 27  09:51:01 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/mem.c: fix out of memory condition

Sun Oct 27  09:06:36 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/ctlib/ct.c src/dblib/bcp.c src/dblib/dblib.c:
	* src/odbc/odbc.c src/tds/tds.dox src/tds/token.c:
	- added documentation for TDSCOLINFO
	- sorted fields of TDSCOLINFO
	- all field in TDSCOLINFO have column_ prefix

Sat Oct 26 20:47:14 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/cspublic.h: updated capabilities constants
	* src/tds/token.c: update documentation using html commands

Sat Oct 26 14:13:31 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/tds.dox src/tds/token.c:
	- add documentation from Bill patch
	- remove unneeded code (duplicate)

Sat Oct 26 09:36:35 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/token.c: fixed core if DONE was return without results

Sat Oct 26 09:21:46 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/token.c: 
	- rollback processing of PARAM_TOKEN and TDS5_DYN_TOKEN

Sat Oct 26 08:37:12 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/token.c: 
	- skip PARAM_TOKEN processing default (fix problem inserting text)
	* src/tds/util.c: correct space position in dump

Fri Oct 25 19:36:38 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* include/sybdb.h src/dblib/dblib.c:
	- Bug fix, correctly support numbytes == -1 in dbstrcpy().
	- Bug fix, ensure dest is always NUL terminated in dbstrcpy().
	- Generate SYBENSIP and SYBEBNUM errors in dbstrcpy().

Fri Oct 25 19:10:18 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* include/sybdb.h src/dblib/dblib.c:
	- Generate SYBESPID error in dbspid().

Fri Oct 25 18:51:32 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* doc/api_status.txt include/ctpublic.h src/ctlib/ct.c:
	- Add stub for ct_poll().

Fri Oct 25 10:04:04 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/.indent.pro: use -npcs removing space after function names

Fri Oct 25 00:44:44 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* doc/api_status.txt include/sybdb.h src/dblib/dblib.c:
	- Implement dbisopt().

Thu Oct 24 23:37:54 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/dblib/dblib.c:
	- Add support for some server-side dboptions.

Thu Oct 24 16:34:30 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/ctlib/ct.c src/ctlib/unittests/t0009.c
	  src/dblib/unittests/t0023.c src/tds/iconv.c src/tds/tdsstring.c
	  src/tds/token.c:
	- Clean up some warnings.

Thu Oct 24 15:42:18 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* include/sybdb.h src/dblib/dblib.c:
	- Add DBSTRING and DBOPTION structures, and some utility functions
	  to manipulate them,
	- Implement basic DBOPTION functionality for a few
	  client-side options.
	- Add some preliminary infrastructure for server-side options.
	- Use some of the DBPR* client-side options in the db*pr*()
	  data formatting functions.  Still no real DBPRLINELEN support...
	- Fix handling of compute rows in dbprrow() -- support multiple
	  compute columns in the same row.
	- Fix some warnings.
	- Hack to prevent core dump in dbadata(), don't call tds_get_null()
	  (Not really sure this is the correct fix).

Thu Oct 24 21:37:34 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/token.c:
	- fix malloc(0) problem coring on some platform
	* src/tds/util.c:
	- fix a core dump setting TDSDUMPCONFIG env

Thu Oct 24 14:19:38 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* doc/userguide.sgml src/odbc/odbc.c:
	- use language param for dsn configuration
	- updated doc

Thu Oct 24 12:31:46 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/odbc/connectparams.c src/odbc/odbc.c:
	* src/tds/config.c:
	- dsn modify on odbc (old freetds.conf stuff)
	* src/tds/convert.c: add fix for indentation

Thu Oct 24 10:27:15 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* doc/userguide.sgml: updated due to domain support on odbc

Wed Oct 23 22:44:53 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* doc/userguide.sgml include/tds.h src/odbc/odbc.c:
	- update dnsless work, domain should now work

Wed Oct 23 20:43:21 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/dblib/bcp.c: use the correct field size (Bill patch)

Wed Oct 23 09:46:02 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* include/tds_configs.h:
	- Add missing path separator.

Wed Oct 23 07:40:58 EDT 2002	JK Lowden <jklowden@schemamania.org>
	* doc/CodingStyle	reflects tabstop of 5
	- src/.indent.pro	added
	
Wed Oct 23 07:27:28 EDT 2002	JK Lowden <jklowden@schemamania.org>
	* src/dblib/bcp.c	Applied Bill's patch for missing column

Wed Oct 23 07:41:51 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.hsrc/dblib/bcp.c src/tds/mem.c src/tds/token.c:
	- some post Bill patches

Wed Oct 23 00:05:30 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* doc/api_status.txt src/dblib/dblib.c:
	- Implement dbgetmaxprocs().

Tu Oct 22 22:15:52 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* doc/api_status.txt include/cspublic.h include/sybdb.h include/tds.h
	  include/tdsutil.h src/apps/tsql.c src/ctlib/ct.c
	  src/ctlib/unittests/Makefile.am src/ctlib/unittests/t0004.c
	  src/ctlib/unittests/t0009.c (added) src/dblib/bcp.c src/dblib/dblib.c
	  src/dblib/unittests/Makefile.am src/dblib/unittests/t0023.c (added)
	  src/odbc/odbc.c src/tds/login.c src/tds/mem.c src/tds/token.c
	  src/tds/unittests/t0002.c src/tds/unittests/t0004.c
	  src/tds/unittests/t0005.c src/tds/unittests/t0006.c:
	- Merge Bill Thompson's infamous patch to add compute row support.
	  With several changes/bug fixes/hacks of my own, so blame me first.
	  Still needs some cleanup, there are some warnings that need
	  to be fixed, and Freddy has some issues he wants to fix.

Tue Oct 22 11:30:10 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* include/.cvsignore:
	- Ignore generated freetds_sysconfdir.h

Tue Oct 22 10:57:04 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* doc/api_status.txt include/bkpublic.h include/cspublic.h
	  src/ctlib/blk.c:
	- Provide stubs for all blk-library routines.

Mon Oct 21 21:39:44 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/query.c: 
	- fix compilation problem on SonOS (from Bill patch)

Sun Oct 20 01:22:46 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* doc/api_status.txt include/tds.h src/dblib/dblib.c src/tds/token.c:
	- Implement dbspid().

Sat Oct 19 14:03:40 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* include/tdsver.h.in:
	- CVS Header -> CVS Id.

Sat Oct 19 14:02:03 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* include/tdsstring.h:
	- Add CVS Id.

Fri Oct 18 22:20:15 EDT 2002	JK Lowden <jklowden@schemamania.org>
	* apps/freebcp.h
	  apps/tsql.c
	  dblib/unittests/t0019.c
	  odbc/unittests/common.c
	  odbc/unittests/common.h
	  odbc/unittests/t0001.c
	  odbc/unittests/t0002.c
	  odbc/unittests/t0003.c
	  odbc/unittests/t0004.c
	  odbc/connectparams.c
	  odbc/connectparams.h
	  pool/main.c
	  pool/member.c
	  pool/stream.c
	  pool/user.c
	  pool/util.c
	  server/unittest.c
	  replacements/atoll.c
	- added cvs Id string for all above files. (All *.[ch] have one now.)
	  
Fri Oct 18 20:25:42 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* TODO: updated
	* include/tdsstring.h src/tds/tdsstring.c:
	- fix portability problem (static inline in include)
	- fix side effect using macros
	* src/tds/iconv.c src/tds/read.c src/tds/tds.dox:
	* src/tds/token.c src/tds/write.c:
	- update documentation

Fri Oct 18 13:34:08 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* include/tds_sysdep_public.h.in:
	- Better guess at 64-bit int for win32 native,
	  as suggested by jkl.

Fri Oct 18 13:29:18 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* include/.cvsignore:
	- Don't ignore tds_sysdep_private.h

Fri Oct 18 13:26:37 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* include/tds_configs.h include/tds_sysdep_private.h:
	- Pull in freetds_sysconfdir.h from tds_configs.h

Fri Oct 18 13:18:34 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* configure.in include/Makefile.am
	  include/tds_sysdep_private.h (added)
	  include/tds_sysdep_private.h.in (removed):
	- Conform to GNU coding standards when dealing with sysconfdir.

Fri Oct 18 19:03:50 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/apps/freebcp.c src/odbc/convert_sql2string.c:
	* src/odbc/convert_tds2sql.c src/odbc/odbc.c:
	* src/pool/util.c src/tds/iconv.c src/tds/read.c:
	- fix some warnings compiling with -Wall (some was error)

Fri Oct 18 12:14:43 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* configure.in:
	- Pass additional macro definitions in CPPFLAGS instead of CFLAGS.

Fri Oct 18 11:31:39 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* configure.in src/tds/threadsafe.c:
	- Properly initialize hostent_data structures.
	- Wrap use of these structures in sethostent_r()/endhostent_r() 
	  for safety.

Fri Oct 18 14:59:06 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* doc/userguide.sgml src/odbc/connectparams.c src/odbc/odbc.c:
	- added SQLSetConnectAttr function
	- added some DSN configuration options

Fri Oct 18 11:32:40 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* doc/userguide.sgml include/tds.h include/tdsstring.h:
	* src/odbc/connectparams.c src/odbc/connectparams.h:
	* src/odbc/odbc.c src/tds/config.c src/tds/mem.c:
	* src/tds/tdsstring.c:
	- ODBC: implemented DSNless and freetds.conf'less connections

Fri Oct 18 00:35:48 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/tdsstring.h src/tds/config.c src/tds/login.c:
	* src/tds/mem.c:
	- more consistency in TDSCONNECTINFO

Thu Oct 17 22:44:19 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/apps/tsql.c src/ctlib/ct.c:
	* src/dblib/dblib.c src/odbc/odbc.c src/pool/member.c:
	* src/tds/config.c src/tds/login.c src/tds/unittests/common.c:
	- tds_connect accept a TDSCONNECTINFO instead of TDSLOGIN

Thu Oct 17 22:44:19 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h include/tds_configs.h include/tdsutil.h:
	* src/tds/config.c src/tds/login.c src/tds/mem.c:
	- renamed TDSCONFIGINFO to TDSCONNECTINFO

Thu Oct 17 16:31:56 EDT 2002    nsc <Nicholas_Castellano@acml.com>
	* doc/faq.html:
	- Small grammar fix.

Thu Oct 17 21:43:43 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/Makefile.am include/tds.h include/tdssrv.h:
	* src/server/login.c src/tds/Makefile.am src/tds/config.c:
	* src/tds/login.c src/tds/mem.c:
	* include/tdsstring.h(added) src/tds/tdsstring.c(added):
	- used dynamic string in login structure

Thu Oct 17 14:54:44 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/dblib/unittests/t0022.c:
	- If no output parameters are received and TDS 7 or TDS 8
	  is being used, print a warning and exit with success.
	  Temporary workaround for a bug introduced in SQL 7.0 SP3.

Thu Oct 17 11:08:33 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* freetds.conf:
	- Set a reasonable default text size for now, until someone
	  implements a better solution to the unreasonable memory
	  requirements when dealing with text objects on MS SQL Server.

Thu Oct 17 10:15:57 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/dblib/dblib.c src/dblib/unittests/t0014.c:
	- Add support for logged bulk writetext requests.
	- Use logged writetext in src/dblib/unittests/t0014 so that
	  the unit test can pass even if the "select into/bulkcopy"
	  option is not set on the database used for testing.

Thu Oct 17 09:56:05 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* configure.in include/tds_sysdep_private.h.in src/tds/threadsafe.c:
	- Rename SOCK_REENTRANT to NETDB_REENTRANT.
	- Move definition of same for osf1 into configure.in.

Tue Oct 15 16:22:03 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* doc/Makefile.am:
	- Make txt2man failures nonfatal.  txt2man is not portable
	  and really needs to go away.

Tue Oct 15 16:06:02 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* Makefile.am src/pool/Makefile.am:
	- Undo the dist_sysconf_DATA change made earlier, so we don't
	  overwrite users' local configuration.  Instead, just fix the
	  ETC definition so we don't get extraneous slashes.

Tue Oct 15 15:04:11 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* include/Makefile.am:
	- Use noinst_HEADERS instead of EXTRA_DIST to specify our
	  private headers.

Tue Oct 15 14:52:55 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* Makefile.am src/pool/Makefile.am:
	- Use automake dist_sysconf_DATA to install our configuration
	  files, instead of rolling our own.

Tue Oct 15 20:37:46 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/token.c: fix compile on big endian machine

Tue Oct 15 11:35:59 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/server/Makefile.am:
	- Bump libtdssrv major version.
	- Use convenience libraries to pull in required symbols.

Tue Oct 15 11:33:47 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/dblib/unittests/Makefile.am:
	- Use check_PROGRAMS instead of EXTRA_PROGRAMS to build the
	  tests.

Tue Oct 15 11:32:15 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/apps/tsql.c:
	- Add time.h include stuff, needed for struct timeval on
	  some systems.

Tue Oct 15 11:30:04 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* configure.in:
	- Use newest LTLIBOBJS hack, fixes support for autoconf 2.53
	  and maintains compatibility with 2.54.

Tue Oct 15 09:37:03 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/ctlib/unittests/t0003.c src/ctlib/unittests/t0007.c:
	- Fix type warnings on osf1.

Tue Oct 15 09:00:25 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/server/query.c:
	- Remove a bug I added recently.
	- Fix prototype warnings.

Tue Oct 15 08:40:06 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/replacements/atoll.c src/replacements/strtok_r.c
	  src/replacements/vasprintf.c:
	- More HAVE_* checks before including headers.

Tue Oct 15 08:14:41 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/replacements/vasprintf.c:
	- Restore missing close brace.

Tue Oct 15 07:50:40 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/tds/login.c:
	- Use tds_submit_queryf() to set textsize.

Tue Oct 15 10:07:02 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/prepare_query.c:
	- use ' to quote strings (work on Sybase and mssql)

Tue Oct 15 00:11:15 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* configure.in src/pool/member.c:
	- Set appname and hostname properly for the pool server.

Mon Oct 14 23:44:58 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/server/login.c:
	- Don't abuse BUFSIZ.

Mon Oct 14 23:14:43 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* configure.in:
	- Check for gethostbyname_r() in libd4r (for AIX).

Mon Oct 14 21:12:21 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* configure.in:
	- Warn about anavailable bigint only if we really don't have
	  64-bit integers at all.

Mon Oct 14 23:02:03 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h src/tds/mem.c:
	- add some documentation
	- remove unused field from tds_config
	- sorted field of tds_login like tds_config

Mon Oct 14 21:26:55 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/Makefile.am: fix make dist problem

Mon Oct 14 21:08:44 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c: fix error on PHP

Mon Oct 14 11:35:37 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* include/tds.h src/dblib/bcp.c src/dblib/dblib.c src/tds/query.c:
	- Implement a convenience function tds_submit_queryf() to
	  format a query and send to the dataserver.
	- Use tds_submit_queryf() in a few places to avoid static
	  buffer overruns.
	- Check return codes from query submission in dblib bcp functions.
	- Above change revealed that src/dblib/unittests/t0016.c has been
	  silently failing for some time.  Fully process result set from
	  table column inquiry query, so that the next query doesn't fail
	  (starting new query with results pending).

Mon Oct 14 09:35:35 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* include/des.h include/md4.h src/tds/challenge.c src/tds/des.c
	  src/tds/iconv.c src/tds/md4.c src/tds/numeric.c src/tds/write.c:
	- Add CVS identification.

Mon Oct 14 11:18:46 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/iconv.c: fix compile under rh7.3

Mon Oct 14 10:28:27 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c:
	- use always odbc date format (iso)
	- return success setting cursor type to forward

Mon Oct 14 10:09:02 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/locale.c src/tds/mem.c:
	- improve out of memory handling

Mon Oct 14 00:26:55 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* include/tds_sysdep_private.h.in:
	- Correct autoconf substitution for FREETDS_SYSCONFDIR.

Sun Oct 13 23:49:13 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* include/.cvsignore:
	- Update with new generated files.

Sun Oct 13 23:45:18 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* configure.in:
	- Current configure.in doesn't actually work with Autoconf 2.53.
	  Set AC_PREREQ(2.54) so users will get a sensible error message.

Sun Oct 13 23:13:37 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/server/query.c:
	- Dynamically size server query buffer.

Sun Oct 13 20:22:19 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* include/tds_sysdep_private.h.in include/tds_sysdep_public.h.in
	- Take a "best-guess" stab at a native WIN32 port.

Sun Oct 13 19:57:09 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/dblib/unittests/t0001.c src/dblib/unittests/t0005.c
	  src/dblib/unittests/t0006.c src/dblib/unittests/t0012.c
	  src/dblib/unittests/t0013.c src/dblib/unittests/t0014.c
	  src/dblib/unittests/t0015.c src/dblib/unittests/t0016.c
	  src/dblib/unittests/t0017.c src/dblib/unittests/t0018.c
	  src/dblib/unittests/t0020.c:
	- Remove bogus "#ifndef _WIN32"'s around calls to
	  tdsdump_open() in the dblib unittests.  I can't see any
	  sensible reason for doing this.  If tdsdump_open() does
	  not work on WIN32 for some reason, this isn't the right
	  way to fix it.

Sun Oct 13 19:50:13 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* include/tds_sysdep_private.h.in src/tds/threadsafe.c:
	- Migrate system-dependent SOCK_REENTRANT selection code
	  to include/tds_sysdep_private.h.in.

Sun Oct 13 19:11:58 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* configure.in include/tds.h include/tds_sysdep_private.h.in
	  include/tdsutil.h src/apps/tsql.c src/ctlib/cs.c src/ctlib/ct.c
	  src/ctlib/ctutil.c src/ctlib/unittests/common.c
	  src/ctlib/unittests/t0001.c src/ctlib/unittests/t0002.c
	  src/ctlib/unittests/t0003.c src/ctlib/unittests/t0004.c
	  src/ctlib/unittests/t0005.c src/ctlib/unittests/t0006.c
	  src/ctlib/unittests/t0007.c src/ctlib/unittests/t0008.c
	  src/dblib/bcp.c src/dblib/dblib.c src/dblib/dbutil.c
	  src/dblib/rpc.c src/dblib/xact.c src/dblib/unittests/common.c
	  src/dblib/unittests/t0001.c src/dblib/unittests/t0002.c
	  src/dblib/unittests/t0003.c src/dblib/unittests/t0004.c
	  src/dblib/unittests/t0005.c src/dblib/unittests/t0006.c
	  src/dblib/unittests/t0007.c src/dblib/unittests/t0008.c
	  src/dblib/unittests/t0009.c src/dblib/unittests/t0010.c
	  src/dblib/unittests/t0011.c src/dblib/unittests/t0012.c
	  src/dblib/unittests/t0013.c src/dblib/unittests/t0014.c
	  src/dblib/unittests/t0015.c src/dblib/unittests/t0016.c
	  src/dblib/unittests/t0017.c src/dblib/unittests/t0018.c
	  src/dblib/unittests/t0019.c src/dblib/unittests/t0020.c
	  src/dblib/unittests/t0021.c src/dblib/unittests/t0022.c
	  src/odbc/convert_sql2string.c src/odbc/convert_tds2sql.c
	  src/odbc/odbc.c src/odbc/odbc_util.c src/odbc/prepare_query.c
	  src/odbc/unittests/common.c src/odbc/unittests/common.h
	  src/odbc/unittests/t0001.c src/odbc/unittests/t0002.c
	  src/odbc/unittests/t0003.c src/odbc/unittests/t0004.c
	  src/pool/config.c src/pool/main.c src/pool/member.c src/pool/pool.h
	  src/pool/stream.c src/pool/user.c src/pool/util.c src/server/login.c
	  src/server/query.c src/server/server.c src/tds/challenge.c
	  src/tds/config.c src/tds/convert.c src/tds/des.c src/tds/iconv.c
	  src/tds/locale.c src/tds/login.c src/tds/md4.c src/tds/mem.c
	  src/tds/numeric.c src/tds/query.c src/tds/read.c src/tds/threadsafe.c
	  src/tds/token.c src/tds/util.c src/tds/vstrbuild.c src/tds/write.c
	  src/tds/unittests/t0001.c src/tds/unittests/t0002.c
	  src/tds/unittests/t0003.c src/tds/unittests/t0004.c
	  src/tds/unittests/t0005.c src/tds/unittests/t0006.c
	  src/tds/unittests/t0007.c src/tds/unittests/t0008.c:
	- Header file infrastructure rewrite for portability.  Don't
	  include anything that isn't absolutely necessary from tds.h or
	  other central header files.  Use HAVE_* macros more
	  consistently to pull in headers portably.  Add autoconf checks
	  for a few more headers.
	- Migrate some additional system dependencies into
	  tds_sysdep_*.h.in.
	- Remove unused and non-portable tds_msleep().
	- Don't misuse BUFSIZ in src/server/query.c.
	- Fix type of accept() length argument in src/pool/user.c.

Sun Oct 13 13:47:42 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* configure.in include/Makefile.am include/replacements.h
	  include/tds.h src/replacements/atoll.c src/tds/config.c
	  src/tds/locale.c src/tds/read.c src/tds/util.c src/tds/write.c
	  include/tds_configs.h.in (removed)
	  include/tds_configs.h (added)
	  include/tds_sysdep_private.h.in (added)
	  include/tds_sysdep_public.h.in (added):
	- Start migrating system-dependent information into
	  include/tds_sysdep_private.h.in and include/tds_sysdep_public.h.in.

Sun Oct 13 17:00:38 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/convert.c:
	- improve date conversions performance
	- fixing some error converting date before 1900 (day 0 and sunday 
	  as 7 instead of 0).

Sat Oct 12 20:40:53 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/convert.c:
	- improve data conversions

Sat Oct 12 12:56:22 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/convert.c src/tds/numeric.c:
	- move all string to money conversion to tds_money_to_string
	- return sizeof(type) instead of constant values
	- fixed a small bug converting money to money4

Fri Oct 11 16:38:10 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* configure.in include/.cvsignore include/tds_configs.h.in
	  src/replacements/atoll.c
	  include/replacements.h (added) include/replacements.h.in (removed):
	- Migrate return type of replacement atoll() into tds_configs.h.

Fri Oct 11 16:21:17 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/tds/config.c src/tds/locale.c src/tds/util.c:
	- Remove some obsolete references to paths.h and PATH_MAX.

Mon Oct 11 21:56:22 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* configure.in include/Makefile.am include/tds_configs.h.in:
	* include/tds.h.in (removed) include/tds.h (added):
	- put all configure related include info in tds_configs.h.in

Fri Oct 11 15:26:38 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/replacements/vasprintf.c:
	- Fix another /dev/null...thanks Jim.

Fri Oct 11 11:20:10 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/odbc/odbc_util.h src/odbc/prepare_query.h
	  src/tds/des.c src/tds/md4.c:
	- Fix the last few config.h stragglers.

Fri Oct 11 11:03:03 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/apps/freebcp.c src/apps/tsql.c:
	- Include config.h properly.

Fri Oct 11 10:48:13 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/replacements/asprintf.c:
	- #if HAVE_CONFIG_H instead of #ifdef HAVE_CONFIG_H for
	  consistency with other modules.

Fri Oct 11 10:45:12 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* configure.in src/replacements/vasprintf.c:
	- Add autoconf header test for paths.h.  Use _PATH_DEVNULL
	  instead of hardcoding "/dev/null".

Thu Oct 10 15:04:05 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/pool/main.c src/pool/member.c:
	- Make some local functions static, and provide prototypes.

Thu Oct 10 13:09:03 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/Makefile.am doc/userguide.sgml:
	- Build and install the pool server by default.
	- Update tdspool documentation.  Remove build/install
	  instructions since that is now done by default.
	  Emphasize TDS 4.2 configuration restrictions.

Thu Oct 10 11:37:53 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/odbc/convert_tds2sql.c:
	- Remove unused variable.

Thu Oct 10 11:35:28 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/tds/config.c:
	- Bug fix, printf was used where fprintf was intended.

Thu Oct 10 10:47:19 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/pool/Makefile.am:
	- Distribute and install pool.conf.

Wed Oct  9 16:56:37 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* freetds.conf interfaces
	  src/pool/pool.conf (added):
	- Add sample pool configuration.

Wed Oct  9 16:36:26 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* samples/.cvsignore:
	- Ignore generated files.

Wed Oct  9 16:34:05 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/dblib/dbutil.c:
	- Provide Microsoft-compatible behavior when MSDBLIB is defined
	  and a user-installed error handler returns INT_CONTINUE
	  from an error handler that received an error other than
	  SYBETIME.

Wed Oct  9 13:04:04 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* Makefile.am configure.in
	  samples/Makefile.am (added) 
	  samples/unixodbc.freetds.driver.template.in (added)
	  samples/unixodbc.install.sh (added)
	  samples/unixodbc.jdbc.datasource.template (added)
	- Add example unixODBC configuration data and script.

Mon Oct  9 12:18:15 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/tdsconvert.h include/tdsodbc.h src/odbc/convert_sql2string.c:
	* src/odbc/convert_tds2sql.c src/odbc/odbc.c src/tds/convert.c:
	* src/tds/query.c src/tds/tds_willconvert.h:
	- applied patch from Jason Borden for bigint support (updated)
	- add code for handle prepared statement (some stuff are commented,
	  because not so good and tested)

Mon Oct  9 10:35:35 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* configure.in: fix problem compiling with odbc and relative directory

Tue Oct  8 21:10:02 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* samples/odbc.ini:
	- Update sample odbc.ini with new installation path.

Mon Oct  8 21:21:49 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* doc/faq.html: updated

Mon Oct  8 20:56:14 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* Makefile.am: fix make dist

Tue Oct  8 10:59:58 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/dblib/unittests/t0022.c:
	- If we don't see the output parameter from the server,
	  print an error message instead of crashing.

Tue Oct  8 10:42:19 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* configure.in:
	- Add some CFLAGS on OSF1 hosts that are required to set the
	  build environment properly.

Mon Oct  8 09:55:04 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/apps/tsql.c: do not overwrite correct hostname

Mon Oct  7 21:24:32 EDT 2002	JK Lowden <jklowden@schemamania.org>
	* src/tds/config.c	better logging for TDSDUMPCONFIG
	
Mon Oct  7 16:53:44 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* configure.in src/dblib/dblib.c src/odbc/odbc.c:
	- Use AC_GNU_SOURCE in configure.in instead of defining
	  _GNU_SOURCE ourselves.

Mon Oct  7 22:03:26 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/unittests/t0004.c: correct test

Mon Oct  7 14:54:36 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* missing:
	- Update missing script from autoconf-2.54.

Mon Oct  7 14:33:08 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* acinclude.m4 configure.in
	  acconfig.h (removed):
	- Use 3-parameter version of AC_DEFINE to avoid a flood of
	  warnings with newer autoconf.

Mon Oct  7 13:48:13 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/apps/tsql.c src/dblib/unittests/t0019.c src/tds/challenge.c
	  src/tds/config.c src/tds/locale.c src/tds/query.c
	  src/tds/threadsafe.c:
	- More ctype and printf format portability fixes for Digital UNIX.

Mon Oct  7 13:45:42 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* configure.in:
	- Remove LTLIBOBJS hack.
	- Require autoconf 2.53.

Mon Oct  7 17:44:23 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/replacement/vasprintf.c:
	- compatible with old snprintf version

Mon Oct  7 10:22:03 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* acinclude.m4:
	- Correct the test for malloc_options (need to try linking
	  not just compiling).

Mon Oct  5 16:38:52 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/challenge.c src/tds/iconv.c src/tds/query.c:
	* src/tds/tds.dox:
	- improve doxy documentation
	* src/tds/token.c include/tds.h.in:
	- some fixes reading usertype
	- handle empty not null string (under ms sql)

Fri Oct  4 10:54:08 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* acconfig.h acinclude.m4 configure.in
	  src/dblib/unittests/t0001.c src/dblib/unittests/t0002.c
	  src/dblib/unittests/t0003.c src/dblib/unittests/t0004.c
	  src/dblib/unittests/t0005.c src/dblib/unittests/t0006.c
	  src/dblib/unittests/t0007.c src/dblib/unittests/t0008.c
	  src/dblib/unittests/t0009.c src/dblib/unittests/t0010.c
	  src/dblib/unittests/t0011.c src/dblib/unittests/t0012.c
	  src/dblib/unittests/t0013.c src/dblib/unittests/t0014.c
	  src/dblib/unittests/t0015.c src/dblib/unittests/t0016.c
	  src/dblib/unittests/t0017.c src/dblib/unittests/t0018.c
	  src/dblib/unittests/t0019.c src/dblib/unittests/t0020.c
	  src/dblib/unittests/t0021.c src/dblib/unittests/t0022.c:
	- Add autoconf test for presence of malloc_options
	- Include config.h from all dblib unit tests
	- Use HAVE_MALLOC_OPTIONS to determine whether to set
	  malloc_options in dblib unit tests, instead of
	  checking __FreeBSD__

Thu Oct  3 15:06:30 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/odbc/odbc_util.c src/odbc/odbc_util.h
	  src/odbc/unittests/common.c src/odbc/unittests/common.h
	  src/odbc/unittests/t0002.c src/odbc/unittests/t0003.c:
	- Clean up warnings in odbc code.

Thu Oct  3 14:43:29 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/ctlib/unittests/common.c src/ctlib/unittests/t0001.c
	  src/ctlib/unittests/t0002.c src/ctlib/unittests/t0003.c
	  src/ctlib/unittests/t0004.c src/ctlib/unittests/t0005.c
	  src/ctlib/unittests/t0006.c src/ctlib/unittests/t0007.c
	  src/ctlib/unittests/t0008.c src/dblib/unittests/common.c
	  src/dblib/unittests/common.h src/dblib/unittests/t0001.c
	  src/dblib/unittests/t0002.c src/dblib/unittests/t0003.c
	  src/dblib/unittests/t0004.c src/dblib/unittests/t0005.c
	  src/dblib/unittests/t0006.c src/dblib/unittests/t0007.c
	  src/dblib/unittests/t0008.c src/dblib/unittests/t0009.c
	  src/dblib/unittests/t0010.c src/dblib/unittests/t0011.c
	  src/dblib/unittests/t0015.c src/dblib/unittests/t0018.c
	  src/dblib/unittests/t0019.c src/dblib/unittests/t0020.c
	  src/dblib/unittests/t0021.c src/dblib/unittests/t0022.c
	  src/tds/unittests/common.c src/tds/unittests/t0001.c
	  src/tds/unittests/t0002.c src/tds/unittests/t0003.c
	  src/tds/unittests/t0004.c src/tds/unittests/t0005.c
	  src/tds/unittests/t0006.c src/tds/unittests/t0007.c
	  src/tds/unittests/t0008.c:
	- Clean up prototype warnings in the unittests.

Thu Oct  3 14:41:27 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* configure.in:
	- Include ODBC library path in LDFLAGS so that we can find
	  the ODBC libraries, and get a proper -rpath.

Wed Oct  2 16:59:27 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/ctlib/cs.c src/tds/config.c src/tds/convert.c
	  src/tds/login.c src/tds/query.c src/tds/vstrbuild.c:
	- Include some additional headers for prototypes.

Wed Oct  2 16:36:56 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* configure.in include/tdsutil.h src/ctlib/cs.c
	  src/dblib/dblib.c src/odbc/convert_sql2string.c
	  src/odbc/convert_tds2sql.c src/odbc/odbc_util.c
	  src/odbc/prepare_query.c src/tds/config.c
	  src/tds/convert.c src/tds/locale.c src/tds/util.c:
	- Don't include time.h where it isn't needed.
	- Follow GNU autoconf portability guidelines for time.h
	  and sys/time.h, where they are needed.

Wed Oct  2 15:30:17 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* configure.in src/tds/threadsafe.c:
	- Add autoconf check for gettimeofday() and use it on
	  any system where it is present (not just FreeBSD).

Wed Oct  2 15:12:57 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/replacements/vasprintf.c:
	- Remove extraneous close paren from expresison.

Wed Oct  2 10:53:49 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/replacements/strtok_r.c src/tds/vstrbuild.c:
	- Add CVS ident to strtok_r.c, and include replacements.h
	  in vstrbuild.c for replacement strtok_r prototype.

Wed Oct  2 10:20:25 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* configure.in include/replacements.h.in include/tds.h.in
	  src/odbc/connectparams.c src/replacements/Makefile.am
	  src/replacements/strtok_r.c (added)
	  src/tds/config.c src/tds/convert.c src/tds/threadsafe.c:
	- Provide and use a generic threadsafe strtok_r() replacement.

Mon Oct  2 11:49:09 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/des.h src/tds/challenge.c src/tds/des.c:
	- fixed warnings compiling
	- used all unsigned char for portability

Tue Oct  1 12:41:37 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/apps/freebcp.c src/apps/tsql.c:
	- Correct existing prototypes, add missing prototypes.
	- Fix type of "line" in message handler declaration.

Tue Oct  1 12:24:54 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* include/des.h src/tds/des.c:
	- Correct existing prototypes, add missing prototypes.
	- Make plaintext const in des_ecb_crypt().

Tue Oct  1 11:38:44 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* include/bkpublic.h include/cspublic.h include/ctpublic.h
	  include/dblib.h include/sybdb.h include/tds.h.in include/tdssrv.h
	  include/tdsutil.h src/dblib/dblib.c src/server/login.c
	  src/server/query.c src/tds/convert.c src/tds/locale.c src/tds/mem.c
	  src/tds/query.c src/tds/util.c:
	- Correct existing prototypes, add missing prototypes.

Mon Sep 30 20:50:26 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/tds/query.c:
	- Revert to revision 1.20 (undo earlier cleanup of statically
	  sized buffers in this module).  Freddy had some valid concerns
	  the error handling here.  Will need to revisit this later.

Mon Sep 30 22:15:39 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/Makefile.am: fix distribution
	* src/tds/challenge.c src/tds/login.c:
	- optimization (use static const buffers to initialize at compile time)
	* src/tds/config.c: check some allocation

Mon Sep 30 13:28:47 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/dblib/bcp.c:
	- Move generation of SYBEBBCI error into _bcp_start_new_batch()
	  so it will be triggered for bcp_batch() too.

Mon Sep 30 13:15:41 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* doc/api_status.txt:
	- Correct status of bcp_batch.

Mon Sep 30 13:10:40 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* doc/api_status.txt:
	- Correct status of dbgetuserdata.

Mon Sep 30 12:37:41 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/dblib/dblib.c:
	- Namespace cleanup, make g_dblib_version static since it is only
	  needed in dblib.c.

Mon Sep 30 12:34:22 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* include/dblib.h src/dblib/bcp.c src/dblib/dblib.c src/dblib/dbutil.c:
	- Namespace cleanup, rename g_dblib_msg_handler to _dblib_msg_handler,
	  and rename g_dblib_err_handler to _dblib_err_handler.

Mon Sep 30 12:01:52 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* include/tdsutil.h src/tds/config.c:
	- Namespace cleanup, make get_server_info() static since it
	  isn't needed outside config.c.

Mon Sep 30 11:47:12 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* include/tds.h.in include/tdsutil.h src/dblib/bcp.c
	  src/dblib/dblib.c src/pool/stream.c src/server/server.c
	  src/tds/convert.c src/tds/read.c src/tds/token.c:
	- Namespace cleanup, rename get_size_by_type() to
	  tds_get_size_by_type().

Mon Sep 30 11:30:29 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* include/tdsutil.h src/apps/tsql.c src/dblib/dblib.c
	  src/tds/config.c:
	- Namespace cleanup, rename set_interfaces_file_loc() to
	  tds_set_interfaces_file_loc().

Mon Sep 30 11:07:51 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/ctlib/Makefile.am src/dblib/Makefile.am
	  src/odbc/Makefile.am src/tds/Makefile.am:
	- Use relative paths to find convenience libraries.
	  Fixes builds outside srcdir.

Mon Sep 30 10:40:39 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* include/tdsutil.h src/tds/config.c src/tds/login.c
	  src/tds/query.c:
	- Eliminate some fixed-size buffers.

Mon Sep 30 10:23:22 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/replacements/vasprintf.c:
	- Optimize the last-resort version of vasprintf():
	  if we don't need to be reentrant, we can avoid opening and
	  closing the file handle each time.

Mon Sep 30 11:47:13 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* acinclude.m4 configure.in doc/userguide.sgml include/des.h:
	- remove --with-ssl parameter (not used)
	- update documentation

Sun Sep 29 15:43:00 CDT 2002	Steve Langasek <vorlon@netexpress.net>
	* include/des.h src/tds/des.c src/tds/challenge.c src/tds/login.c
	  acinclude.m4:
	- add DES support to libtds, breaking the dependency on OpenSSL

Sun Sep 29 15:27:28 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h.in src/tds/login.c src/tds/write.c:
	- as suggested by jkl put old tds_put_string in login as static

Sun Sep 29 15:05:15 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/ctlib/Makefile.am src/dblib/Makefile.am src/tds/Makefile.am:
	- correct version info

Sun Sep 29 14:49:12 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/Makefile.am src/tds/challenge.c:
	- use md4 included in distribution

Sun Sep 29 02:42:13 CDT 2002	Steve Langasek <vorlon@netexpress.net>
	* src/tds/md4.c src/tds/Makefile.am include/md4.h:
	- include MD4 routines in libtds, so we can begin weaning
	  ourselves off of OpenSSL

Sat Sep 28 14:52:16 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/query.c src/tds/token.c:
	- some fixes to dynamic query

Sat Sep 28 14:37:50 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* Makefile.am configure.in src/tds/Makefile.am src/tds/challenge.c:
	* src/tds/tds.dox:
	- generate documentation with make doxy from main directory
	- add some file and some documentation
	* src/ctlib/ct.c: check item param in ct_bind
	* src/odbc/unittests/Makefile.am src/odbc/unittests/t0004.c:
	- added a test for prepared statement
	* src/odbc/unittests/common.c src/odbc/unittests/common.h:
	* src/odbc/unittests/t0002.c src/odbc/unittests/t0003.c:
	- moved Command function to common.c
	* src/tds/convert.c: added some types to tds_get_null_type

Fri Sep 27 21:55:39 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* doc/api_status.txt:
	- More API status doc updates.

Fri Sep 27 21:00:29 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* doc/api_status.txt:
	- Update API status with some recent changes.

Fri Sep 27 20:31:57 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* include/cspublic.h src/ctlib/cs.c:
	- Implement cs_ctx_global().

Fri Sep 27 13:20:53 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/apps/tsql.c:
	- Use %ld for long argument to sprintf()
	- Use integer for array subscript instead of char
	- Use explicit test for NULL instead of using assignment value
	  as boolean.
	* src/tds/token.c:
	- Remove unused variable

Fri Sep 27 12:44:19 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/dblib/bcp.c:
	- When bulk copying out, skip any column numbers that are out of
	  range of the columns in the table.

Fri Sep 27 09:52:43 EDT 2002	Brian Bruns <camber@ais.org>
	* src/apps/tsql.c: change handler return from 1 to 0, added sqsh-style 
	  arguments to "go", added -t timer feature.

Fri Sep 27 11:39:04 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/token.c:
	- split reading data information in separate function to 
	  reuse for params
	- check sizes returned by server and do not overflow

Fri Sep 27 00:56:04 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/ctlib/blk.c src/ctlib/cs.c src/ctlib/ct.c src/ctlib/ctutil.c
	  src/dblib/bcp.c src/dblib/dblib.c src/dblib/dbopen.c
	  src/dblib/dbutil.c src/dblib/rpc.c src/dblib/xact.c
	  src/odbc/connectparams.c src/odbc/convert_sql2string.c
	  src/odbc/convert_tds2sql.c src/odbc/odbc.c src/odbc/odbc_util.c
	  src/odbc/prepare_query.c src/pool/config.c src/pool/main.c
	  src/pool/member.c src/pool/stream.c src/pool/user.c src/pool/util.c
	  src/replacements/asprintf.c src/replacements/atoll.c
	  src/replacements/vasprintf.c src/server/login.c src/server/query.c
	  src/server/server.c src/server/unittest.c src/tds/challenge.c
	  src/tds/config.c src/tds/convert.c src/tds/iconv.c src/tds/locale.c
	  src/tds/login.c src/tds/mem.c src/tds/numeric.c src/tds/query.c
	  src/tds/read.c src/tds/threadsafe.c src/tds/token.c src/tds/util.c
	  src/tds/vstrbuild.c src/tds/write.c:
	- Be pedantic and consistent about config.h.  Always enclose in
	  #if HAVE_CONFIG_H, and use <config.h> instead of "config.h" per
	  current autoconf docs.  Also include config.h in a few source
	  files where it was missing.

Thu Sep 26 17:47:27 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* include/tds.h.in src/tds/login.c:
	- Change names of parameters to tds_set_timeouts() so we
	  don't shadow the libc connect().  (Other parameters changed
	  just for consistency.)

Thu Sep 26 23:39:17 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/convert.c: fixed buffer overflow
	* src/tds/query.c: do not exit abnormally
	* src/tds/token.c:
	- added tds_get_data to read data from wire
	- handle nulls reading parameters
	- start to support different types of parameters size

Thu Sep 26 17:02:52 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* include/cspublic.h include/sybdb.h include/tds.h.in
	  src/ctlib/cs.c src/ctlib/ct.c src/ctlib/unittests/common.c
	  src/ctlib/unittests/common.h src/ctlib/unittests/t0008.c
	  src/dblib/dblib.c src/tds/Makefile.am
	  src/tds/vstrbuild.c (added):
	- Implement tds_vstrbuild(), to handle Sybase message formatting.
	- Implement cs_strbuild() based on above, needed this to implement
	  cslib client callback framework.
	- Implement dbstrbuild() for the heck of it, since tds_strbuild()
	  can do all the hard parts.
	- Implement minimal csconfig() that can set CS-Library message
	  callbacks.
	- Implement basic framework for generating CS-Library messages, and
	  use that framework to implement a couple of messages in cs_convert().
	- Add test for cslib client callbacks.
	- Fix a couple of CS-Library constants and datatypes.
	- Hi Bill! ;-)

Thu Sep 26 16:44:27 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h.in src/tds/query.c src/tds/write.c:
	- completed and tested submit prepare statement using tds7+

Thu Sep 26 13:24:46 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h.in src/tds/iconv.c src/tds/login.c:
	* src/tds/read.c src/tds/write.c:
	- renamed tds_put_string to tds_put_padded_cstring
	- added tds_put_string to output string to wire
	  (similar to tds_get_string)

Wed Sep 25 22:25:40 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/tds/query.c: continue work on mssql dynamic query

Wed Sep 25 15:30:16 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/ctlib/ct.c:
	- Fix segfault when ct_cancel(CT_CANCEL_ALL) is called on an
	  unopened connection.  Problem reported by Paul Rensing.

Wed Sep 25 13:57:38 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/tds/login.c src/tds/query.c src/tds/read.c src/tds/write.c:
	- Replace bogus dblib error numbers with real ones.  Where a
	  suitable replacement is not available, use tdsdump_log()
	  instead.

Wed Sep 25 13:56:20 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/ctlib/unittests/t0008.c:
	- Remove unused variable.

Wed Sep 25 17:50:31 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h.in src/tds/query.c:
	- start writing support for mssql dynamic query

Tue Sep 24 21:05:11 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* include/sybdb.h include/tdsconvert.h src/apps/tsql.c
	  src/ctlib/cs.c src/ctlib/unittests/t0008.c src/dblib/dblib.c
	  src/odbc/convert_sql2string.c src/odbc/convert_tds2sql.c
	  src/tds/convert.c src/tds/unittests/t0006.c
	  src/tds/unittests/t0007.c src/tds/unittests/t0008.c:
	- Remove unused "destlen" from tds_convert() and friends.
	- Change tds_convert() so it never calls tds_client_msg().
	  Instead, error conditions are passed up to the caller as
	  negative return codes.
	- Call _dblib_client_msg() based on return codes from tds_convert().
	- Enable test in src/ctlib/unittests/t0008.c that now behaves
	  properly after the above changes.

Tue Sep 24 15:38:39 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/tds/token.c:
	- garbage-collect a comment that no longer makes sense in the current
	  context of the code.

Tue Sep 24 20:50:19 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* include/tds.h.in src/odbc/odbc.c src/tds/mem.c src/tds/token.c:
	- removed msg_info field of TDSSOCKET

Tue Sep 24 12:53:14 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/dblib/dbutil.c src/tds/token.c:
	- Generate the SYBESMSG error from the DB-Library layer, not the
	  TDS layer.  CT-Library doesn't have this behavior.
	- Always generate SYBESMSG for any server message with severity
	  greater than 10.  This contradicts the Sybase documentation, but
	  matches observed DB-Library behavior.
	* src/ctlib/unittests/t0008.c:
	- Disable the first test, and change the expected result to
	  be what Sybase CT-Library actually does.  Fixing our behavior
	  here is non-trivial.
	- Call cs_exit() before cs_ctx_drop().  Sybase's CT-Lib dumps core
	  if you forget to do this!
	- Change the sense of the second test to match Sybase behavior
	  (and now our behavior, with the related SYBESMSG change).

Tue Sep 24 09:26:04 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* include/README (removed)
	- Remove obsolete include/README which only referred to four
	  header files which do not (any longer?) seem to be part of our
	  repository.

Mon Sep 23 20:20:44 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* include/Makefile.am src/pool/user.c src/server/Makefile.am
	  src/server/login.c src/server/server.c
	  src/server/server.h (removed)
	  include/tdssrv.h (added):
	- Relocate server.h to the include directory so it can be installed.
	  Now called tdssrv.h.

Mon Sep 23 20:13:57 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/ctlib/Makefile.am src/dblib/Makefile.am src/odbc/Makefile.am
	  src/pool/Makefile.am src/tds/Makefile.am:
	- Build a libtool convenience library "libtds_objects.la".  Use that
	  to pull the tds object files into the other libraries, so every
	  copy of Makefile.am doesn't need a synchronized list of objects.

Mon Sep 23 19:46:03 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* include/ctlib.h include/ctpublic.h src/ctlib/ct.c
	  src/ctlib/ctutil.c src/ctlib/unittests/.cvsignore
	  src/ctlib/unittests/Makefile.am src/ctlib/unittests/common.c
	  src/ctlib/unittests/common.h
	  src/ctlib/unittests/t0008.c (added):
	- Distinguish between server and client message callbacks in ctlib,
	  and handle each approriately.
	- Return CS_SUCCEED by default when ctlib callbacks aren't installed.
	- Add a new unit test to check callback functionality.

Mon Sep 23 19:01:48 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* include/tds.h.in src/apps/tsql.c src/dblib/dbutil.c
	  src/odbc/odbc.c src/tds/mem.c src/tds/token.c
	  src/ctlib/ctutil.c:
	- Do away with tds_reset_msg_info.  Move the important
	  parts into tds_free_msg.
	- Relocate call to tds_free_msg() in tds_process_msg() so that
	  we can safely reuse the msg_info structure to call the
	  client message handler if required.

Mon Sep 23 18:55:48 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/tds/util.c:
	- in tdsdump_close(), make it allowable to close even if not
	  already opened.
	- in tdsdump_open(), always try to close before opening so
	  we don't leak file descriptors.

Mon Sep 23 11:09:16 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/server/server.h:
	- standardize format of server.h include file.

Mon Sep 23 08:17:28 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c: fix core by DataManager
	* src/server/Makefile.am: distribute even server.h
	* freetds.spec.in:
	- add doc package for userguide
	- add *.la files to rpm
	- split ODBC driver to unixodbc package

Mon Sep 23 00:06:36 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* include/replacements.h.in:
	- Include stdarg.h in replacements.h so we don't choke on the
	  vasprintf() prototype.
	* src/tds/convert.c:
	- Include replacements.h from convert.c.  Fix inclusion of config.h.

Sun Sep 22 23:31:25 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* include/.cvsignore:
	- Ignore generated replacements.h

Sun Sep 22 23:28:03 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* configure.in src/replacements/Makefile.am src/tds/convert.c
	  include/replacements.h.in (added) src/replacements/atoll.c (added)
	  include/replacements.h (removed)
	- Migrate replacement atoll() to replacements convenience library.

Sun Sep 22 22:50:14 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/replacements/Makefile.am:
	- Include replacement function source files in distribution.

Sun Sep 22 22:44:54 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/tds/convert.c:
	- Check specifically for the existence of a "long long" type when
	  deciding whether to use "%ll" output format, instead of
	  relying on HAVE_ATOLL to guess.

Sun Sep 22 22:07:52 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* configure.in src/Makefile.am src/ctlib/Makefile.am
	  src/dblib/Makefile.am src/dblib/dblib.c src/odbc/Makefile.am
	  src/odbc/odbc.c src/tds/Makefile.am src/tds/config.c
	  include/replacements.h (added)
	  src/replacements/.cvsignore (added)
	  src/replacements/Makefile.am (added)
	  src/replacements/asprintf.c (added)
	  src/replacements/vasprintf.c (added)
	  src/tds/asprintf.c (removed):
	- Migrate asprintf() and vasprintf() replacement functions to a
	  libtool convenience library.  Use AC_REPLACE_FUNCS() autoconf
	  macro to test for them.  Add and use a header replacements.h
	  with replacement prototypes.

Sun Sep 22 17:52:40 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/tds/config.c:
	- Print correct location of found configuration file in
	  tds_try_conf_file().

Sun Sep 22 17:41:32 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* configure.in src/tds/asprintf.c:
	- Pull in asprintf() only if needed (don't overload HAVE_VASPRINTF)
	* src/tds/config.c:
	- Use asprintf() to avoid a potential buffer overrun.
	- Clean up tdsdump_open/tds_dump_close during configuration

Sun Sep 22 09:55:19 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* doc/Makefile.am: fixed script for guide build
	* src/odbc/odbc.c:
	- fix bind for SQLMoreResults
	- workaround for Sybase: return varchar as first datatype from 
	  SQLGetTypeInfo if SQL_VARCHAR requested
	* src/odbc/unittests/Makefile.am src/odbc/unittests/t0003.c:
	- test SQLMoreResults on empty recordset
	* src/tds/convert.c: fix swap of money
	* src/tds/query.c: handle some out of memory conditions
	* src/tds/token.c: do not skip empty recordset

Sat Sep 22 00:34:00 CDT 2002	Steve Langasek <vorlon@netexpress.net>
	* src/dblib/bcp.c:
	- we were memcpy()ing into the wrong variable on conversion!
	  behold, the power of -Wall.

Sat Sep 21 23:37:58 CDT 2002	Steve Langasek <vorlon@netexpress.net>
	* dblib/Makefile.am:
	- bump the soname on libsybdb, on account of the dbdead() symbol
	  change

Sat Sep 21 19:53:39 CDT 2002	Steve Langasek <vorlon@netexpress.net>
	Cleanup after compiling with -Wall
	* src/apps/tsql.c src/dblib/dblib.c odbc/odbc.c odbc/odbc_util.c:
	- missing #includes for our prototypes
	* src/ctlib/cs.c src/dblib/dblib.c odbc/convert_tds2sql.c
	  odbc/odbc.c odbc/prepare_query.c tds/convert.c tds/token.c:
	- make sure variables are always initialized before they're
	  used
	* odbc/odbc.c odbc/prepare_query.c:
	- get rid of unused variables

Sat Sep 21 03:38:09 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/pool/main.c:
	- Use IS_TDSDEAD() for all dead socket checks.

Sat Sep 21 01:37:20 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/pool/main.c:
	- If an invalid pool name parameter is given, print an error
	  message and exit instead of dumping core.

Fri Sep 20 17:45:43 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/pool/member.c:
	- Allocate a context for the tds socket connection.

Fri Sep 20 17:01:43 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* include/tds.h.in src/pool/Makefile.am src/pool/user.c
	  src/server/login.c src/server/server.c
	  src/server/server.h (added):
	- Clean up remaining pool warnings.

Fri Sep 20 16:49:25 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* include/tds.h.in src/pool/config.c src/pool/main.c
	  src/pool/member.c src/pool/pool.h src/pool/stream.c
	  src/pool/user.c:
	- Clean up some warnings and mistakes in the pool server.

Fri Sep 20 16:14:16 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/tds/convert.c:
	- Always return TDS_CONVERT_NOAVAIL for unimplemented conversions
	  in type-specific conversion functions.
	- Centralize logging of unimplemented conversions into tds_convert()
	- Don't try to send server message 249 for client-side conversion
	  errors.  Instead, just send client message 20050 indicating an error
	  in the source field.
	- "#if 0" out the tds_prtype() function that's no longer used
	  (but keep it around because it might prove useful elsewhere).

Fri Sep 20 14:15:21 EDT 2002	JK Lowden <jklowden@schemamania.org>
	* Makefile.am	added version string
	* doc/Makefile.am 	added version string
				html builds if DOCBOOK_DSL is defined	
	* doc/freebcp.txt	fixed minor glitches

Fri Sep 20 10:37:07 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/tds/token.c:
	- Only invoke the client error handler with SYBESMSG per the conditions
	  specified in Sybase documentation.  Do this regardless of whether
	  there was a server message handler installed.
	* src/dblib/dbutil.c:
	- Handle INT_EXIT and INT_CANCEL returns from client error handlers
	  appropriately.  Skeletal handling of INT_TIMEOUT and INT_CONTINUE. 
	* include/sybdb.h:
	- Define SYBECOFL for conversion overflows.
	* src/dblib/dblib.c include/dblib.h:
	- Define convenience function _dblib_client_msg() and use it to
	  handle some conversion overflows.
	* src/dblib/unittests/common.c:
	- Don't exit on conversion overflows if dbproc is NULL.  
	- Print more verbose information in the error handler.
	* src/dblib/bcp.c:
	- Use _dblib_client_msg() to call error handler.
	* src/tds/convert.c:
	- Handle conversion errors more appropriately.  The fake_socket
	  kludge isn't needed because we have an appropriate context and
	  don't need a socket (client-side conversions always take place
	  outside the scope of any particular db connection).

Fri Sep 20 10:14:00 CEST 2002	Frediano Ziglio <freddy77@angelfire.com>
	* src/odbc/odbc.c:
	- support autocommit in Sybase
	- fix out of memory allocating environment
	- use iso data (standard ODBC format)
	- do not free message handling error/info

Thu Sep 19 14:57:37 EDT 2002	nsc <Nicholas_Castellano@acml.com>
	* src/apps/tsql.c:
	- Rearrange main loop.  Reduces code duplication, and makes it
	  easier to handle certain conditions properly (e.g. Jim's
	  "version" command no longer causes the program to dump core when
	  EOF is input.)
	- Continue execution after "version" command, instead of exiting.

